delimiter //

CREATE FUNCTION AUDIT_ENTRY(
	tblName varchar(255),
	id integer,
	operation varchar(255),
	entityName varchar(255)
)
RETURNS INTEGER

BEGIN
	IF @auditLogActionID = 0 THEN
		IF @userID = 0 THEN
			SET @userID = 1;
			SET @username = 'admin';
		END IF;

		INSERT INTO
			`AuditLogAction`
		(
			`userID`,
			`userName`,
			`timestamp`
		)
		VALUES
		(
			@userID,
			@username,
			CURRENT_TIMESTAMP()
		);

		SET @auditLogActionID = LAST_INSERT_ID();
	END IF;

	INSERT INTO
		`AuditLog`
	(
		`entity`,
		`entityID`,
		`entityName`,
		`operation`,
		`order`,
		`auditLogActionID`
	)
	VALUES
	(
		tblName,
		id,
		entityName,
		operation,
		@auditLogOrder,
		@auditLogActionID
	);

	SET @auditLogOrder = @auditLogOrder + 1;
	RETURN LAST_INSERT_ID();
END //

CREATE PROCEDURE AUDIT_CHANGE(
	logEntryID integer,
	colName varchar(255),
	oldValue text,
	newValue text
)

BEGIN
	INSERT INTO
		`AuditLogChange`
	(
		`logEntryID`,
		`column`,
		`oldValue`,
		`newValue`
	)
	VALUES
	(
		logEntryID,
		colName,
		oldValue,
		newValue
	);
END //

delimiter ;
