
DROP TRIGGER IF EXISTS {$entity|upper}_AUDIT_DELETE_BEFORE //
CREATE TRIGGER {$entity|upper}_AUDIT_DELETE_BEFORE BEFORE DELETE
ON `{$entity}` FOR EACH ROW
thisTrigger: BEGIN
	DECLARE refID INTEGER UNSIGNED;

	{* The declare statement have to be at the beginning of the block  *}
	{foreach $referenceUpdate as $reference name="refdec"}
		{if $reference.table == $entity}
			DECLARE curs{$smarty.foreach.refdec.index} CURSOR FOR SELECT id FROM {$reference.table} WHERE {$reference.referencingColumn} = old.id;
		{/if}
	{/foreach}

	DECLARE CONTINUE HANDLER FOR NOT FOUND SET @loopDone = 1;

	{$additionalTriggerDecl}
	IF @auditLogActivated IS NULL THEN
		LEAVE thisTrigger;
	END IF;

	
	{* Delete the referencing m:m tables first to trigger their trigger function *}

	{foreach $referenceDelete as $reference}
		DELETE FROM {$reference.table} WHERE {$reference.referencingColumn} = old.id;
	{/foreach}

	{* Update those that just reference here, also to trigger their function *}

	{foreach $referenceUpdate as $reference name="refs"}
		{if $reference.table != $entity}
			{* we cannot update the table that the trigger is currently called on *}
			UPDATE {$reference.table} SET {$reference.referencingColumn} = NULL WHERE {$reference.referencingColumn} = old.id;
		{else}
			{* Record the updates in the same table and leave the actual update (SET NULL) to the trigger *}
			SET @loopDone = 0;
			OPEN curs{$smarty.foreach.refs.index};
			save_ref: LOOP

				FETCH FROM curs{$smarty.foreach.refs.index} INTO refID;

				IF @loopDone = 1 THEN
					LEAVE save_ref;
				END IF;

				{if isset($reference.nameField)}
					SELECT {$reference.nameField} INTO @entityName FROM {$reference.table}  WHERE id = refID;

					SELECT AUDIT_ENTRY('{$entity}', refID, 'update', IFNULL(@entityName, '')) into @refInsertID;
				{else}
					SELECT AUDIT_ENTRY('{$entity}', refID, 'update', '') into @refInsertID;
				{/if}

				{foreach $fields as $field}
					SELECT {$field} INTO @fieldVal FROM {$reference.table}  WHERE id = refID;

					{if $field == $reference.referencingColumn}
						call AUDIT_CHANGE(@refInsertID, '{$field}', @fieldVal, '');
					{else}
						call AUDIT_CHANGE(@refInsertID, '{$field}', @fieldVal, @fieldVal);
					{/if}
				{/foreach}

			END LOOP save_ref;
		{/if}
	{/foreach}


	{if $no_id}
		SELECT AUDIT_ENTRY('{$entity}', NULL, 'delete', IFNULL({$nameField}, '')) into @insertID;
	{else}
		SELECT AUDIT_ENTRY('{$entity}', old.id, 'delete', IFNULL({$nameField}, '')) into @insertID;
	{/if}

	{foreach $fields as $field}
		call AUDIT_CHANGE(@insertID, '{$field}', old.{$field}, '');
	{/foreach}


	{$additionalTriggerBody}

END

//

