<?php
/**
 * Script to generate the audit log trigger functions
 *
 * @author        Stefan Heinemann <stefan.heinemann@adfinis-sygroup.ch>
 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
 * @TODO insert directly?
 */

require_once('classes.php');

/**
 * Parse and write the triggers to a file
 */
function main($argv) {
	$outfile = 'triggers.sql';
	$outDropFile = 'dropTriggers.sql';
	if (isset($argv[1])) {
		$outfile = $argv[1];
	}

	if (isset($argv[2])) {
		$outDropFile = $argv[2];
	}

	$tableData = new TableData('data.json');

	$file = fopen($outfile, 'w');
	fwrite($file, "delimiter //\n\n");

	$dropFile = fopen($outDropFile, 'w');
	fwrite($dropFile, "delimiter //\n\n");

	foreach ($tableData->tableData as $tableName => $table) {
		$gen = new TriggerGenerator($tableName, $table);
		fwrite($file, $gen->get());
		fwrite($dropFile, $gen->getDrops());
	}

	$tpl = new Smarty();
	$tpl->setCompileDir('/tmp');

	fwrite($file, $tpl->fetch(basePath('createLogic.tpl')));
	fwrite($dropFile, $tpl->fetch(basePath('dropLogic.tpl')));

	fclose($file);
	fclose($dropFile);
}

main($argv);
