
DROP TRIGGER IF EXISTS {$entity|upper}_AUDIT_INSERT_AFTER //
CREATE TRIGGER {$entity|upper}_AUDIT_INSERT_AFTER AFTER INSERT
ON `{$entity}` FOR EACH ROW
thisTrigger: BEGIN
	{$additionalTriggerDecl}
	IF @auditLogActivated IS NULL THEN
		LEAVE thisTrigger;
	END IF;

	{if $no_id}
		SELECT AUDIT_ENTRY('{$entity}', NULL, 'create', '') into @insertID;
	{else}
		SELECT AUDIT_ENTRY('{$entity}', new.id, 'create', IFNULL({$nameField}, '')) into @insertID;
	{/if}

	{foreach $fields as $field}
		call AUDIT_CHANGE(@insertID, '{$field}', NULL, new.{$field});

	{/foreach}

	{$additionalTriggerBody}
END

//

