
DROP TRIGGER IF EXISTS {$entity|upper}_AUDIT_UPDATE_BEFORE //
CREATE TRIGGER {$entity|upper}_AUDIT_UPDATE_BEFORE BEFORE UPDATE
ON `{$entity}` FOR EACH ROW
thisTrigger: BEGIN
	DECLARE changes INTEGER DEFAULT 0;
	{$additionalTriggerDecl}
	
	IF @auditLogActivated IS NULL THEN
		LEAVE thisTrigger;
	END IF;

	{foreach $fields as $field}
		IF	changes = 0 AND
			((old.{$field} != new.{$field}) IS NULL OR (old.{$field} != new.{$field}) = 1)
			AND NOT
			(
				new.{$field} IS NULL
				AND
				old.{$field} IS NULL
			)
			THEN
				SET changes = 1;
		END IF;
	{/foreach}

	{* only record the changes when there are any *}
	IF changes = 1 THEN

		{if $no_id}
			SELECT AUDIT_ENTRY('{$entity}', NULL, 'update', IFNULL({$nameField}, '')) into @insertID;
		{else}
			SELECT AUDIT_ENTRY('{$entity}', old.id, 'update', IFNULL({$nameField}, '')) into @insertID;
		{/if}

		{foreach $fields as $field}
			call AUDIT_CHANGE(@insertID, '{$field}', old.{$field}, new.{$field});
		{/foreach}

	END IF;

	{$additionalTriggerBody}
END

//

