<?php

/**
 * Prepend file for CLI (Command Line Interface)
 *
 * This file is loaded trough php.ini. See auto_prepend_file.
 * We initialize the basic config values, implement the class loader,
 * define important include paths and bootstrap the session handler.
 *
 * @author      Matthias Blaser <mb@adfinis.ch>
 * @author      Nicolas Christener <nc@adfinis.ch>
 * @author      Pablo Vergés <pablo.verges@adfinis-sygroup.ch>
 * @package     org.adfinis.auto
 */

// task #12046
openlog('symon-cli', LOG_PERROR, LOG_DAEMON);

// Load adfinis Framework initializer
$rootDir = dirname(dirname(dirname(__FILE__)));
require_once(
	sprintf(
		'%s/lib/adfinis/inc/org/adfinis/framework/init/FWInit.class.php',
		$rootDir
	)
);

// Find config file
$configFile = sprintf(
	'%s/config/globalConfig.php',
	$rootDir
);
// initAll just calls all the initializers in order
\org\adfinis\framework\init\FWInit::initAll($configFile);
unset($configFile);
unset($rootDir);

/**
 * This is required as PHPUnit somehow messes with global variables.
 * It's only relevant when calling from testPrepend, but it doesn't
 * hurt in the other places, so we keep it simple.
 */
$GLOBALS['_conf'] = $_conf;

