<?php

/**
 * Global prepend file
 *
 * This file is loaded trough php.ini. See auto_prepend_file.
 * We initialize the basic config values, implement the class loader,
 * define important include paths and bootstrap the session handler.
 *
 * @author      Matthias Blaser <mb@adfinis.ch>
 * @author      Nicolas Christener <nc@adfinis.ch>
 * @author      David Vogt <dv@adfinis.ch>
 */

// Load adfinis Framework initializer
$rootDir = dirname(dirname(dirname(__FILE__)));
require_once(
	sprintf(
		'%s/lib/adfinis/inc/org/adfinis/framework/init/FWInit.class.php',
		$rootDir
	)
);

// Find config file
$configFile = sprintf(
	'%s/config/globalConfig.php',
	$rootDir
);
// initAll just calls all the initializers in order
\org\adfinis\framework\init\FWInit::initAll($configFile);
unset($configFile);
unset($rootDir);

/**
 * Include development prepend file if in dev environment
 */
if(\org\adfinis\framework\config\ConfManager::getVar('af', 'env') == 'dev' ||
	\org\adfinis\framework\config\ConfManager::getVar('af', 'env') == 'vagrant' ||
	\org\adfinis\framework\config\ConfManager::getVar('af', 'env') == 'test'){
	require('debugPrepend.php');
} else {
	error_reporting(E_ERROR - E_DEPRECATED);
}

// Load all needed data
ch\monitoring\Application::init();
