<?php
// +----------------------------------------------------------------------+
// | adfinis framework                                                    |
// +----------------------------------------------------------------------+

/**
 * Prepend file for running tests.
 *
 * This is loaded by phpunit as instructed by the tests_run.sh script.
 *
 * What this script does is to load the CLI prepend file if the tests
 * are run from the command line. After that, the PHPUnit/Framework
 * class is included, so the programmers don't have to repeat it in
 * every test.
 *
 * @author      David Vogt <dv@adfinis.com>
 * @package     org.adfinis.auto
 */


$___incDir = dirname(dirname(dirname(__FILE__)));


ini_set(
	'include_path',
	sprintf(
		'%s:%s/lib:%s/app:%s/app/inc',
		ini_get('include_path'),
		$___incDir, $___incDir, $___incDir
	)
);

/**
 * See if we need to load the CLI prepend file
 */
if (!isset($_SERVER['REQUEST_METHOD'])) {
	// REQUEST_METHOD not set - we're in CLI
	require_once(sprintf('%s/lib/auto/CLIPrepend.php', $___incDir));
}
// ELSE: we're on HTTP mode.. apache already loaded the prepend file

/**
 * Load PHPUnit framework. This should be in the include path
 * set by PHPUnit itself.
 */
require_once 'PHPUnit/Framework.php';

