<?php

use ch\monitoring\Application;
use org\adfinis\framework\utils;
use org\adfinis\framework\config\ConfManager;

use org\adfinis\framework\datamapper\IdentityMap;
$idmContext = IdentityMap::getContext();

$users = array(
	array(
		'address'   => 'thomas.koechli@adfinis-sygroup.ch',
		'firstName' => 'Thomas',
		'lastName'  => 'Koechli'
	),
	array(
		'address'   => 'nicolas.christener@adfinis-sygroup.ch',
		'firstName' => 'Nicolas',
		'lastName'  => 'Christener'
	),
	array(
		'address'   => 'daniel.aubry@adfinis-sygroup.ch',
		'firstName' => 'Daniel',
		'lastName'  => 'Aubry'
	)
);

$date = new \Zend_Date;
$today = $date->toString("yyyy_MM_dd");

$date->sub(1, Zend_Date::DAY);
$yesterday = $date->toString("yyyy_MM_dd");

$dir = ConfManager::getVar('af', 'webRoot', 'uri');

$file_today = sprintf("%s/hosts/hosts_%s.txt", $dir, $today);
$file_yesterday = sprintf("%s/hosts/hosts_%s.txt", $dir, $yesterday);

if (!file_exists($file_yesterday)) {
	file_put_contents($file_yesterday, "");
}

if (file_exists($file_today)) {
	file_put_contents($file_today, "");
}

$query = "
	SELECT
		`Host`.`hostname`
	FROM
		`Host`
";

$statement = Application::getDbInstance()->prepare($query);
$statement->execute();
$hostnames = $statement->fetchAll();

$hostnames = array_map(
	function ($row) { return $row['hostname']; },
	$hostnames
);

foreach ($hostnames as $hostname) {
	file_put_contents($file_today, "$hostname\n", FILE_APPEND);
}

$cmd = sprintf("/usr/bin/diff -c0 %s %s", $file_yesterday, $file_today);
$diff = shell_exec($cmd) ?: 'No differences existing.';
$topic = sprintf("Host-Differences from %s", $today);

utils\MailHelper::sendMail(
	$users,
	$topic,
	$diff,
	'',
	true
);
