<?php
/**
 * Script which creates the autogenerated triggers of the audit log
 *
 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
 */

use \org\adfinis\framework\config\ConfManager;

use org\adfinis\framework\datamapper\IdentityMap;
$idmContext = IdentityMap::getContext();

$path = dirname(__FILE__);
require_once($path . '/../../audit_log/classes.php');

echo "=== Creating auditlog triggers\n";

$tableData = new TableData('app/audit_log/data.json');

foreach ($tableData->tableData as $tableName => $table) {
	$gen = new TriggerGenerator($tableName, $table);

	$filePath = tempnam(sys_get_temp_dir(), 'wayne');
	$query = "delimiter // \n" . $gen->get();
	file_put_contents($filePath, $query);


	$status = \org\adfinis\framework\utils\Shell::runCmd(sprintf(
		'mysql -u %s -h%s -p%s %s --default-character-set=%s < %s',
		escapeshellarg(ConfManager::getVar('af', 'DB', 'default', 'user')),
		escapeshellarg(ConfManager::getVar('af', 'DB', 'default', 'host')),
		escapeshellarg(ConfManager::getVar('af', 'DB', 'default', 'pass')),
		escapeshellarg(ConfManager::getVar('af', 'DB', 'default', 'DBName')),
		escapeshellarg(ConfManager::getVar('af', 'DB', 'default', 'charset')),
		escapeshellarg($filePath)
	));

	if($status['return']) {
		throw new \Exception($status['stderr']);
	}
}
