#!/bin/bash

# probably should've used python.. didn't know
# it's getting this complex

# The configuration for poedit is following string:
# extract_smarty_lang_vars.sh -o %o %K %F
# the item list is -k %k
# and the input file list -f %f

log="/tmp/extract.log"
filesNum=0
funcNum=0

while getopts ":o:k:f:" opt; do
	case $opt in
		o)
			output=$OPTARG
		;;
		k)
			functions[funcNum]=$OPTARG
			funcNum=$((funcNum + 1))
		;;
		f)
			input[inputFiles]=$OPTARG
			filesNum=$((filesNum + 1))
		;;
	esac
done


## at least one single line is used or else
## the poedit will grumble about not finding the file
echo "" > $output

for file in "${input[@]}"; do
	for func in "${functions[@]}"; do

		if [[ `echo $func |  grep -Eo ":|," | wc -l` -eq 2 ]]; then
			# example: {trn text=foo texn=bar number=3}
			funcName=`echo $func | cut -d: -f 1`

			positions=`echo $func | cut -d: -f 2`
			pos1=`echo $positions | cut -d, -f 1`
			posn=`echo $positions | cut -d, -f 2`

			grepRegex="\{\s*$funcName.*?\}"
			extractRegex="('|\")[a-z]+\1"
			matchCount=0

			matches=$(grep -Pnoi $grepRegex $file )
			lineNR=`echo "$matches" | cut -d: -f 1`
			str=`echo "$matches" | cut -d: -f 2`
			extracted=`echo $str |  grep -Poi $extractRegex`

			if [[ $extracted != '' ]]; then
				for match in $extracted; do
					cleanedMatch=`echo $match | sed "s/\('\|\"\)//g"`
					matchArr[matchCount]=$cleanedMatch
					matchCount=$(($matchCount + 1))
				done

				echo "#: $file:$lineNR"                       >> $output
				echo "msgid \"${matchArr[pos1 -1 ]}\""        >> $output
				echo "msgid_plural \"${matchArr[posn - 1]}\"" >> $output
				echo "msgstr[0] \"\""                         >> $output
				echo "msgstr[1] \"\""                         >> $output
				echo                                          >> $output
			fi
		else
			# example: {'foobar'|tr}
			regex="\{\s*('|\")[^'\"]+\1\|$func[^}]*\}"
			matches=$(grep -Pnoi $regex $file)

			echo "$matches" | while read match; do
				if [[ $match != '' ]]; then
					lineNR=`echo "$match" | cut -d: -f 1`
					str=`echo "$match" | cut -d: -f 2 | sed "s/{\('\|\"\)//g" | sed "s/\('\|\"\)|tr.*$//"`

					echo "#: $file:$lineNR" >>  $output
					echo "msgid \"$str\""   >>  $output
					echo "msgstr \"\""      >>  $output
					echo                    >>  $output
				fi
			done
		fi
	done
done
