<?php

use org\adfinis\framework\datamapper\IdentityMap;
$idmContext = IdentityMap::getContext();

if (!$argv[1]) {
	die("Specify text file location!\n");
}

if (!file_exists($argv[1])) {
		die("{$argv[1]} not found!\n");
}

$filePath = $argv[1];



$zabbixHosts = array();
$oldMonitoringHosts = array();
$newMonitoringHosts = array();
$csvHosts = array();
$allHosts = array();

$newMonitoringDB = new PDO("mysql:host=127.0.0.1;port=8000;dbname=monitoring", 'monitoring', 'aLu2utho9p', array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"));
$newMonitoringDB->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

$oldMonitoringDB = new PDO("mysql:host=127.0.0.1;port=8001;dbname=symonitoring", 'symonitoring', 'Ce6oosie', array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"));
$oldMonitoringDB->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

$zabbixDB = new PDO("mysql:host=127.0.0.1;port=8002;dbname=zabbix", 'deniss', 'eshatnochtrauben', array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"));
$zabbixDB->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

$statement = $newMonitoringDB->prepare("
	SELECT
		`hostname`
	FROM
		`smng_hosts`
	ORDER BY
		`hostname`
");
$statement->execute();
$newMonitoringHosts = $statement->fetchAll(\PDO::FETCH_COLUMN, 0);
$allHosts = $newMonitoringHosts;

$statement = $oldMonitoringDB->prepare("
    SELECT DISTINCT
        `hostname`
    FROM
        `nagios_first`
");
$statement->execute();
$oldMonitoringHosts = $statement->fetchAll(\PDO::FETCH_COLUMN, 0);

$statement = $zabbixDB->prepare("
	SELECT
		`host`
	FROM
		`hosts`
	WHERE
		`available` = '1'
");
$statement->execute();
$zabbixHosts = $statement->fetchAll(\PDO::FETCH_COLUMN, 0);

echo "New monitoring:\n";
foreach ($newMonitoringHosts as $host) {
	printf(
		"%s\n",
		$host
	);
	$allHosts[] = $host;
}

echo "\n\nOld monitoring:\n";
foreach ($oldMonitoringHosts as $host) {
	if (!in_array($host, $allHosts)) {
		printf(
			"%s\n",
			$host
		);
		$allHosts[] = $host;
	}
}

echo "\n\nZabbix:\n";
foreach ($zabbixHosts as $host) {
	if (!in_array($host, $allHosts)) {
		printf(
			"%s\n",
			$host
		);
		$allHosts[] = $host;
	}
}

echo "\n\nText file:\n";
$fh = fopen($filePath, 'r');
while ($host = fgets($fh)) {
	$host = trim($host);
	if (!in_array($host, $allHosts)) {
		printf(
			"%s\n",
			$host
		);
		$allHosts[] = $host;
	}
}
