<?php

use ch\monitoring\Application;
use org\adfinis\framework\datamapper\IdentityMap;
$idmContext = IdentityMap::getContext();

$options = array(
	'objectType:',
	'stateType:',
	'name:',
	'checkcommand:',
	'address:',
	'state:',
	'output:',
	'duration:',
	'datetime:',
	'perfdata:',
	'attempt:',
	'hostname:',
	'problemId:',
	'lastProblemId:'
);

$values = getopt("", $options);

foreach ($options as $option) {
	$option = substr($option, 0, -1);

	if (!array_key_exists($option, $values)) {
		$values[$option] = '';
	}
}

if (
	strtolower($values['stateType']) === 'hard'
) {
	$query = '
		INSERT INTO
			`NagiosLog`
		SET
			`objectType`	= :objectType,
			`stateType`	 = :stateType,
			`name`		  = :name,
			`checkcommand`  = :checkcommand,
			`address`	   = :address,
			`state`		 = :state,
			`output`		= :output,
			`duration`	  = :duration,
			`datetime`	  = :datetime,
			`perfdata`	  = :perfdata,
			`attempt`	   = :attempt,
			`hostname`	  = :hostname,
			`problemId`	 = :problemId,
			`lastProblemId` = :lastProblemId
	';

	$ressource = Application::getDbInstance()->prepare($query);
	$ressource->execute($values);
}
