<?php
/**
 * Script which removes the autogenerated triggers of the audit log
 *
 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
 */

use \org\adfinis\framework\db\DbManager;
use org\adfinis\framework\datamapper\IdentityMap;
$idmContext = IdentityMap::getContext();

$db = DbManager::getInstance();

echo "=== Removing auditlog triggers\n";

$queryTriggerNames = "SHOW TRIGGERS";
$rows = $db->fetchAll($queryTriggerNames);

foreach($rows as $row) {
	if(preg_match('/\w+_AUDIT_(DELETE|UPDATE|INSERT)_(BEFORE|AFTER)/', $row['Trigger'])) {
		$db->query('DROP TRIGGER ' . $row['Trigger']);
	}
}

