<?php

use ch\monitoring\Application;
use ch\monitoring\datamapper;
use org\adfinis\framework\datamapper\IdentityMap;
$idmContext = IdentityMap::getContext();

if (count($argv) != 2) {
	printf(
		tr("Usage: %s %s\n"),
		$argv[0],
		tr('password')
	);
	exit -1;
}


$password = $argv[1];

$userMapper = ch\monitoring\model\User::getMapper();

try {
	$admin = $userMapper->getByName('admin');
}
catch (OutOfBoundsException $e) {
	printf("Admin user does not exist, please create it first.\n");
	exit -1;
}

$admin->allowRead();
$admin->setPassword($password);
$userMapper->save($admin); // Prevent policy check

printf("Password for admin is now reseted\n");
