<?php

use ch\monitoring\Application;
use org\adfinis\framework\datamapper\IdentityMap;
$idmContext = IdentityMap::getContext();

$serviceListQuery = "
	SELECT
		`HostServiceInstance`.`id` as `instanceId`,
		`HostService`.`hostId` as `hostId`
	FROM
		`HostServiceInstance`
	JOIN `HostService` ON (
		`HostService`.`id` = `HostServiceInstance`.`hostServiceId`
	)
	WHERE
		`HostService`.`serviceId` = 1
";
$serviceList = Application::getDbInstance()->prepare($serviceListQuery);

$foravailQuery = "
	SELECT
		`HostService`.`id`
	FROM
		`HostService`
	JOIN `HostServiceInstance` ON (
		`HostServiceInstance`.`hostServiceId` = `HostService`.`id`
	)
	WHERE
		`HostServiceInstance`.`forAvailability` = TRUE
		AND
		`HostService`.`hostId` = :hostId
";
$foravail = Application::getDbInstance()->prepare($foravailQuery);

$serviceList->execute();
$services = $serviceList->fetchAll();
foreach ($services as $service) {
	$foravail->execute(array('hostId' => $service['hostId']));
	$result = $foravail->fetchAll();

	if (count($result) == 0) {
		Application::getDbInstance()->update(
			'HostServiceInstance',
			array('forAvailability' => true),
			sprintf("id = %d", $service['instanceId'])
		);
	}
}
