<?php

namespace ch\monitoring\acl;

use org\adfinis\framework\session\SessionManager;

/**
 * ACL factory
 *
 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2012
 * @license       LGPLv3
 **/
class ACLFactory {

	/**
	 * Returns an object which implements the ACL interface
	 *
	 * Only SessionCachedAcl is implemented.
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @throws        \InvalidArgumentException
	 * @param         int $userId
	 * @returns       acl\ACL
	 */
	public static function factory($userId = null) {
		if ($userId === null) {
			$session = SessionManager::getInstance();
			return new SessionCachedACL($session->user->id);
		}
		else {
			return new SessionCachedACL($userId);
		}
	}
}
