<?php

namespace ch\monitoring\controller;

use org\adfinis\framework\request;

/**
 * Access denied
 *
 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2012
 * @license       LGPLv3
 **/
class ForbiddenController extends PublicController {

	/**
	 * Calls the parent constructor
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @param         org\adfinis\framework\request\RequestInterface $request
	 * @param         array $urlMatch
	 */
	public function __construct($request, $urlMatch) {
		parent::__construct($request, $urlMatch);
	}

	/**
	 * Handles GET requests
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	public function handleGET() {
		$this->setHeaderTitle(tr("Access denied"));
		$this->tpl->assign('template', 'main/403.tpl');

		$this->tpl->assign('return', urlencode($_SERVER['REQUEST_URI']));

		header('Content-Type: text/html; charset=utf-8');

		$ajaxTabs = $this->request->getString('ajaxTabs', request\REQUEST_GET);
		if ($ajaxTabs === "true") {
			$this->outputPage('ajaxTabs.tpl');
		}
		else {
			$this->outputPage('index.tpl');
		}
	}

	/**
	 * Handles POST requests
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	public function handlePOST() {
		$this->handleGET();
	}

	/**
	 * Handles AJAX requests
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	public function handleAJAX() {
		$this->tpl->assign('template', 'main/403.tpl');
		$this->outputAjaxPage('ajax.tpl');
	}
}
