<?php

namespace ch\monitoring\controller;

use ch\monitoring\datamapper;
use ch\monitoring\model;

/**
 * Handle host hierarchy page requests
 *
 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2012
 * @license       LGPLv3
 **/
class HostHierarchyController extends ProtectedController {

	/**
	 * Handles GET requests
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	public function handleGET() {
		$this->session->user->enforcePermission(
			model\Permission::HOSTS_READ
		);

		$this->setHeaderTitle(tr("Hosts hierarchy"));
		$this->parameters['hostGroups'] = datamapper\HostMapper::getInstance()->getAllGroupedPrint();
		$this->tpl->assign('template', 'hosts/hostsHierarchy.tpl');

		header('Content-Type: text/html; charset=utf-8');
		//$this->addScriptFile('js/ajaxHosts.js', self::SCRIPT_POSITION_TOP);
		$this->outputPage('index.tpl');
	}
}
