<?php

namespace ch\monitoring\db;

/**
 * Adds policy constructor flag to the SortingIterator next() function
 *
 * Note: if you use this iterator instead of the default DBIterator, you
 * MUST NOT add an ORDER BY statement to the search query.
 *
 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2013
 * @license       LGPLv3
 **/
class SortingPolicyIterator extends \org\adfinis\framework\db\SortingIterator {

	/**
	 * Returns a new instance of the target class
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       Entity
	 */
	protected function getTargetClassObject() {
		$targetClass = $this->targetClass;
		$object = new $targetClass();
		return $object->allowRead();
	}
}
