<?php


namespace ch\monitoring\model;

/**
 * Dummy Model for holding the column informations of the relation table MaintenanceGroup_Host
 *
 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2012
 * @license       LGPLv3
 **/
abstract class MaintenanceGroup_Host extends Entity {

	/**
	 * Returns a list that can be used to map the columns to the corresponding datamapper
	 *
	 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       array
	 */
	static public function getEntityDefinition() {
		return array(
			'hostId' => array(
				'type' => 'relation',
				'mapper' => 'HostMapper',
				'name' => 'hostname'
			),

			'groupId' => array(
				'type' => 'relation',
				'mapper' => 'MaintenanceGroupMapper'
			)
		);
	}
}