<?php


namespace ch\monitoring\model;

/**
 * Dummy Model for holding the column informations of the relation table User_Customer
 *
 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2012
 * @license       LGPLv3
 **/
abstract class User_Customer extends Entity {

	/**
	 * Returns a list that can be used to map the columns to the corresponding datamapper
	 *
	 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       array
	 */
	static public function getEntityDefinition() {
		return array(
			'userId' => array(
				'type' => 'relation',
				'mapper' => 'UserMapper'
			),

			'customerId' => array(
				'type' => 'relation',
				'mapper' => 'CustomerMapper'
			)
		);
	}
}