<?php

namespace ch\monitoring\policy;

/**
 * An override to disable CustomerBoundPolicy implementation for HoldInform objects
 **/
class HoldInformPolicy extends CustomerBoundPolicy {

	/**
	 * Returns always true because HoldInform entries do not require policy
	 *
	 * The HoldInform has a policy check due to the limitation of multiple
	 * inheritance.
	 *
	 * @param         string $permissionName
	 * @return        bool
	 */
	public function hasPermission($permissionName) {
		return true;
	}
}

