<?php

namespace ch\monitoring\policy;

/**
 * An override to disable CustomerBoundPolicy implementation for Hold objects
 **/
class HoldPolicy extends CustomerBoundPolicy {

	/**
	 * Returns always true because Hold entries do not require policy
	 *
	 * The Hold has a policy check due to the limitation of multiple
	 * inheritance.
	 *
	 * @param         string $permissionName
	 * @return        bool
	 */
	public function hasPermission($permissionName) {
		return true;
	}
}

