<?php

namespace ch\monitoring\policy;

/**
 * A CustomerBoundPolicy implementation for MaintenanceChecklist objects
 *
 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2013
 * @license       LGPLv3
 **/
class MaintenanceChecklistPolicy extends CustomerBoundPolicy {

	/**
	 * This function returns the customer id the associated object belongs to
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       int
	 */
	protected function getCustomerIdentifiers() {
		if ($this->model->hostId !== null) {
			return array($this->model->getHost()->customerId);
		}

		return array();
	}
}
