<?php

namespace ch\monitoring\policy;

/**
 * An override to disable CustomerBoundPolicy implementation for NagiosLog objects
 *
 * @author        Philipp Schärer <philipp.schaerer@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2013
 * @license       LGPLv3
 **/
class NagiosLogPolicy extends CustomerBoundPolicy {

	/**
	 * Returns always true because nagioslog entries do not require policy
	 *
	 * The nagios log has a policy check due to the limitation of multiple
	 * inheritance.
	 *
	 * Uses datatable functionality:
	 * @see           \ch\monitoring\model\DataTable
	 *
	 * @author        Philipp Schärer <philipp.schaerer@adfinis-sygroup.ch>
	 * @param         string $permissionName
	 * @return        bool
	 */
	public function hasPermission($permissionName) {
		return true;
	}
}
