<?php

namespace ch\monitoring\policy;

use ch\monitoring\Application;

/**
 * A CustomerBoundPolicy implementation for SLA objects
 **/
class SLAPolicy extends CustomerBoundPolicy {

	/**
	 * This function returns the customer id the associated object belongs to
	 *
	 * @returns       array    The customer identifiers
	 */
	protected function getCustomerIdentifiers() {
		if ($this->model->customerId === null) {
			return Application::getUser()->getACL()->getAllCustomers();
		}
		else {
			return array($this->model->customerId);
		}
	}
}
