<?php

namespace ch\monitoring\policy;

use ch\monitoring\Application;

/**
 * A CustomerBoundPolicy implementation for ServiceGroupMember objects
 *
 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2013
 * @license       LGPLv3
 **/
class ServiceGroupMemberPolicy extends CustomerBoundPolicy {

	/**
	 * This function returns the customer id the associated object belongs to
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       int
	 */
	protected function getCustomerIdentifiers() {
		if ($this->model->getServiceGroup()->customerId === null) {
			return Application::getUser()->getACL()->getAllCustomers();
		}
		else {
			return array($this->model->getServiceGroup()->customerId);
		}
	}
}
