<?php

namespace ch\monitoring\policy;
use ch\monitoring\datamapper;


/**
 * A CustomerBoundPolicy implementation for User objects
 *
 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2013
 * @license       LGPLv3
 **/

class UserPolicy extends CustomerBoundPolicy {

	/**
	 * This function returns the customer id the associated object belongs to
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       int
	 */
	protected function getCustomerIdentifiers() {
		$user = $this->model;
		$customers = datamapper\CustomerMapper::getInstance()->getCustomersWithRoles($user->id);
		return array_keys($customers);
	}
}
