<?php

namespace ch\monitoring\validate;

use ch\monitoring\datamapper;

/**
 * Validator for AlertNotificationExcludeUser objects
 *
 * @copyright     Adfinis SyGroup AG 2014
 * @license       LGPLv3
 **/
class AlertNotificationExcludeUserValidator extends ModelValidator {

	/**
	 * Validates the user identifier
	 *
	 * @returns       void
	 */
	protected function userIdValidator() {
		$this->referenceExists(
			'userId',
			datamapper\UserMapper::getInstance()
		);
	}

	/**
	 * Validates the notification action
	 * identifier
	 *
	 * @returns       void
	 */
	protected function slaActionIdValidator() {
		$this->referenceExists(
			'slaActionId',
			datamapper\SLAActionMapper::getInstance()
		);
	}

	/**
	 * Validates the customer identifier
	 *
	 * @returns       void
	 */
	protected function customerIdValidator() {
		$this->referenceExists(
			'customerId',
			datamapper\CustomerMapper::getInstance()
		);
	}

	/**
	 * Validates the complete AlertNotificationExcludeUser
	 * object
	 *
	 * @returns       void
	 */
	public function validateEntity() {
		$this->validateField('userId');
		$this->validateField('slaActionId');
		$this->validateField('customerId');
	}
}
