<?php

namespace ch\monitoring\validate;

use ch\monitoring\datamapper;

/**
 * Validator for ComponentApplication objects
 *
 * @author        Pablo Vergés <pablo.verges@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2015
 * @license       LGPLv3
 **/
class BREComponentApplicationValidator extends ModelValidator {

	/**
	 * Validates the component id
	 *
	 * @author        Pablo Vergés <pablo.verges@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function componentIdValidator() {
		$this->referenceExists('componentId', datamapper\BREComponentMapper::getInstance());

	}

	/**
	 * Validates the parent id
	 *
	 * @author        Pablo Vergés <pablo.verges@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function componentapplicationIdValidator() {
		$this->referenceExists('componentapplicationId', datamapper\BREApplicationMapper::getInstance());
		// TODO:
		// - the applicationId is not allowed to be the same as this components' parent
	}

	/**
	 * Validates the complete Service object
	 *
	 * @author        Pablo Vergés <pablo.verges@adfinis-sygroup.ch>
	 * @returns       void
	 */
	public function validateEntity() {
		$this->validateField('componentId');
		$this->validateField('componentapplicationId');
	}
}
