<?php

namespace ch\monitoring\validate;

use ch\monitoring\datamapper;

/**
 * Validator for Service objects
 *
 * @author        Pablo Vergés <pablo.verges@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2015
 * @license       LGPLv3
 **/
class BREServiceValidator extends ModelValidator {

	/**
	 * Validates the component id
	 *
	 * @author        Pablo Vergés <pablo.verges@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function componentIdValidator() {
		$this->referenceExists('componentId', datamapper\BREComponentMapper::getInstance());
	}

	/**
	 * Validates the parent id
	 *
	 * @author        Pablo Vergés <pablo.verges@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function serviceIdValidator() {
		$this->referenceExists('serviceId', datamapper\HostServiceInstanceMapper::getInstance());
	}

	/**
	 * Validates the complete Service object
	 *
	 * @author        Pablo Vergés <pablo.verges@adfinis-sygroup.ch>
	 * @returns       void
	 */
	public function validateEntity() {
		$this->validateField('componentId');
		$this->validateField('serviceId');
	}
}
