<?php

namespace ch\monitoring\validate;

use ch\monitoring\datamapper;

/**
 * Validator for CustomerInformation objects
 *
 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2012
 * @license       LGPLv3
 **/
class CustomerInformationValidator extends ModelValidator {

	/**
	 * Validates the name
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function nameValidator() {
		// Nothing
	}

	/**
	 * Validates the address
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function addressValidator() {
		// Nothing
	}

	/**
	 * Validates the technical contact
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function contactTechnicalValidator() {
		// Nothing
	}

	/**
	 * Validates the commercial contact
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function contactCommercialValidator() {
		// Nothing
	}

	/**
	 * Validates the regular phone number
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function phoneRegularValidator() {
		if ($this->model->phoneRegular !== null) {
			$this->isPhoneNumber('phoneRegular');
		}
	}

	/**
	 * Validates the emergency phone number
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function phoneEmergencyValidator() {
		if ($this->model->phoneEmergency !== null) {
			$this->isPhoneNumber('phoneEmergency');
		}
	}

	/**
	 * Validates the comment
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function commentValidator() {
		// Nothing
	}

	/**
	 * Validates the emergency comment
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function commentEmergencyValidator() {
		// Nothing
	}

	/**
	 * Validates the mayContact flag
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function mayContactValidator() {
		// Nothing
	}

	/**
	 * Validates the complete CustomerInformation object
	 *
	 * @author        Adrian Wittwer <aw@adfinis.com>
	 * @author        David Vogt <david.vogt@adfinis-sygroup.ch>
	 * @returns       void
	 */
	public function validateEntity() {
		$this->validateField('phoneRegular');
		$this->validateField('phoneEmergency');
	}
}
