<?php

namespace ch\monitoring\validate;

use ch\monitoring\datamapper;
use ch\monitoring\model;

/**
 * Validator for ImportHostgroup objects
 *
 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2012
 * @license       LGPLv3
 **/
class ImportHostgroupValidator extends ModelValidator {

	/**
	 * Validates the file id
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function fileIdValidator() {
		$this->referenceExists('fileId', datamapper\ImportFileMapper::getInstance());
	}

	/**
	 * Validates the hostgroup id
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function hostgroupIdValidator() {
		if ($this->model->hostgroupId !== null) {
			$this->referenceExists('hostgroupId', datamapper\HostGroupMapper::getInstance());
		}
	}

	/**
	 * Validates the hostgroup_name
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function hostgroup_nameValidator() {
		// Nothing
	}

	/**
	 * Validates the alias
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function aliasValidator() {
		// Nothing
	}

	/**
	 * Validates the members
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function membersValidator() {
		// Nothing
	}

	/**
	 * Validates the hostgroup_members
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function hostgroup_membersValidator() {
		// Nothing
	}

	/**
	 * Validates the register flag
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function registerValidator() {
		// Nothing
	}

	/**
	 * Validates the complete ImportHostgroup object
	 *
	 * @author        Adrian Wittwer <aw@adfinis.com>
	 * @author        David Vogt <david.vogt@adfinis-sygroup.ch>
	 * @returns       void
	 */
	public function validateEntity() {
		$this->validateField('fileId');
		$this->validateField('hostgroupId');
	}
}
