<?php

namespace ch\monitoring\validate;

use ch\monitoring\datamapper;

/**
 * Validator for MaintenanceChecklistAnswer objects
 *
 * @author        Matthieu riolo <matthieu.riolo@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2012
 * @license       LGPLv3
 **/
class  MaintenanceChecklistAnswerValidator extends ModelValidator {
	/**
	 * Validates the comment
	 *
	 * @author        Matthieu riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function commentValidator() {
		// Nothing
	}

	/**
	 * Validates the question reference
	 *
	 * @author        Matthieu riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function questionIdValidator() {
		$this->referenceExists('questionId', datamapper\MaintenanceChecklistQuestionMapper::getInstance());
	}

	/**
	 * Validates the tickethost reference
	 *
	 * @author        Matthieu riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function ticketHostIdValidator() {
		$this->referenceExists('ticketHostId', datamapper\MaintenanceTicketHostMapper::getInstance());
	}

	/**
	 * Validates the isChecked flag
	 *
	 * @author        Matthieu riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function isCheckedValidator() {
		$this->isNotNull('isChecked');
	}

	/**
	 * Validates the complete MaintenanceQuestionChecklist object
	 *
	 * @author        Matthieu riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       void
	 */
	public function validateEntity() {
		$this->validateField('questionId');
		$this->validateField('ticketHostId');
		$this->validateField('isChecked');
	}
}
