<?php

namespace ch\monitoring\validate;

use ch\monitoring\datamapper;

/**
 * Validator for MaintenanceGroupMember objects
 *
 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2012
 * @license       LGPLv3
 **/
class MaintenanceGroupMemberValidator extends ModelValidator {

	/**
	 * Validates the group id
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function groupIdValidator() {
		$this->referenceExists('groupId', datamapper\MaintenanceGroupMapper::getInstance());
	}

	/**
	 * Validates the host id
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function hostIdValidator() {
		$this->referenceExists('hostId', datamapper\HostMapper::getInstance());
	}

	/**
	 * Validates the complete MaintenanceGroupMember object
	 *
	 * @author        Adrian Wittwer <aw@adfinis.com>
	 * @author        David Vogt <david.vogt@adfinis-sygroup.ch>
	 * @returns       void
	 */
	public function validateEntity() {
		$this->validateField('groupId');
		$this->validateField('hostId');
	}
}
