<?php

namespace ch\monitoring\validate;

use ch\monitoring\datamapper;

/**
 * Validator for ServiceGroupMember objects
 *
 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2012
 * @license       LGPLv3
 **/
class ServiceGroupMemberValidator extends ModelValidator {

	/**
	 * Validates the group id
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function groupIdValidator() {
		$this->referenceExists('groupId', datamapper\ServiceGroupMapper::getInstance());
	}

	/**
	 * Validates the service id
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function serviceIdValidator() {
		$this->referenceExists('serviceId', datamapper\ServiceMapper::getInstance());
	}

	/**
	 * Validates the complete ServiceGroupMember object
	 *
	 * @author        Adrian Wittwer <aw@adfinis.com>
	 * @author        David Vogt <david.vogt@adfinis-sygroup.ch>
	 * @returns       void
	 */
	public function validateEntity() {
		$this->validateField('groupId');
		$this->validateField('serviceId');
	}
}
