<?php

namespace ch\monitoring\validate;

/**
 * Validator for Setting objects
 *
 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2012
 * @license       LGPLv3
 **/
class SettingValidator extends ModelValidator {

	/**
	 * Validates the key
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function keyValidator() {
		$this->isNotEmpty('key');
	}

	/**
	 * Validates the value
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function valueValidator() {
		// Nothing
	}

	/**
	 * Validates the complete Setting object
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       void
	 */
	public function validateEntity() {
		$this->validateField('key');
	}
}
