<?php

namespace ch\monitoring\validate;

use ch\monitoring\datamapper;

/**
 * Validator for Timeframe objects
 *
 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2012
 * @license       LGPLv3
 **/
class TimeframeValidator extends ModelValidator {

	/**
	 * Validates the sla id
	 *
	 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function slaIdValidator() {
		$this->referenceExists('slaId', datamapper\SLAMapper::getInstance());
	}

	
	/**
	 * Validates the monday flag
	 *
	 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function mondayValidator() {
		// Nothing
	}

	/**
	 * Validates the tuesday flag
	 *
	 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function tuesdayValidator() {
		// Nothing
	}

	/**
	 * Validates the wednesday flag
	 *
	 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function wednesdayValidator() {
		// Nothing
	}

	/**
	 * Validates the thursday flag
	 *
	 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function thursdayValidator() {
		// Nothing
	}

	/**
	 * Validates the friday flag
	 *
	 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function fridayValidator() {
		// Nothing
	}

	/**
	 * Validates the saturday flag
	 *
	 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function saturdayValidator() {
		// Nothing
	}

	/**
	 * Validates the sunday flag
	 *
	 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function sundayValidator() {
		// Nothing
	}

	/**
	 * Validates the from time
	 *
	 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function timeFromValidator() {
		$this->isNotNull('timeFrom');
	}

	/**
	 * Validates the to time
	 *
	 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function timeToValidator() {
		$this->isNotNull('timeTo');
	}

	/**
	 * Validates the assigned customer
	 *
	 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       void
	 */
	protected function customerIdValidator() {
		if(!is_null($this->model->customerId)) {
			$this->referenceExists('customerId', datamapper\CustomerMapper::getInstance());
		}
	}

	/**
	 * Validates the complete Timeframe object
	 *
	 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       void
	 */
	public function validateEntity() {
		$this->validateField('slaId');
		$this->validateField('customerId');

		$this->validateField('monday');
		$this->validateField('tuesday');
		$this->validateField('wednesday');
		$this->validateField('thursday');
		$this->validateField('friday');
		$this->validateField('saturday');
		$this->validateField('sunday');

		$this->validateField('timeFrom');
		$this->validateField('timeTo');
	}
}
