{if $parameters.action == "addForm"}
	{assign 'formId' 'formAdd'}
	{assign 'action' 'add'}
	{assign 'syData' ''}
	{assign 'syTarget' '#list tbody'}
	{assign 'syAction' 'data-sy-action="append"'}
{else}
	{assign 'formId' "form{$parameters.customer->id}"}
	{assign 'action' 'save'}
	{assign 'syData' "data-sy-data='{ \"id\": {$parameters.customer->id}}'"}
	{assign 'syTarget' "#item{$parameters.customer->id}"}
	{assign 'syAction' 'data-sy-action="replaceWith"'}
{/if}

<form 
 id="{$formId}"
 class="validateForm ajax-form"
 data-sy-from="#{$formId}"
 data-sy-for="{$syTarget}"
 {$syAction}
 data-sy-url="index.php?page=customers&amp;action={$action}"
 data-sy-mask="Loading&hellip;" method="post"
 data-sy-growl="The customer was successfully saved"
 data-sy-hide="#listNoCustomers"
 {$syData}
>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">{'Customer information'|tr} <small>{if $parameters.customer->id}{'Customer'|tr} ID {$parameters.customer->id|escape}{else}New {'Customer'|tr}{/if}</small></h3>
		</div>
		<table class="table">
		<tr>
			<td><label for="name">{'Name'|tr}:</label></td>
			<td colspan="3"><input class="form-control required nagiosname" id="name" name="name" type="text" maxlength="255" value="{$parameters.customer->name|escape}" /></td>
		</tr>
		{if $user->getACL()->getRootCustomerIdentifier() != $parameters.customer->id}
		<tr>
			<td><label for="parentId">{'Parent'}:</label></td>
			<td colspan="3">
				<select class="combobox" id="parentId" name="parentId">
					<option value="0">-- {'none'|tr} --</option>
					{html_options options=$select.customers selected=$parameters.customer->parentId}
				</select>
			</td>
		</tr>
		{/if}
		<tr>
			<td><label for="wiki">{'Wiki'|tr}:</label></td>
			<td><input class="form-control url" id="wiki" name="wiki" type="text" value="{$parameters.customer->wiki|escape}" /></td>
			<td><label for="slaId">{'Alert scheduler'|tr}:</label></td>
			<td>
				<select class="required form-control" id="slaId" name="slaId">
					{html_options options=$select.slas selected=$parameters.customer->slaId}
				</select>
			</td>
		</tr>
		<tr>
			<td><label for="email">{'eMail'|tr}:</label></td>
			<td><input class="email form-control" id="email" name="email" type="text" value="{$parameters.customer->email|escape}" /></td>
			<td><label for="warnHoster">{'Warn hoster'|tr}:</label></td>
			<td><input class="form-control" id="warnHoster" name="warnHoster" type="checkbox" {if $parameters.customer->warnHoster == 1}checked="checked"{/if} /></td>
		</tr>
		<tr>
			<td>{'Information password'|tr}:</td>
			<td colspan="3">{$parameters.customer->passwordInformation|escape}</td>
		</tr>
		<tr>
			<td>{'Maintenance password'|tr}:</td>
			<td colspan="3">{$parameters.customer->passwordMaintenance|escape}</td>
		</tr>
		<tr>
			<td><label for="comment">{'Comment'|tr}:</label></td>
			<td colspan="3"><textarea id="comment" name="comment" class="form-control">{$parameters.customer->comment|escape}</textarea></td>
		</tr>
		<tr>
			<td>{'Emergency default'|tr}:</td>
			<td colspan="3">
	{if $parameters.customer->hasIdentifier()}
	{foreach from=$parameters.customer->getCustomerTeam(null) item=member name=members}
		{if $smarty.foreach.members.first}
				<ol>
		{/if}
					<li id="member-{$member->id}">
						{$member->getUser()->fullName} ({$member->getUser()->authenticationMethod})
						<button
							data-sy-growl="The default emergency '{$member->getUser()->fullName}' was successfully deleted"
							data-sy-hide="#member-{$member->id}"
							data-sy-for="#member-{$member->id}"
							data-sy-method="post"
							data-sy-data="{ &quot;id&quot;:{$member->id} }"
							data-sy-require="dialog/confirm"
							data-sy-url="index.php?page=customers&amp;action=deleteMember"
							data-sy-confirm="Do you really want to delete the default emergency '{$member->getUser()->fullName}'?"
							data-sy-confirm-title="Delete default emergengy '{$member->getUser()->fullName}'?"
							data-sy-dialog-click="require"
							class="btn btn-default btn-sm"
							title="Delete default emergency"
							type="button">
								<i class="fa fa-trash-o"></i>
						</button>
					</li>
		{if $smarty.foreach.members.last}
				</ol>
		{/if}
	{foreachelse}
		{'No default emergency team set'|tr}
	{/foreach}
	{else}
	-
	{/if}
			</td>
		</tr>
		<tr>
			<td><label for="users">Set new default:</label></td>
			<td colspan="3">
				{if $parameters.customer->hasIdentifier()}
				<select class="multiSort" id="users" name="users[]" multiple="multiple">{html_options options=$select.users}</select>
				{else}
				{'New customer'|tr}
				{/if}
			</td>
		</tr>
		{if $user->getACL()->getRootCustomerIdentifier() != $parameters.customer->id}
		<tr>
			<td><label for="itemEnabled">{'Enabled'|tr}:</label></td>
			<td colspan="3"><input class="form-control" id="itemEnabled" name="isEnabled" type="checkbox" {if $parameters.customer->isEnabled}checked="checked"{/if} /></td>
		</tr>
		{/if}
		</table>
	</div>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">{'Ldap settings'|tr}</h3>
		</div>
		<table class="table table-striped">
		<tr>
			<td>
				<label for="itemLDAPGroup">
					{'LDAP group'|tr}
					<i class="fa fa-info-circle add-popover"
					   data-toggle="popover"
					   data-content="{'LDAP group for identifying users belonging to this customer'|tr}"
					></i>:
				</label>
			</td>
			<td colspan="3">
				<select class="combobox" id="itemLDAPGroup" name="userLDAPGroup">
					{html_options options=$select.ldapGroups selected=$parameters.customer->ldapGroup}
				</select>
			</td>
		</tr>
		<tr>
			<td>
				<label for="defaultRole">
					{'Default role'|tr}
					<i class="fa fa-info-circle add-popover"
					   data-toggle="popover"
					   data-content="{'Default role assigned to LDAP users upon their first login, you may change the role later on'|tr}"
					></i>:
				</label>
			</td>
			<td colspan="3">
				<select class="combobox" id="defaultRole" name="defaultRole">
					{html_options options=$select.roles selected=$parameters.customer->defaultRoleId}
				</select>
			</td>
		</tr>
		</table>
	</div>

	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Alert Settings</h3>
		</div>

		{assign var="alertSettings" value=$parameters.customer->getAlertSettings(false)}
		{if $parameters.customer->parentId != null}
			{assign var="parentAlertSettings" value=$parameters.customer->getParent()->getAlertSettings()}
		{/if}
	
		{foreach from=$parameters.alertTypes item=alertType name=alertTypes}

			{if $smarty.foreach.alertTypes.first}
			<table class="table">
				<thead>
					<tr>
						<th>Name</th>
						<th>Enabled</th>
						{if $parameters.customer->parentId != null}
							<th>Parent Value</th>
						{/if}
					</tr>
				</thead>
			{/if}


			<tr>
				<td>{$alertType->name|escape}</td>
				<td>
					<select class="form-control" name="alerttype_{$alertType->id}_enabled">
						<option value="0" {if $alertSettings[$alertType->id] == 0} selected{/if}>Inherit</option>
						<option value="1" {if $alertSettings[$alertType->id] == 1} selected{/if}>Forced</option>
						<option value="2" {if $alertSettings[$alertType->id] == 2} selected{/if}>Optional</option>
					</select>
				</td>

				{if $parameters.customer->parentId != null}
					<td>
						{if $parentAlertSettings[$alertType->id] == 1}Forced{/if}
						{if $parentAlertSettings[$alertType->id] == 2}Optional{/if}
					</td>
				{/if}
			</tr>

			{if $smarty.foreach.alertTypes.last}
			</table>
			{/if}
		{/foreach}
	</div>
	<div id="placeholder-footer">
</form>
