{foreach from=$parameters.sla->getTimeframes() item=timeframe name=timeframes}
	{if $smarty.foreach.timeframes.first}
		<table class="table">
		<tr>
			<th width="40">Mo</th>
			<th width="40">Tu</th>
			<th width="40">We</th>
			<th width="40">Th</th>
			<th width="40">Fr</th>
			<th width="40">Sa</th>
			<th width="40">Su</th>
			<th>Time range</th>
			<th>Customer</th>
			<th>Rules</th>
			<th></th>
		</tr>
	{/if}

		<tr id="timeframe{$timeframe->id}">
			<td><i class="fa {if $timeframe->monday}fa-check{else}fa-times{/if}"></i></td>
			<td><i class="fa {if $timeframe->tuesday}fa-check{else}fa-times{/if}"></i></td>
			<td><i class="fa {if $timeframe->wednesday}fa-check{else}fa-times{/if}"></i></td>
			<td><i class="fa {if $timeframe->thursday}fa-check{else}fa-times{/if}"></i></td>
			<td><i class="fa {if $timeframe->friday}fa-check{else}fa-times{/if}"></i></td>
			<td><i class="fa {if $timeframe->saturday}fa-check{else}fa-times{/if}"></i></td>
			<td><i class="fa {if $timeframe->sunday}fa-check{else}fa-times{/if}"></i></td>
			<td>{$timeframe->timeFrom|date_format:"H:i"} - {$timeframe->timeTo|date_format:"H:i"}</td>
			<td>
			{if $timeframe->customerId}
				{$timeframe->getCustomer()->name|escape}
			{else}
				{if $parameters.sla->customerId}
					{$parameters.sla->getCustomer()->name|escape} (Inherit)
				{else}
					Inherit
				{/if}
			{/if}
			</td>
			<td>

				<form
					 id="formTimeframeRule-{$timeframe->id}"
					 class="validateForm ajax-form"
					 data-sy-url="index.php?page=slas&action=addTimeframeRule"
					 data-sy-from="#formTimeframeRule-{$timeframe->id}"
					 data-sy-for="#slaTimeframes"
					 data-sy-method="post"
					 data-sy-close-modal="false"
					 method="post"
					>
					<input type="hidden" name="timeframeId" value="{$timeframe->id}" /> 
					<select name="actionId">
						{html_options options=$select.actions}
					</select>

					<input name="delay" value="0" />

					<button type="submit" class="btn btn-primary">Add rule</button>
				</form>

				{foreach from=$timeframe->getRules() item="rule" name="rules"}
					{if $smarty.foreach.rules.first}
						<table class="table">
							<tr>
								<th>Action</th>
								<th>Delay</th>
								<th></th>
							</tr>
					{/if}

						<tr>
							<td>{$rule->getSLAAction()->name}</td>
							<td>{$rule->delay}</td>
							<td>
								<button
								 type="button"
								 title="Delete this timeframe"
								 class="btn btn-default btn-sm"
								 data-sy-dialog-click="require"
								 data-sy-confirm-title="Delete timeframe rule '{$rule->id|escape}' from Timeframe '{$timeframe->id}'?"
								 data-sy-confirm="Do you really want to delete the timeframe rule '{$rule->id|escape}' from Timeframe '{$timeframe->id}'?"
								 data-sy-url="index.php?page=slas&action=deleteTimeframeRule"
								 data-sy-require="dialog/confirm"
								 data-sy-data='{ "ruleId":{$rule->id}}'
								 data-sy-method="post"
								 data-sy-for="#slaTimeframes"
								 data-sy-growl="The timeframe rule '{$rule->id|escape}' was successfully deleted"
								>
									<i class="fa fa-trash-o"></i>
								</button>
							</td>
						</tr>

					{if $smarty.foreach.rules.last}
						</table>
					{/if}
				{/foreach}
			</td>
			<td>
				<button
				 type="button"
				 title="Delete this timeframe"
				 class="btn btn-default btn-sm"
				 id="deleteTimeframe-{$parameters.sla->id}-{$timeframe->id}"
				 data-sy-dialog-click="require"
				 data-sy-confirm-title="Delete timeframe '{$timeframe->id|escape}' from Alert Scheduler '{$parameters.sla->name}'?"
				 data-sy-confirm="Do you really want to delete the timeframe '{$timeframe->id|escape}' from Alert Scheduler '{$parameters.sla->name}'?"
				 data-sy-url="index.php?page=slas&action=deleteTimeframe"
				 data-sy-require="dialog/confirm"
				 data-sy-data='{ "timeframeId":{$timeframe->id}}'
				 data-sy-method="post"
				 data-sy-for="#slaTimeframes"
				 data-sy-growl="The timeframe '{$timeframe->id|escape}' was successfully deleted"
				>
					<i class="fa fa-trash-o"></i>
				</button>
			</td>
		</tr>

	{if $smarty.foreach.timeframes.last}
		</table>
	{/if}
{foreachelse}
<div class="panel-body">
	There are no timeframes.
</div>
{/foreach}
