{literal}#!/bin/bash
# Adfinis SyGroup AG, Switzerland
# Version: 0.3

now=`date '+%F %T'`
nrpeconfd=/etc/nagios/nrpe.d/
nrpeversion=/etc/nagios/version
nrpecronlog=/var/log/nagios3/cronjob.log
nrpevariables=/etc/nagios/nrpeVariables.sh
nrpeinit=$(basename $(ls /etc/init.d/*nrpe* | head -n1))

source "${nrpevariables}"

#debug: 
#set -x

# Fix for debian 5 where service command is missing 
if ! which service > /dev/null 2>&1
then
  if [ -e /etc/debian_version -a -x /etc/init.d/nagios-nrpe-server ]
  then
    nrpeinitcall="/etc/init.d/nagios-nrpe-server"
  else
    echo "Unable to find controll script for nrpe service"
    exit 2
  fi
else
  service=$(which service)
  nrpeinitcall="$service $nrpeinit"
fi

if which wget > /dev/null
then
  curl=$(which wget)
  curl="$curl --no-check-certificate -q -O"
elif which curl > /dev/null
then
  curl=$(which curl)
  curl="$curl -s -k -o"
fi

version_remote=`$curl - "https://monitoring:${password}@${host}/nrpe/${hostId}/version"`
if [ "$?" -ne 0 ] ; then
	echo "[${now}] NRPE: Failed to to get version file from server. Password wrong?" >> "${nrpecronlog}"
	exit
fi

if [ -e "${nrpeversion}" ] ; then
	version_local=`cat "${nrpeversion}"`
else
	version_local=0
fi

if [ ${version_remote} -gt ${version_local} ] ; then
	echo "[${now}] NRPE: Getting version ${version_remote}." >> "${nrpecronlog}"
	$curl "${nrpeconfd}/nrpeHost.cfg" "https://monitoring:${password}@${host}/nrpe/${hostId}/nrpeHost.cfg"
	$curl "${nrpeversion}" "https://monitoring:${password}@${host}/nrpe/${hostId}/version"
	$curl "${nrpevariables}" "https://monitoring:${password}@${host}/nrpe/${hostId}/nrpeVariables.sh"
	$nrpeinitcall reload >/dev/null
fi
{/literal}
