#!/bin/bash
# Adfinis SyGroup AG, Switzerland
# Version: 0.1

now=`date '+%F %T'`
nrpeconfd=/var/www/nrpe
nrpecronlog=/var/log/nagios3/cronjob.log
curl="curl -s -o"
host={$domain}

#debug: 
#set -x

# Check for presence of curl, if not install

dpkg -s curl | grep "not-installed" > /dev/null
if [ "$?" -eq 0 ]; then 
	apt-get -q install curl > /dev/null
	echo "[${ldelim}now{rdelim}] NRPE: Installed curl" >> "${ldelim}nrpecronlog{rdelim}"
fi
{foreach from=$hosts item=host}
nrpeversion=${ldelim}nrpeconfd{rdelim}/{$host->id}/version
version_remote=`$curl - "https://monitoring:{$host->password}@${ldelim}host{rdelim}/nrpe/{$host->id}/version"`
if [ "$?" -ne 0 ] ; then
	echo "[${ldelim}now{rdelim}] NRPE: Failed to to get version file for '{$host->hostname}' from server. Password wrong?" >> "${ldelim}nrpecronlog{rdelim}"
	exit
fi

if [ -e "${ldelim}nrpeversion{rdelim}" ] ; then
	version_local=`cat "${ldelim}nrpeversion{rdelim}"`
else
	version_local=0
fi

if [ ${ldelim}version_remote{rdelim} -gt ${ldelim}version_local{rdelim} ] ; then
	echo "[${ldelim}now{rdelim}] NRPE: Getting version ${ldelim}version_remote{rdelim} ({$host->hostname})." >> "${ldelim}nrpecronlog{rdelim}"
	if [ ! -d "${ldelim}nrpeconfd{rdelim}/{$host->id}/" ]; then
		mkdir ${ldelim}nrpeconfd{rdelim}/{$host->id}/
	fi
	$curl "${ldelim}nrpeconfd{rdelim}/{$host->id}/nrpeHost.cfg" "https://monitoring:{$host->password}@${ldelim}host{rdelim}/nrpe/{$host->id}/nrpeHost.cfg"
	$curl "${ldelim}nrpeconfd{rdelim}/{$host->id}/nrpeVariables.sh" "https://monitoring:{$host->password}@${ldelim}host{rdelim}/nrpe/{$host->id}/nrpeVariables.sh"
	$curl "${ldelim}nrpeconfd{rdelim}/{$host->id}/version" "https://monitoring:{$host->password}@${ldelim}host{rdelim}/nrpe/{$host->id}/version"

	cat > ${ldelim}nrpeconfd{rdelim}/{$host->id}/.htaccess << EOF
AuthUserFile ${ldelim}nrpeconfd{rdelim}/{$host->id}/.htpasswd
AuthGroupFile /dev/FALSE
AuthName EnterPassword
AuthType Basic
require valid-user
EOF

	source ${ldelim}nrpeconfd{rdelim}/{$host->id}/nrpeVariables.sh
	/usr/bin/htpasswd -c -b ${ldelim}nrpeconfd{rdelim}/{$host->id}/.htpasswd monitoring ${ldelim}password{rdelim}
fi
{/foreach}
chown -R www-data.www-data ${ldelim}nrpeconfd{rdelim}
