{literal}#!/bin/bash
# Adfinis SyGroup AG, Switzerland
# Version: 0.2 

# 2012-05-09 Philipp Wollschlegel
# - Alles variablisiert
# - STDErr redirects entfernt
# - wget -q 
# - temppath für sicheres schreiben
# - nagios check mit offiziellem nagios status 
# - wget durch curl ersetzt

now=`date '+%F %T'`
nagiosconfd=/etc/nagios3/conf.d/
nagcronlog=/var/log/nagios3/cronjob.log
curl="curl -s -o"

#debug: 
#set -x

# Check for presence of curl, if not install

dpkg -s curl | grep "not-installed" > /dev/null
if [ "$?" -eq 0 ]; then 
	apt-get -q install curl > /dev/null
	echo "[${now}] Installed curl" >> "${nagcronlog}"
fi

{/literal}
version_remote=`$curl - https://monitoring:{$satellite->password}@{$domain}/satellites/{$satellite->id}/version`
{literal}
if [ "$?" -ne 0 ] ; then
	echo "[${now}] Failed to to get version file from server. Password wrong?" >> "${nagcronlog}"
	exit
fi

if [ -e "${nagiosconfd}"/version ] ; then
	version_local=`cat "${nagiosconfd}"/version`
else
	version_local=0
fi

if [ ${version_remote} -gt ${version_local} ] ; then
	tmppath=`mktemp -d`
	echo "[${now}] Getting version ${version_remote}." >> "${nagcronlog}"
	cd "${nagiosconfd}"
	tar czf "${tmppath}"/configs.old.tar.gz *
	cd "${tmppath}"
{/literal}
	$curl "${ldelim}tmppath{rdelim}"/configs.tar.gz https://monitoring:{$satellite->password}@{$domain}/satellites/{$satellite->id}/objects-latest.tar.gz 
{literal}
	tar -xzf "${tmppath}"/configs.tar.gz --directory="${nagiosconfd}"
{/literal}
	$curl "${ldelim}nagiosconfd{rdelim}"/version https://monitoring:{$satellite->password}@{$domain}/satellites/{$satellite->id}/version 
	$curl /usr/local/bin/nrpeSatelliteCronjob.sh https://monitoring:{$satellite->password}@{$domain}/satellites/{$satellite->id}/nrpeSatelliteCronjob.sh
{literal}

	/usr/sbin/service nagios3 status >/dev/null
	if [ $? -ne 0 ] ; then
		echo "[${now}] Failed to install version ${version_remote}! Recovering old configuration." >> "${nagcronlog}"
		tar -xzf "${tmppath}"/configs.old.tar.gz --directory="${nagiosconfd}"
	fi

	/usr/sbin/service nagios3 reload >/dev/null
	rm "${tmppath}"/configs.old.tar.gz
	rm "${tmppath}"/configs.tar.gz
	rmdir "${tmppath}"

	sleep 10

	now=`date +%s`
	CMDFILE='/var/lib/nagios3/rw/nagios.cmd'
	grep host_name /etc/nagios3/conf.d/hosts.cfg  | awk '{print $2}' | while read host
	do
		echo "[$NOW] SCHEDULE_HOST_CHECK;$HOST;$NOW" > $CMDFILE
		echo "[$NOW] SCHEDULE_HOST_SVC_CHECKS;$HOST;$NOW" > $CMDFILE
	done
fi
{/literal}
