{* This template is used as subtemplate for outputting a string,
   so DO NOT USE (UNESCAPED) DOUBLEQUOTES in here! *}

{assign 'services' $parameters.host->getHostServiceInstances()}
{assign 'hasServices' {$services->getCount() >  0}}
{assign 'downtimes' $parameters.host->getDowntimes()}
{assign 'hasDowntimes' {$downtimes->getCount() >  0}}
{assign 'tickets' $parameters.host->getMaintenanceTicketHosts()}
{assign 'hasTickets' {$tickets->getCount() >  0}}

{if $hasServices || $hasDowntimes || $hasTickets}
	The host <strong>'{$parameters.host->hostname|escape}'</strong> has the following dependencies:
	<ul>
		{if $hasServices}
		<li>Assigned services (only the service links and associated objects such as alerts will be removed):</li>
		<ul>
			{foreach $services as $hsi}
			<li>'{$hsi->getObjectName()}'</li>
			{/foreach}
		</ul>
		{/if}
		{if $hasDowntimes}
		<li>Downtimes</li>
		<ul>
			{foreach $downtimes as $dt}
			<li>From {$dt->datetimeFrom} to {$dt->datetimeTo}</li>
			{/foreach}
		</ul>
		{/if}
		{if $hasTickets}
		<li>Maintenance tickets</li>
		<ul>
			{foreach $tickets as $ticket}
			<li>#{$ticket->id}</li>
			{/foreach}
		</ul>
		{/if}
	</ul>
{else}
	The host has no dependencies.
{/if}

{assign 'dependencies' $parameters.host->getDependantHosts()}
{if $dependencies->getCount() > 0}
	<br>
	<br>
	The following dependant hosts will have <strong>their dependency on this host removed</strong>:
	<br>
	<br>
	<ul>
		{foreach $dependencies as $dependency}
		<li>Host '{$dependency->hostname}'</li>
		{/foreach}
	</ul>
{/if}
