{assign 'group' $parameters.group}
{assign 'hostMembers' $group->getMembers()}


{if !$hostMembers|@count}
	<div class="panel-body">
		There are no hosts.
	</div>
{else}
	<table class="table table-striped">
		<tr>
			<th>Name</th>
			<th>Description</th>
			<th></th>
		</tr>

	{foreach from=$group->getMembers() item=host name=hosts}
		<tr id="host{$host->id}" class="{cycle values="odd,even"}{if !$host->isEnabled()} disabled{/if}">
			<td class="break-word-medium">
				<input type="hidden" name="groupHostId[]" value="{$host->id}" />
				{$host->hostname|escape}
			</td>
			<td>
				{$host->description|escape}
			</td>
			<td class="text-right break-none">
				<!-- deleteHost delHost-groupId-hostId -->
				<button
				 type="button"
				 id="delHost-{$group->id}-{$host->id}"
				 title="Remove this host from group"
				 class="btn btn-default btn-sm"
				 data-sy-event-click="require"
				 data-sy-confirm-title="Remove host '{$host->hostname|escape}' from group '{$group->name|escape}'"
				 data-sy-confirm="Do you really want to remove the host '{$host->hostname|escape}' from group '{$group->name|escape}'?"
				 data-sy-confirm="Do you really want to remove the host '{$host->hostname|escape}'?"
				 data-sy-url="index.php?page=hostGroups&action=deleteHost"
				 data-sy-data='{ "hostId":{$host->id},"hostGroupId":{$group->id}}'
				 data-sy-method="post"
				 data-sy-for="#itemInfo"
				 data-sy-growl="Host '{$host->hostname|escape}' successfully removed from group '{$group->name|escape}'"
				>
					<i class="fa fa-trash-o"></i>
				</button>
			</td>
		</tr>
	{/foreach}

	</table>
{/if}
