<table class="table table-striped">
	<thead>
		<tr>
			<td><label for="versionName">Version name</label></td>
			<td><label for="versionShortName">Short name</label> {include file='hosts/shortNameInfoPopover.tpl'}</td>
			<td><label for="versionArchitecture">Architecture</label></td>
			<td><label for="delVersion">Delete version</label></td>
		</tr>
	</thead>
	<tbody>
{foreach from=$parameters.system->getVersions() item=version name=versions}
		<tr id="version-entry-{$version->id}">
			<input type="hidden" id="versionId" class="form-control" name="versionId[]" value="{$version->id}" ></input>
			<td><input type="text" id="version-{$version->id}[]" class="versionName form-control" name="name[]" value="{$version->name|escape}" /></td>
			<td><input type="text" id="version-{$version->id}-shortname[]" class="versionShortName form-control optional" name="shortName[]" value="{$version->shortName|escape}" /></td>
			<td>
				<select class="required combobox form-control" id="architecture" name="architecture[]">
					{foreach $parameters.architectures  as $architecture}
						<option value="{$architecture->id}" 
							{if $version->architectureId == $architecture->id}
							 selected
							{/if}>
						{$architecture->name}
						</option>
					{/foreach}
				</select>
			</td>
			<td class="text-right break-none">
				<button
				 type="button"
				 id="delVersion-{$version->id}"
				 title="Delete this OS version"
				 class="btn btn-default btn-sm deleteVersion"
				 data-sy-dialog-click="require"
				 data-sy-confirm-title="Delete OS version?"
				 data-sy-confirm="Do you really want to delete the OS version '{$version->name|escape}' ({$version->shortName|escape})?"
				 data-sy-url="index.php?page=hostOS&amp;action=deleteVersion"
				 data-sy-require="dialog/confirm"
				 data-sy-data='{ "versionId":{$version->id}}'
				 data-sy-method="post"
				 data-sy-for="#version-entry-{$version->id}"
				 data-sy-action="replaceWith"
				 data-sy-growl="The OS version '{$version->name|escape}' was successfully deleted from '{$parameters.system->name|escape}'"
				>
					<i class="fa fa-trash-o"></i>
				</button>
		</tr>
{foreachelse}
		<tr id="listNoDowntimes">
			<td colspan="4" class="text-center">
				There are no versions defined.
			</td>
			<td class="hidden"></td>
			<td class="hidden"></td>
			<td class="hidden"></td>
		</tr>
{/foreach}
	</tbody>
</table>
