{if $parameters.action == "addForm"}
	{assign 'formId' 'formAdd'}
	{assign 'action' 'add'}
	{assign 'syData' ''}
	{assign 'syOsData' ''}
	{assign 'syTarget' '#list tbody'}
	{assign 'syAction' 'append'}
{else}
	{assign 'formId' "form{$parameters.host->id}"}
	{assign 'action' 'save'}
	{assign 'syData' "data-sy-data='{ \"id\": {$parameters.host->id}}'"}
	{assign 'syOsData' "data-sy-data='{ \"hostId\": {$parameters.host->id}}'"}
	{assign 'syTarget' "#item{$parameters.host->id}"}
	{assign 'syAction' 'replaceWith'}
{/if}

<form 
 id="{$formId}"
 method="post"
 class="validateForm ajax-form"
 data-sy-from="#{$formId}"
 data-sy-for="{$syTarget}"
 data-sy-action="{$syAction}"
 data-sy-url="index.php?page=hosts&amp;action={$action}"
 data-sy-mask="Loading&hellip;"
 data-sy-growl="The host was successfully saved"
 data-sy-hide="#listNoHosts"
 data-sy-notify="notify/export"
 {$syData}
>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">{'Host information'|tr} <small>{if $parameters.host->id}Host ID {$parameters.host->id|escape}{else}New host{/if}</small></h3>
		</div>
		<table class="table table-striped">
		<tr>
			<td>
				<label for="hostname">
					Hostname:
				</label>
			</td>
			<td colspan="3">
				<input class="required nagiosname nospecial form-control" id="hostname" name="hostname" type="text" maxlength="255" value="{$parameters.host->hostname|escape}" />
			</td>
		</tr>
		<tr>
			<td>
				<label for="description">
					Description:
				</label>
			</td>
			<td colspan="3">
				<input class="required form-control" id="description" name="description" type="text" maxlength="255" value="{$parameters.host->description|escape}" />
			</td>
		</tr>
		<tr>
			<td>
				<label for="typeId">
					{'Type'|tr}:
				</label>
			</td>
			<td>
				<select class="required combobox form-control" id="typeId" name="typeId">
					<option value="0">-- none --</option>
					{html_options options=$select.types selected=$parameters.host->typeId}
				</select>
			</td>
			<td>
				<label for="wiki">
					Wiki:
				</label>
			</td>
			<td>
				<input id="wiki" name="wiki" class="form-control"value="{$parameters.host->wiki|escape}"> </input>
			</td>
		</tr>
		<tr>
			<td>
				<label for="IPv4">
					IPv4:
				</label>
			</td>
			<td>
				<input class="required ipv4 form-control" id="IPv4" name="IPv4" type="text" value="{$parameters.host->IPv4|escape}" />
			</td>
			<td>
				<label for="IPv6">
					IPv6:
				</label>
			</td>
			<td>
				<input class="ipv6 form-control" id="IPv6" name="IPv6" type="text" value="{$parameters.host->IPv6|escape}" />
			</td>
		</tr>
		<tr>
			<td>
				<label for="osId">
					Operating System:
				</label>
			</td>
			<td>
				<select
				 class="required combobox form-control"
				 id="osId"
				 name="osId"
				 data-sy-event-change="change"
				 data-sy-url="index.php?page=hosts&amp;action=getVersions"
				 data-sy-from="#osId"
				 data-sy-for="#osVersion"
				 {$syOsData}
				 required
				>
					<option value="">Please choose</option>
					{html_options options=$select.OSs selected=$parameters.host->osId}
				</select>
			</td>
			<td>
				<label for="osVersionId">
					OS version:
				</label>
			</td>
			<td id="osVersion">
				{include file="hosts/hostsFormOSVersions.tpl"}
			</td>
		</tr>
		<tr>
			<td>
				<label for="dependencyId">
					Depends on:
				</label>
			</td>
			<td>
				<select class="combobox form-control" id="dependencyId" name="dependencyId">
					<option label="none" value="0">-- none --</option>
					{html_options options=$select.hosts selected=$parameters.host->dependencyId}
				</select>
			</td>
			<td>
				<label for="satelliteId">
					Behind satellite:
				</label>
			</td>
			<td>
				<select class="combobox form-control" id="satelliteId" name="satelliteId">
					<option label="none" value="0">-- none --</option>
					{html_options options=$select.satellites selected=$parameters.host->satelliteId}
				</select>
				<input type="hidden" name="oldSatelliteId" id="oldSatelliteId" value="{$parameters.host->satelliteId|escape}" />
				<input type="hidden" name="oldSatelliteName" id="oldSatelliteName" value="{if $parameters.host->satelliteId}{$parameters.host->getSatellite()->hostname|escape}{/if}" />
			</td>
		</tr>
		<tr>
			<td>
				<label for="isSatellite">
					Is a satellite:
				</label>
			</td>
			<td>
				<input id="isSatellite" name="isSatellite" type="checkbox" class="form-control" {if $parameters.host->isSatellite}checked="checked"{/if} />
			</td>
			<td>
				<label for="itemEnabled">
					Is enabled:
				</label>
			</td>
			<td>
				<input id="itemEnabled" name="isEnabled" type="checkbox" class="form-control" {if $parameters.host->isEnabled}checked="checked"{/if} />
			</td>
		</tr>
		</table>
	</div>

	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">{'Contract'|tr}</h3>
		</div>
		<table class="table table-striped">
		<tr>
			<td>
				<label for="customerId">Customer</label>
			</td>
			<td>
				<select
				 class="required combobox form-control"
				 id="customerId"
				 name="customerId"
				 data-sy-change="change"
				 data-sy-from="#customerId"
				 data-sy-for="#SLADropdown"
				 data-sy-url="index.php?page=hosts&action=getSLAs"
				>
					{html_options options=$select.customers selected=$parameters.host->customerId|default:$user->customerId}
				</select>
			</td>
			<td>
				<label for="slaId">
					Alert Scheduler:
				</label>
			</td>
			<td id="SLADropdown">
				{include file="hosts/hostsSLAsSelect.tpl"}
			</td>
		</tr>
		<tr>
			<td>
				<label for="checkHostAlive" title="">
					Check host alive:
				</label>
			</td>
			<td>
				<input id="checkHostAlive" name="checkHostAlive" type="checkbox" class="form-control" {if $parameters.host->checkHostAlive}checked="checked"{/if} />
			</td>
			<td colspan="2">
				Whether to check the availability of the host.
			</td>
		</tr>
		</table>
	</div>

	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">{'Comment'|tr}&nbsp;<i
			 class="fa fa-info-circle add-popover"
			 data-toggle="popover"
			 data-content="Anything special with this host?"
			></i></h3>
		</div>
		<div class="panel-body">
			<textarea name="comment" id="hostComment" class="form-control">{$parameters.host->comment|escape}</textarea>
		</div>
	</div>

	{if $parameters.host->isSatellite}
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">{'Satellite information'}&nbsp;<i
			 class="fa fa-info-circle add-popover"
			 data-toggle="popover"
			 data-content="This host is a satellite. It needs to be configured with the following scripts"
			></i></h3>
		</div>
		<table class="table table-condensed table-bordered">
			{include file="hosts/satelliteScripts.tpl"}
		</table>
	</div>
	{/if}

	{$isNrpe = $parameters.host->id && $parameters.host->getHostServiceInstances(true)|@count > 0}
	{if $isNrpe}
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">{'Nrpe information'}&nbsp;<i
			 class="fa fa-info-circle add-popover"
			 data-toggle="popover"
			 data-content="This host has nrpe services assigned. It needs to be configured with the following scripts"
			></i></h3>
		</div>
		<table class="table table-condensed table-bordered">
			{include file="hosts/nrpeHostScripts.tpl"}
		</table>
	</div>
	{/if}

  {if $parameters.host->id}
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">{'Password'|tr}&nbsp;<i
			 class="fa fa-info-circle add-popover"
			 data-toggle="popover"
			 data-content="The host password is required to download nrpe and satellite export files"
			></i></h3>
		</div>
		<table class="table table-striped">
			<tr>
				<td>
					{'The current password is'|tr}: <span id="hostsFormPassword">{$parameters.host->password|escape}</span>
				</td>
				<td class="text-right">
					{'Set a new one'}: 
					<a
					 href="#"
					 class="fa fa-refresh"
					 id="host-{$parameters.host->id|escape}"
					 data-sy-event-click="require"
					 data-sy-url="index.php?page=hosts&action=setPassword"
					 data-sy-from="#host-{$parameters.host->id|escape}"
					 data-sy-for="#hostsFormPassword"
					 data-sy-data='{ "id":{$parameters.host->id|escape}}'
					 data-sy-method="post"
					 data-sy-growl="You've set a new host password. Don't forget to update the cronjob scripts."
					/>
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<span class="label label-danger">Caution</span> If you change this password you most probably need to login to the server and configure the new one.
				</td>
			</tr>
		</table>
  </div>
  {/if}
  <div id="placeholder-footer"></div>
</form>
