{foreach from=$parameters.host->getHostServices() item=hostService name=hostServices}
<div id="service-{$hostService->serviceId}">
<div class="panel panel-default">
	{$serviceId = $hostService->serviceId|escape}
	<input type="hidden" name="serviceId[]" value="{$serviceId}" />
	<div class="panel-heading">
		<h3 class="panel-title">
			{$hostService->getService()->name}
			{if $hostService->getService()->isNrpe}
			<small>Nrpe</small>
			{/if}
			<p class="pull-right">
				<button
				 type="button"
				 class="btn btn-link"
				 data-sy-url="index.php?page=hosts&action=getRow"
				 data-sy-event-click="require"
				 data-sy-data='{ "hostId":{$parameters.host->id|escape},"serviceId":{$hostService->serviceId|escape}}'
				 data-sy-from="#tempId"
				 data-sy-for="#instanceTable-{$hostService->serviceId|escape} tbody:first,#tempId"
				 data-sy-action="append"
				>
					<i class="fa fa-plus" /> Add instance
				</button>
			</p>
		</h3>
	</div>
	<table id="instanceTable-{$serviceId}" class="table table-striped services-instance">
		<thead>
			<tr>
				<th>ID</th>
				<th>Avail</th>
				<th width="20%">Name</th>
				<th width="25%">Alert Scheduler</th>
				<th width="40%">Arguments</th>
				<th>Passive</th>
				<th colspan="2">Enabled</th>
			</tr>
		</thead>
		<tbody>
		{foreach from=$hostService->getInstances() item=instance name=instances}
			<tr id="instance-{$instance->id}" class="{if $instance->hasTrouble}danger{/if}">
				<td>
					{$instance->id|escape}
				</td>
				<td>
					<input type="hidden" name="instanceId[{$serviceId|escape}][{$instance->id|escape}]" value="0" />
					<input class="form-control {include file="hosts/hostsFormAvailPopover.tpl"}
						type="checkbox"
						name="forAvailability[old-{$instance->id|escape}]" {if $instance->forAvailability}checked="checked"{/if} />
				</td>
				<td>
					<input type="text" class="form-control" name="name[old-{$instance->id|escape}]" value="{$instance->name|escape}" />
				</td>
				<td>
					<select id="slaId" class="form-control" name="slaId[old-{$instance->id}]">
						<option value="0">
							Inherit ({if $parameters.host->slaId !== null}{$parameters.host->getSla()->name|escape}{else}{$parameters.host->getCustomer()->getSla()->name|escape}{/if})
						</option>
						{html_options options=$select.slas selected=$instance->slaId}
					</select>
				</td>
				<td>
					<table class="table-condensed">
						<tbody>
							{foreach from=$hostService->getService()->getArguments() item=serviceArgument}
								<tr>
									<td>
										{if $serviceArgument->type == ServiceArgument::TYPE_FIXED}
											{$serviceArgument->value|wordwrap:22:"&shy;":true}
										{else}
											<input placeholder="Default: {$serviceArgument->value|escape}" type="text" class="form-control" name="argument[old-{$instance->id|escape}][{$serviceArgument->id|escape}]" value="{$serviceArgument->getAssignedValue($instance->id)|escape}" />
										{/if}
									</td>
									<td>
										<i
										 class="fa fa-info-circle add-popover col-xs-offset-5"
										 title="{$serviceArgument->option|escape}"
										 data-toggle="popover"
										 data-content="{if $serviceArgument->description}{$serviceArgument->description|escape|replace:"\"":"'"}{else}No description available{/if}"
										></i>
									</td>
								</tr>
							{foreachelse}
								<tr>
									<td>None.</td>
								</tr>
							{/foreach}
						</tbody>
					</table>
				</td>
				<td>
					<input class="form-control" type="checkbox" name="isPassive[old-{$instance->id|escape}]"{if $instance->isPassive} checked="checked"{/if} />
				</td>
				<td>
					<input class="form-control" type="checkbox" name="isEnabled[old-{$instance->id|escape}]"{if $instance->isEnabled} checked="checked"{/if} />
				</td>
				<td class="text-right break-none">
					<button
					 type="button"
					 class="btn btn-default btn-sm"
					 title="Check service instance '{$hostService->getService()->name}' for host '{$parameters.host->hostname}' now"
					 data-sy-event-click="require"
					 data-sy-url="index.php?page=monitoringCommand&action=serviceCheck"
					 data-sy-method="post"
					 data-sy-from="#instance-{$instance->id}"
					 data-sy-data='{ "instanceId":{$instance->id|escape}}'
					 data-sy-growl="Checking service '{$hostService->getService()->name}' for host '{$parameters.host->hostname}' now..."
					 {if $parameters.host->isSatellite || $parameters.host->satelliteId !== null}
					 disabled
					 {/if}
					>
						<i class="fa fa-refresh"></i>
					</button>
					<button
					 type="button"
					 class="btn btn-default btn-sm"
					 title="Delete this service instance"
					 data-sy-event-click="require"
					 data-sy-confirm-title="Remove service instance '{$instance->getObjectName()|escape}' from host '{$parameters.host->hostname}'"
					 data-sy-confirm="{include file='hosts/hostFormServicesDeleteDependencies.tpl'}"
					 data-sy-require="event/removeFromTable"
					 data-sy-require="dialog/confirm"
					 data-sy-from="#service-{$hostService->serviceId}"
					 data-sy-for="#instance-{$instance->id}"
					 data-sy-growl"The service '{$hostService->getService()->name|escape}' was removed from host '{$parameters.host->hostname}'"
					>
						<i class="fa fa-trash-o"></i>
					</button>
				</td>
			</tr>
		{/foreach}
		</tbody>
	</table>
</div>
</div>
{/foreach}
