{if $parameters.host}
<ul class="nav nav-tabs">
	<li class="active"><a href="#information" data-toggle="tab">Information</a></li>
	<li><a href="#hosts" data-toggle="tab">Hosts behind satellite</a></li>
</ul>

<div class="tab-content">
<div class="tab-pane active" id="information">
<table class="table table-striped">
<tr>
	<td>Host id:</td>
	<td>{$parameters.host->id|escape}</td>
	<td>Customer:</td>
	<td>{$parameters.host->getCustomer()->name|escape}</td>
</tr>
<tr>
	<td>Hostname:</td>
	<td>{$parameters.host->hostname|escape}</td>
	<td>Description:</td>
	<td>{$parameters.host->description|escape}</td>
</tr>
<tr>
	<td>Version:</td>
	<td>{$parameters.host->version}</td>
	<td>Last export:</td>
	<td>
		{if $parameters.host->exportDate instanceof Zend_Date}
			{$parameters.host->exportDate->get(Zend_Date::DATE_MEDIUM)|escape}
		{else}
			-
		{/if}
	</td>
</tr>
<tr>
	<td>Password:</td>
	<td colspan="3">{$parameters.host->password|escape}</td>
</tr>

{include file="hosts/satelliteScripts.tpl"}

</table>
</div>

<div class="tab-pane" id="hosts">
{foreach from=$parameters.host->getSatelliteHosts() item=host name=hosts}
{if $smarty.foreach.hosts.first}
<table class="table table-striped">
<thead>
<tr>
	<th>Customer</th>
	<th>Hostname</th>
	<th>Description</th>
</tr>
</thead>
<tbody>
{/if}

<tr class="item {cycle values='even,odd'}{if !$host->isEnabled} disabled{/if}" id="item{$host->id|escape}">
	<td>{$host->getCustomer()->name|escape}</td>
	<td>{$host->hostname|escape}</td>
	<td>{$host->description|escape}</td>
</tr>

{if $smarty.foreach.hosts.last}
</tbody>
</table>
{/if}
{foreachelse}
There are no hosts.
{/foreach}
</div>
</div>
{/if}
