<div class="well">
	{'The following objects conflict with an already present object in SyMonitoring. To resolve the conflict, you may either <ul><li>change the name,</li><li>remove the object from the import or</li><li>map the object to the existing service, command or host group. This option is not available for hosts.</li></ul>'|tr}
</div>

<form id="conflictsForm" action="?page=import&action=saveConflicts">
<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">{'Hosts'|tr}</h3>
	</div>
{if $parameters.hosts|@count > 0}
	<table class="table table-striped table-bordered">
		<tr>
			<th>
				{'Name'|tr}
			</th>
			<th>
				{'Address'|tr}
			</th>
			<th>
				{'Compare'|tr}
			</th>
			<th>
			</th>
		</tr>
		</tr>

		{foreach $parameters.hosts as $host}
		<tr>
			<td>
				<input class="form-control" type="text" name="hostName[{$host->id|escape}]" value="{$host->host_name|escape}">
			</td>
			<td class="break-all">
				{$host->address|escape}
			</td>
			<td>
				<i class="fa fa-info-circle add-popover" title="{'Conflict with host %s'|tr|sprintf:$host->host_name|escape}" data-content="{include file='import/hostConflict.tpl'}"></i>
			</td>
			<td class="text-right break-none">
				<button type="button" class="deleteHost btn btn-default btn-sm" id="delete-{$host->id|escape}">
					<i class="fa fa-trash-o"></i>
				</button>
			</td>
		</tr>
		{/foreach}
	</table>
{else}
	<div class="panel-body">
		<p>{'There are no host conflicts.'|tr}</p>
	</div>
{/if}
</div>

<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">{'Services'|tr}</h3>
	</div>
{if $parameters.services|@count > 0}
	<table class="table table-striped table-bordered">
		<tr>
			<th>
				{'Name'|tr}
			</th>
			<th>
				{'Assigned to'|tr}
			</th>
			<th>
				{'Command'|tr}
			</th>
			<th>
				{'Compare'|tr}
			</th>
			<th>
			</th>
		</tr>

		{foreach $parameters.services as $service}
		<tr>
			<td class="form-inline">
				<input type="text" class="form-control" name="serviceName[{$service->service_description|escape}]" value="{$service->service_description|escape}">
				<div class="checkbox">
					<label>
						<input class="existingService" name="existingService[{$service->service_description|escape}]" value="{$service->conflictServiceId|escape}" type="checkbox"> Use existing
					</label>
				</div>
			</td>
			<td class="break-all">
				{', '|implode:$service->getHostNames()|escape|truncate:50|default:'-'}
			</td>
			<td class="break-all">
				{$service->getCommandName()|escape}
			</td>
			<td>
				<i class="fa fa-info-circle add-popover" title="{'Conflict with service %s'|tr|sprintf:$service->service_description|escape}" data-content="{include file='import/serviceConflict.tpl'}"></i>
			</td>
			<td class="text-right break-none">
				<button type="button" class="deleteService btn btn-default btn-sm" id="delete-{$service->service_description|escape}">
					<i class="fa fa-trash-o"></i>
				</button>
			</td>
		</tr>
		{/foreach}
	</table>
{else}
	<div class="panel-body">
		<p>{'There are no service conflicts.'|tr}</p>
	</div>
{/if}
</div>

<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">{'Commands'|tr}</h3>
	</div>
{if $parameters.commands|@count > 0}
	<table class="table table-striped table-bordered">
		<tr>
			<th>
				{'Name'|tr}
			</th>
			<th>
				{'Used by'|tr}
			</th>
			<th>
				{'Compare'|tr}
			</th>
			<th>
			</th>
		</tr>

		{foreach $parameters.commands as $command}
		<tr>
			<td class="form-inline">
				<input type="text" class="form-control" name="commandName[{$command->id|escape}]" value="{$command->command_name|escape}">
				<div class="checkbox">
					<label>
						<input class="existingCommand" name="existingCommand[{$command->id|escape}]" value="{$command->conflictCommandId|escape}" type="checkbox"> Use existing
					</label>
				</div>
			</td>
			<td>
				{', '|implode:$command->getServiceNames()|escape|truncate:50|default:'-'}
			</td>
			<td>
				<i class="fa fa-info-circle add-popover" title="{'Conflict with command %s'|tr|sprintf:$command->command_name|escape}" data-content="{include file='import/commandConflict.tpl'}"></i>
			</td>
			<td>
				<button type="button" class="deleteCommand btn btn-default btn-sm" id="delete-{$command->id|escape}">
					<i class="fa fa-trash-o"></i>
				</button>
			</td>
		</tr>
		{/foreach}
	</table>
{else}
	<div class="panel-body">
		<p>{'There are no command conflicts.'|tr}</p>
	</div>
{/if}
</div>

<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">{'Host groups'|tr}</h3>
	</div>
{if $parameters.hostgroups|@count > 0}
	<table class="table table-striped table-bordered">
		<tr>
			<th>
				{'Name'|tr}
			</th>
			<th>
				{'Members'|tr}
			</th>
			<th>
				{'Compare'|tr}
			</th>
			<th>
			</th>
		</tr>

		{foreach $parameters.hostgroups as $hostgroup}
		<tr>
			<td class="form-inline">
				<input type="text" class="form-control" name="hostgroupName[{$hostgroup->id|escape}]" value="{$hostgroup->hostgroup_name|escape}">
				<div class="checkbox">
					<label>
						<input class="existingHostgroup" name="existingHostgroup[{$hostgroup->id|escape}]" value="{$hostgroup->conflictHostgroupId|escape}" type="checkbox"> Use existing
					</label>
				</div>
			</td>
			<td>
				{$hostgroup->members|replace:',':', '|escape|truncate:50}
			</td>
			<td>
				<i class="fa fa-info-circle add-popover" title="{'Conflict with host group %s'|tr|sprintf:$hostgroup->hostgroup_name|escape}" data-content="{include file='import/hostgroupConflict.tpl'}"></i>
			</td>
			<td>
				<button type="button" class="deleteHostgroup btn btn-link btn-xs" id="delete-{$hostgroup->id|escape}">
					<i class="fa fa-trash-o"></i>
				</button>
			</td>
		</tr>
		{/foreach}
	</table>
{else}
	<div class="panel-body">
		<p>{'There are no host group conflicts.'|tr}</p>
	</div>
{/if}
</div>
</form>
