<div class="jumbotron">
	<h1>{'We are ready!'|tr}</h1>
	<p>{'To finish the import just click on the next button again. The objects will be imported as specified. After the import succeeded, I will remove all the raw data retrieved from the configuration files and prepare for a brand new import. Feel free to apply corrections before running the import.'|tr}</p>
</div>

<ul id="importTabs" class="nav nav-tabs">
	<li class="active"><a href="#hosts" data-toggle="tab">{'Hosts'|tr} <span class="badge">{$parameters.hosts|@count}</span></a></li>
	<li><a href="#services" data-toggle="tab">{'Services'|tr} <span class="badge">{$parameters.services|@count}</span></a></li>
	<li><a href="#commands" data-toggle="tab">{'Commands'|tr} <span class="badge">{$parameters.commands|@count}</span></a></li>
	<li><a href="#hostgroups" data-toggle="tab">{'Host groups'|tr} <span class="badge">{$parameters.hostgroups|@count}</span></a></li>
</ul>

<form id="overviewForm" class="form-horizontal validateForm" action="?page=import&action=finish">
<div class="tab-content">

	<div class="tab-pane active" id="hosts">
		{foreach from=$parameters.hosts item=host name=hosts}
			{if $smarty.foreach.hosts.first}
			<table class="table table-striped datatables">
				<thead>
					<tr>
						<th>
							Name
						</th>
						<th>
							Customer
						</th>
						<th>
							Operating system
						</th>
						<th>
						</th>
						<th>
						</th>
					</tr>
				</thead>
				<tbody>
			{/if}

			<tr>
				<td class="break-word-small">
					{$host->host_name|escape}
				</td>
				<td>
					<select id="customer{$host->id}" class="combobox required" name="hosts[{$host->id|escape}][customerId]">
						{html_options options=$select.customers selected=$host->customerId}
					</select>
				</td>

				<td>
					<select id="osId{$host->id}" class="combobox required" name="hosts[{$host->id|escape}][osId]">
						{html_options options=$select.operatingSystems selected=$host->osId}
					</select>
				</td>
				<td>
					<i class="fa fa-info-circle add-popover" title="{'Information for host %s'|tr|sprintf:$host->host_name|escape}" data-content="{include file='import/hostInfo.tpl'}"></i>
				</td>
				<td class="text-right break-none">
					<button type="button" class="deleteHost btn btn-default btn-sm" id="delete-{$host->id|escape}">
						<i class="fa fa-trash-o"></i>
					</button>
				</td>
			</tr>

			{if $smarty.foreach.hosts.last}
				</tbody>
			</table>
			{/if}
		{foreachelse}
			<p>{'No hosts to be imported'|tr}</p>
		{/foreach}
	</div>

	<div class="tab-pane" id="services">
		{foreach from=$parameters.services item=service name=services}
			{if $smarty.foreach.services.first}
			<table class="table table-striped datatables">
				<thead>
					<tr>
						<th>
							{'Name'|tr}
						</th>
						<th>
							{'Check interval'|tr}
						</th>
						<th>
							{'Retry interval'|tr}
						</th>
						<th>
							{'Max. check attempts'|tr}
						</th>
						<th>
						</th>
						<th>
						</th>
					</tr>
				</thead>
				<tbody>
			{/if}

			<tr>
				<td class="break-word-small">
					{$service->service_description|escape}
				</td>
				<td>
					<input class="form-control serviceNumber" type="text" name="services[{$service->service_description|escape}][check_interval]" value="{$service->check_interval|escape}">
				</td>
				<td>
					<input class="form-control serviceNumber" type="text" name="services[{$service->service_description|escape}][retry_interval]" value="{$service->retry_interval|escape}">
				</td>
				<td>
					<input class="form-control serviceNumber" type="text" name="services[{$service->service_description|escape}][max_check_attempts]" value="{$service->max_check_attempts|escape}">
				</td>
				<td>
					<i class="fa fa-info-circle add-popover" title="{'Information for service %s'|tr|sprintf:$service->service_description|escape}" data-content="{include file='import/serviceInfo.tpl'}"></i>
				</td>
				<td class="text-right break-none">
					<button type="button" class="deleteService btn btn-default btn-sm" id="delete-{$service->service_description|escape}">
						<i class="fa fa-trash-o"></i>
					</button>
				</td>
			</tr>

			{if $smarty.foreach.services.last}
				</tbody>
			</table>
			{/if}
		{foreachelse}
			<p>{'No services to be imported'|tr}</p>
		{/foreach}
	</div>

	<div class="tab-pane" id="commands">
		{foreach from=$parameters.commands item=command name=commands}
			{if $smarty.foreach.commands.first}
			<table class="table table-striped datatables">
				<thead>
					<tr>
						<th>
							Name
						</th>
						<th>
							{'Command line'|tr}
						</th>
						<th>
						</th>
						<th>
						</th>
					</tr>
				</thead>
				<tbody>
			{/if}

			<tr>
				<td class="break-word-small">
					{$command->command_name|escape}
				</td>
				<td>
					<input type="text" class="form-control required" name="commands[{$command->id|escape}][command_line]" value="{$command->command_line|escape}">
				</td>
				<td>
					<i class="fa fa-info-circle add-popover" title="{'Information for command %s'|tr|sprintf:$command->command_name|escape}" data-content="{include file='import/commandInfo.tpl'}"></i>
				</td>
				<td>
					<button type="button" class="deleteCommand btn btn-default btn-sm" id="delete-{$command->id|escape}">
						<i class="fa fa-trash-o"></i>
					</button>
				</td>
			</tr>

			{if $smarty.foreach.commands.last}
				</tbody>
			</table>
			{/if}
		{foreachelse}
			<p>{'No commands to be imported'|tr}</p>
		{/foreach}
	</div>
	<div class="tab-pane" id="hostgroups">
		{foreach from=$parameters.hostgroups item=hostgroup name=hostgroups}
			{if $smarty.foreach.hostgroups.first}
			<table class="table table-striped datatables">
				<thead>
					<tr>
						<th>
							Name
						</th>
						<th>
							Members
						</th>
						<th>
						</th>
						<th>
						</th>
					</tr>
				</thead>
				<tbody>
			{/if}

			<tr>
				<td class="break-word-medium">
					{$hostgroup->hostgroup_name|escape}
				</td>
				<td class="break-word-large">
					{$hostgroup->members|replace:',':', '|escape|truncate:50|default:'-'}
				</td>
				<td>
					<i class="fa fa-info-circle add-popover" title="{'Information for host group %s'|tr|sprintf:$hostgroup->hostgroup_name|escape}" data-content="{include file='import/hostgroupInfo.tpl'}"></i>
				</td>
				<td>
					<button type="button" class="deleteHostgroup btn btn-default btn-sm" id="delete-{$hostgroup->id|escape}">
						<i class="fa fa-trash-o"></i>
					</button>
				</td>
			</tr>

			{if $smarty.foreach.hostgroups.last}
				</tbody>
			</table>
			{/if}
		{foreachelse}
			<p>{'No host groups to be imported'|tr}</p>
		{/foreach}
	</div>
</div>
</form>
