<tr id="item{$alert->id}">
	{if $page == 'alerts' && $user->hasPermission(Permission::ALERTS_WRITE)}
	<td>
		<input type="checkbox" name="alerts[]" class="alerts normal" value="{$alert->id}" />
	</td>
	{/if}
	<td class="text-center">
		<i
		 class="fa fa-3x
		 {if $alert->state == 'UP' || $alert->state == 'OK'}
		 fa-check text-success
		 {elseif $alert->state == 'WARNING'}
		 fa-warning text-warning
		 {elseif $alert->state == 'DOWN' || $alert->state == 'UNREACHABLE' || $alert->state == 'CRITICAL'}
		 fa-times text-danger
		 {elseif $alert->state == 'UNKNOWN'}
		 fa-question text-warning
		 {/if}"
		>
		</i>
	</td>
	<td>{$alert->id}</td>
	<td>
		<b>{$alert->getHost()->hostname|escape}</b><br />
		{if $alert->serviceInstanceId > 0}
		{$alert->getHostServiceInstance()->getObjectName()|escape}
		<br />
		{/if}
		<i>{$alert->getCustomer()->name|escape}</i>
	</td>
	<td>
		{$alert->state|escape}<br />
		{$alert->datetimeOccured|date_format:"%d.%m.%Y %H:%M:%S"}<br />
		Duration:
		{if $alert->datetimeRecovery != null}
			{$alert->getDurationRecovery()}
		{else}
			<span
				class="ajax-require duration"
				data-sy-require="view/duration"
				data-sy-data='{ "datetime" : "{$alert->datetimeOccured|date_format:"%Y-%m-%d %H:%M:%S"}"}'
				disabled="disabled">
			Open
			</span>
		{/if}
	</td>
	<td class="break-all">{$alert->output|escape}
	{if $alert->acknowledgedAutomatically == 1}
		<br /><b>Acknowledged automatically:</b> {$alert->comment|escape}
	{/if}
	</td>
	<td class="text-center {if $alert->getCommentCount() == 0}warning{/if}">
		<button
		 type="button"
		 title="Show user comments on this alert"
		 class="btn btn-default btn-sm"
		 id="comment-{$alert->id}"
		 data-sy-url="index.php?page={$page}&action=edit"
		 data-sy-dialog-click="require"
		 data-sy-require="dialog/show"
		 data-sy-data='{ "id":{$alert->id}}'
		 data-sy-method="get"
		 data-sy-title="Comments for alert '{$alert->id|escape}'"
		 {if !$user->hasPermissionForCustomer(Permission::ALERTS_WRITE, $alert->customerId)}
		 disabled
		 {/if}
		>
			<i class="fa fa-comment-o"></i>
		</button>
	</td>
	<td class="text-right break-none">
		{if $alert->acknowledged != true}
		<button
		 type="button"
		 class="btn btn-default btn-sm"
		 title="Acknowledge this alert"
		 data-sy-dialog-click="require"
		 data-sy-require="event/execute"

		 data-sy-url="index.php?page=alerts&action=acknowledge"
		 data-sy-data='{ "alertId":{$alert->id|escape}}'
		 data-sy-method="post"
		 data-sy-for="#item{$alert->id}"
		 data-sy-action="replaceWith"
		 data-sy-growl="The alert '{$alert->id|escape}' was acknowledged"
		 {if !$user->hasPermissionForCustomer(Permission::ALERTS_WRITE, $alert->customerId)}
		 disabled
		 {/if}
		>
			<i class="fa fa-check"></i>
		</button>
		{/if}

		<button
		 type="button"
		 title="Show notification log"
		 class="btn btn-default btn-sm"
		 id="log-{$alert->id|escape}"
		 data-sy-url="index.php?page=alerts&action=log"
		 data-sy-dialog-click="require"
		 data-sy-require="dialog/show"
		 data-sy-data='{ "id":{$alert->id|escape}}'
		 data-sy-method="get"
		 data-sy-title="Notification log for '{$alert->getHost()->hostname|escape}'"
		 {if !$user->hasPermissionForCustomer(Permission::ALERTS_WRITE, $alert->customerId)}
		 disabled
		 {/if}
		>
			<i class="fa fa-search"></i>
		</button>
		<button
		 type="button"
		 class="btn btn-default btn-sm"
		 title="Delete this alert"
		 data-sy-dialog-click="require"
		 data-sy-require="dialog/confirm"
		 data-sy-confirm-title="Delete alert '{$alert->id|escape}'?"
		 data-sy-confirm="Do you really want to delete the alert '{$alert->id|escape}'?"
		 data-sy-url="index.php?page=alerts&action=delete"
		 data-sy-data='{ "id":{$alert->id|escape}}'
		 data-sy-method="post"
		 data-sy-hide="#item{$alert->id}"
		 data-sy-growl="The alert '{$alert->id|escape}' was successfully deleted"
		 {if !$user->hasPermissionForCustomer(Permission::ALERTS_WRITE, $alert->customerId)}
		 disabled
		 {/if}
		>
			<i class="fa fa-trash-o"></i>
		</button>
	</td>
</tr>
