
<div class="panel panel-default">
	<table class="table table-striped">
		<tr>
			<td><label>Entity</label></td>
			<td>{$parameters.entry->entity}</td>
		</tr>
		<tr>
			<td><label>Entity ID</label></td>
			<td>{$parameters.entry->entityID}</td>
		</tr>
		<tr>
			<td><label>Operation</label></td>
			<td>{$parameters.entry->operation}</td>
		</tr>

		<tr>
			<td><label>User</label></td>
			<td>{assign var=userName value=$parameters.entry->getSystemUser()}
				{if $userName != NULL}
					{$userName}
				{else}
					<i>{$parameters.entry->userName} (deleted)</i>
				{/if}
			</td>
		</tr>

		<tr>
			<td><label>Timestamp</label></td>
			<td>{$parameters.entry->timestamp}</td>
		</tr>
	</table>

</div>

<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">Changes</h3>
	</div>

	{if $parameters.entry->operation == 'update'}
		<label for="auditlogview_showAllColumns">Show all columns</label>
		<input id="auditlogview_showAllColumns" type="checkbox" />
		
		<script type="text/javascript">
			$(document).ready(function() {
				var $el = $('#auditlogview_showAllColumns')
				var $tbl = $('#auditlogview_columns')

				var toggleColumns = function() {
					if($el.is(':checked')) {
						$tbl.find('td').show()
					}else {
						$tbl.find('td:not(.danger)').hide()
					}
				}

				$el.change(toggleColumns);
				//initialize the view
				toggleColumns();
			})
		</script>
	{/if}

	<table id="auditlogview_columns" class="table table-striped valuecomparator">
		<thead>
			<tr>
				<th>&nbsp;</th>
				<th>Field</th>
				{if $parameters.entry->operation != 'create'}
				<th>Old value</th>
				{/if}
				{if $parameters.entry->operation != 'delete'}
				<th>New value</th>
				{/if}
			</tr>
		</thead>
		{foreach $parameters.entry->getLogChanges() as $changes}
			<tr>
				{if 
					$changes.newValue != $changes.oldValue
					&&
					$parameters.entry->operation == 'update'
					}
				<td class="danger">
				{else}
					<td>
				{/if}
					{if $changes.description}
						<i
						 data-content="{$changes.description}"
						 data-toggle="popover"
						 title=""
						 class="fa fa-info-circle add-popover"
						 data-original-title="Information about the column">
						</i>
					{else}
						&nbsp;
					{/if}
				</td>

				{if 
					$changes.newValue != $changes.oldValue
					&&
					$parameters.entry->operation == 'update'
					}
				<td class="danger">
				{else}
					<td>
				{/if}

				{$changes.name}
				</td>

				{if $parameters.entry->operation != 'create'}
					{if $changes.oldValue != $changes.newValue
						&& $parameters.entry->operation == 'update'}
				<td class="danger">
					{else}
				<td>
					{/if}
					{if $changes.type == 'boolean'}
						{if $changes.oldValue == '0'}
							<i class="fa fa-times"></i>
						{else}
							<i class="fa fa-check"></i>
						{/if}
					{else}
						{$changes.oldValue|trim|wordwrap:15:"&shy;":true}
					{/if}
				</td>
				{/if}

				{if $parameters.entry->operation != 'delete'}
					{if $changes.oldValue != $changes.newValue
						&& $parameters.entry->operation == 'update'}
				<td class="danger">
					{else}
				<td>
					{/if}

					{if $changes.type == 'boolean'}
						{if $changes.newValue == '0'}
							<i class="fa fa-times"></i>
						{else}
							<i class="fa fa-check"></i>
						{/if}
					{else}
						{$changes.newValue|trim|wordwrap:15:"&shy;":true}
					{/if}
				</td>
				{/if}
			</tr>
		{/foreach}
	</table>

</div>


{if $parameters.entry->hasSubAuditLogs()}
	{include file="logs/auditLogList.tpl" parameters=$parameters.subAuditLogs}
{/if}
