<div id="checklistsContainer">
{if $user->hasPermission(Permission::MAINTENANCE_WRITE)}
<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">Add a checklist to maintenance group {$parameters.group->name|escape}</h3>
	</div>
	<div class="panel-body chosen-nonblock">
		<input type="hidden" name="groupId" value="{$parameters.group->id}" />
		<select
		 class="combobox groupchecklists"
		 id="checklistId"
		 name="checklistId"
		>
			{html_options options=$select.checklists}
		</select>

		<button
		 type="button"
		 class="btn btn-default"
		 data-sy-event-click="require"
		 data-sy-url="index.php?page=maintenanceGroups&amp;action=addChecklist"
		 data-sy-method="post"
		 data-sy-data='{ "id":{$parameters.group->id}}'
		 data-sy-from="#checklistId"
		 data-sy-for="#checklistsContainer"
		>
			<i class="fa fa-plus"></i>&nbsp;Add checklist
		</button>
	</div>
</div>
{/if}

{foreach from=$parameters.checklists item=checklist name=checklists}
<div class="panel panel-default">
	<div class="panel-heading">
		<div class="pull-right">
			<button
			 type="button"
			 title="Remove this checklist"
			 class="btn btn-link btn-link"
			 id="deleteGroupChecklist-{$checklist->id|escape}"
			 data-sy-dialog-click="require"
			 data-sy-confirm-title="Remove checklist '{$checklist->name|escape}'?"
			 data-sy-confirm="Do you really want to remove the checklist '{$checklist->name|escape}'?"
			 data-sy-url="index.php?page=maintenanceGroups&amp;action=deleteChecklist"
			 data-sy-require="dialog/confirm"
			 data-sy-data='{ "checklistId":{$checklist->id},"id":{$parameters.group->id}}'
			 data-sy-method="post"
			 data-sy-for="#checklistsContainer"
			 data-sy-growl="The checklist '{$checklist->name|escape}' was successfully removed"
			>
				<i class="fa fa-trash-o"></i> {'Remove'|tr}
			</button>
		</div>
		<h3 class="panel-title">{$checklist->name|escape}</h3>
	</div>
	<div class="panel-body">
		{$checklist->comment|escape}
	</div>
	{include file="maintenance/questions.tpl" checklist=$checklist page="maintenanceGroups" primaryChecklistId=$parameters.group->getPrimaryChecklist()->id}
</div>
{/foreach}

<form 
 id="addQuestionForm"
 class="validateForm ajax-form"
 method="post"
 data-sy-url="index.php?page=maintenanceGroups&amp;action=addQuestion"
 data-sy-close-modal="false"
 data-sy-data='{ "groupId":{$parameters.group->id}}'
 data-sy-from="#addQuestionForm"
 data-sy-for="#checklistsContainer"
 data-sy-method="post"
 data-sy-mask="Loading&hellip;"
 data-sy-growl="The question was successfully addded"
>
<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">Additional questions</h3>
	</div>

	<table id="questionList" class="table table-striped">
	<thead>
	<tr>
		<th>Name</th>
		<th>Description</th>
	{if $user->hasPermission(Permission::MAINTENANCE_WRITE)}
		
		<th></th>
	{/if}
	</tr>
	</thead>
	<tbody>
	{if $user->hasPermission(Permission::MAINTENANCE_WRITE)}
	<tr>
		<td><input class="required" id="name" name="name" type="text" maxlength="32" /></td>
		<td><input class="required" id="description" name="description" type="text" maxlength="255" /></td>
		<td class="text-right break-none">
			<button
			 type="submit"
			 class="btn btn-default btn-sm"
			>
				<i class="fa fa-plus"></i>
			</button>
		</td>
	</tr>
	{/if}

	{foreach from=$parameters.group->getQuestions(false, true) item=question name=questions}
	<tr class="item" id="group-checklist-item-{$checklist->id}">
		<td>{$question->name|escape}</td>
		<td>{$question->comment|escape}</td>
		{if $user->hasPermission(Permission::MAINTENANCE_WRITE)}
		<td class="text-right break-none">
			<button
			 type="button"
			 class="btn btn-default btn-sm"
			 data-sy-dialog-click="require"
			 data-sy-require="dialog/confirm"
			 data-sy-confirm-title="Delete question '{$question->name|escape}'?"
			 data-sy-confirm="Do you really want to delete the question '{$question->name|escape}'?"
			 data-sy-url="index.php?page=maintenanceGroups&action=deleteQuestion"
			 data-sy-data='{ "groupId":{$parameters.group->id|escape},"questionId":{$question->id|escape}}'
			 data-sy-method="post"
			 data-sy-for="#checklistsContainer"
			 data-sy-growl="The question '{$question->name|escape}' for checklist {$parameters.group->getPrimaryChecklist()->name|escape} was successfully deleted"
			>
				<i class="fa fa-trash-o"></i>
			</button>
	</td>
		</td>
		{/if}
	</tr>
	{/foreach}

	</tbody>
	</table>
</div>
</form>
</div>
