<script>
	document.target_page = 'maintenanceHistory';
	document.sort_column = 4;
	document.sort_by = 'desc';
	document.datatableSettings = {
		'aoColumns': [
			{ 'width': '30px', 'orderable': false },
			null,
			null,
			null,
			{ 'bSortable': false },
			null
			{if $isArchive}
, null
			{/if}
		],
		'columnDefs': [
			{ type: 'ch_date', targets: 4 }
		]
	};
</script>

<div class="row">
	<div class="col-md-8">
		<div class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title"><a href="#collapse" data-toggle="collapse" class="collapsed" ><i class="fa fa-chevron-down"></i> Filter</a></h3>
			</div>
			<div id="collapse" class="panel-collapse collapse">
				<form
				 id="formMaintenance"
				 class="validateForm ajax-form"
				>
					<table id="filter" class="table">
						<tr>
							<td>
								<label for="dateFrom">From:</label>
							</td>
							<td>
								<input type="text" id="dateFrom" name="dateFrom" class="datePicker form-control" value="" />
							</td>
							<td>
								<label for="dateFrom">To:</label>
							</td>
							<td>
								<input type="text" id="dateTo" name="dateTo" class="datePicker form-control" value="" />
							</td>
						</tr>
						<tr>
							<td>
								<label for="userId">User:</label>
							</td>
							<td>
								<select class="combobox form-control" id="userId" name="userId">
									<option label="All" value="0">-- All --</option>
									{html_options options=$select.users}
								</select>
							</td>
							<td>
								<label for="groupId">Group:</label>
							</td>
							<td>
								<select class="combobox form-control" id="groupId" name="groupId"><option label="All" value="0">-- All --</option>{html_options options=$select.groups}</select>
							</td>
						</tr>
						<tr>
							<td>
								<label for="customerIdHistory">Customer:</label>
							</td>
							<td>
								<select class="combobox form-control" id="customerIdHistory" name="customerIdHistory"><option label="All" value="0">-- All --</option>{html_options options=$select.customers}</select>
							</td>
							<td>
								<label for="hostId">Host:</label>
							</td>
							<td id="hostList">
								{include file="maintenance/historyHosts.tpl"}
							</td>
						</tr>
						<tr>
							<td>
								<label for="limit">Limit:</label>
							</td>
							<td>
								<input type="text" id="limit" name="limit" class="form-control" value="{$parameters.limit}" />
							</td>
							<td>
							</td>
							<td>
							</td>
						</tr>
					</table>
					<div class="panel-footer text-right">
						<button
						 class="btn btn-primary"
						 type="button"
						 data-sy-event-click="require"
						 data-sy-url="index.php?page=maintenanceHistory&action=getTickets"
						 data-sy-from="#formMaintenance"
						 data-sy-for="#maintenanceList"
						 data-sy-method="post"
						>
							<i class="fa fa-search"></i>&nbsp;Show
						</button>
					</div>
				</form>
			</div>
		</div>
	</div>
	{if $user->hasPermission(Permission::MAINTENANCE_WRITE)}
		<div class="col-md-4">
			<div class="panel panel-default">
				<div class="panel-heading">
					<h3 class="panel-title"><a href="#bulkAction" data-toggle="collapse" class="collapsed" ><i class="fa fa-chevron-down"></i> Bulk action</a></h3>
				</div>
				<div id="bulkAction" class="panel-collapse collapse">
					<form id="actionDetailsForm">
						<table class="table">
							<tr>
								<td class="col-md-2">
									<label for="comment">{'Comment'|tr}:</label>
								</td>
								<td>
									<textarea class="required form-control" id="comment" name="comment"></textarea>
								</td>
							</tr>
							<tr>
								<td>
									<label for="commentTags">{'Tags'|tr}:</label>
								</td>
								<td>
									<select class="combobox form-control" id="commentTags" name="commentTags[]" multiple="multiple">{html_options options=$select.tags}</select>
								</td>
							</tr>
						</table>
					</form>
					<div class="panel-footer text-right">
						<input type="hidden" name="action" id="action" value="open">
						<button
							type="button"
							class="btn btn-default"
							data-sy-event-click="require"
							data-sy-require="event/bulkAction"
							data-sy-url="index.php?page=maintenanceHistory"
							data-sy-from="#action,#actionDetailsForm,#maintenanceList"
							data-sy-for="#maintenanceList"
							>
								<i class="fa fa-cubes"></i> {'Open selected tickets'|tr}
						</button>
					</div>
				</div>
			</div>
		</div>
	{/if}
</div>

<form id="maintenanceList">
	{include file="maintenance/maintenanceList.tpl"}
</form>
