<script>
	document.target_page = 'maintenanceOverview';
	document.sort_column = 1;
	document.sort_by     = 'asc';
	document.datatableSettings = {
		'columns': [
			{ 'width': '30px', 'orderable': false },
			{ 'width': '30px'},
			{ 'orderable': false, 'width': '100px' },
			{ 'className': 'break-word-small' },
			null,
			{ 'orderable': false },
			{if $isArchive}
{ 'orderable': false }
			{/if}
		],
		'order': [
			[ 1, 'asc' ]
		]
	}
</script>

<div class="row">
<div class="col-md-6">
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title"><a href="#collapse" data-toggle="collapse" class="collapsed" ><i class="fa fa-chevron-down"></i> Filter</a></h3>
		</div>
		<div id="collapse" class="panel-collapse collapse">
			<form id="formTickets" class="validateForm">
				<table class="table">
				<tr>
					<td>
						<label for="groupId">Group:</label>
					</td>
					<td>
						<select class="combobox form-control" id="groupId" name="groupId">
							<option label="All" value="0">-- All --</option>
							{html_options options=$select.groups}
						</select>
					</td>
				</tr>
				<tr>
					<td>
						<label for="userId">User:</label>
					</td>
					<td>
						<select class="combobox form-control" id="userId" name="userId">
							<option label="All" value="0">-- All --</option>
							{html_options options=$select.users}
						</select>
					</td>
				</tr>
				</table>
			<div class="panel-footer text-right">
				<!-- class: showTickets -->
				<button
				 type="button"
				 class="btn btn-primary"
				 data-sy-event-click="require"
				 data-sy-url="index.php?page=maintenanceOverview&action=getTickets"
				 data-sy-from="#groupId,#userId"
				 data-sy-for="#maintenanceList"
				 data-sy-method="post"
				>
					<span class="fa fa-search"></span> {'Filter'|tr}
				</button>
			</div>
			</form>
		</div>
	</div>
</div>

{if $user->hasPermission(Permission::MAINTENANCE_WRITE)}
<div class="col-md-6">
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title"><a href="#bulkAction" data-toggle="collapse" class="collapsed" ><i class="fa fa-chevron-down"></i> Bulk action</a></h3>
		</div>
		<div id="bulkAction" class="panel-collapse collapse">
			<table class="table">
				<tr>
					<td class="col-md-2">
						<label for="action">Action:</label>
					</td>
					<td>
						<form id="actionForm">
							<select
							 class="required combobox form-control"
							 id="action"
							 name="action"
							 data-placeholder="-- {'Action'|tr} --"
							 data-sy-event-change="change"
							 data-sy-require="event/bulkAction"
							 data-sy-url="index.php?page=maintenanceOverview"
							 data-sy-bulk-action="get"
							 data-sy-from="#action"
							 data-sy-for="#actionDetails"
							 data-sy-action="replaceWith"
							>
								<option value=""></option>
								<option value="owner">{'Set owner'|tr}</option>
								<option value="close">{'Close'|tr}</option>
								<option value="comment">{'Add comment'|tr}</option>
								<option value="date">{'Set due date'|tr}</option>
							</select>
						</form>
					</td>
				</tr>
			</table>
			<div id="actionDetails">
			</div>
			<div class="panel-footer text-right">
				<!-- id: bulkSubmit, class: bulkSubmit -->
				<button
				 type="button"
				 class="btn btn-default"
				 data-sy-event-click="require"
				 data-sy-require="event/bulkAction"
				 data-sy-url="index.php?page=maintenanceOverview"
				 data-sy-from="#action,#actionDetailsForm,#maintenanceList"
				 data-sy-for="#maintenanceList"
				>
					<i class="fa fa-cubes"></i> {'Do this with selected tickets'|tr}
				</button>
			</div>
		</div>
	</div>
</div>
{/if}
</div>

{if $user->hasPermission(Permission::MAINTENANCE_WRITE)}
<div id="toolbar">
<!-- class: addHostForm -->
<button
 type="button"
 class="btn btn-default"
 data-sy-dialog-click="require"
 data-sy-require="dialog/edit"
 data-sy-url="index.php?page=maintenanceOverview&action=addHostForm"
 data-sy-title="Add host ticket"
>
	<i class="fa fa-plus"></i> {'Add host ticket'|tr}
</button>

<!-- class: addGroupForm -->
<button
 type="button"
 class="btn btn-default"
 data-sy-dialog-click="require"
 data-sy-require="dialog/edit"
 data-sy-url="index.php?page=maintenanceOverview&action=addGroupForm"
 data-sy-title="Add group ticket"
>
	<i class="fa fa-plus"></i> {'Add group ticket'|tr}
</button>
</div>
{/if}

<form id="maintenanceList">
	{include file="maintenance/maintenanceList.tpl"}
</form>
