{foreach from=$parameters.allTickets item=ticket name=tickets}
{if $smarty.foreach.tickets.first}
{if $user->hasPermission(Permission::MAINTENANCE_WRITE)}
<p>
	<input type="checkbox" id="checkTickets" class="normal" /> Select all tickets</td>
</p>
{/if}

<ul>
{/if}

<li class="row-fluid {cycle values="ticketOdd,ticketEven"}
	ui-widget-content ui-corner-all
	{if $ticket->dateDue && $smarty.now > $ticket->dateDue->get()}
		warning
	{else}
	{/if}"
	id="item{$ticket->id|escape}">

	<div class="span3">
		<div class="checkbox pull-left">
			<input type="checkbox" name="tickets[]" value="{$ticket->id|escape}" class="tickets normal" />
		</div>
		<div class="details">
			Ticket #{$ticket->id|escape}
			{if $ticket->dateDue}
			(Due: {$ticket->dateDue->get(Zend_Date::DATE_MEDIUM)|escape})
			{/if}
			{if $ticket->userId}
				{$ticket->getUser()->fullName|escape}
			{else}
				<a href="#" title="Take this ticket" class="take ui-icon ui-icon-check" id="take-{$ticket->id|escape}"></a>
			{/if}
		</div>
	</div>
	<div class="span9">
		{foreach from=$ticket->getTicketHosts() item=ticketHost name=ticketHosts}
		{$host = $ticketHost->getHost()}
		{$customer = $host->getCustomer()}
		{if $smarty.foreach.ticketHosts.first}
			<table class="table table-striped">
		{/if}
			<tr>
				<td>
					<b>{$host->hostname|escape|wordwrap:30:"<br>":true}</b><br>
					{$host->IPv4}
					{if $host->IPv6}
						<br />{$host->IPv6|escape}
					{/if}
				</td>
				<td>
					{$ticketHost->getMaintenanceState()->name|escape}<br>
					({if $ticketHost->stateId == MaintenanceState::STATE_IN_PROGRESS && $ticketHost->substateId !== null}{$ticketHost->getMaintenanceSubstate()->name|escape}{else}-{/if})
				</td>
				<td>
					{if $customer->wiki}<a href="{$customer->wiki|escape}" target="_blank">Wiki</a>{else}No wiki.{/if}<br>
					OS: {$host->getHostOS()->name|escape}{if $host->osVersion} ({$host->osVersion|escape}){/if}
				</td>
				<td><a href="#" title="Show history" class="history ui-icon ui-icon-script" id="history-{$ticketHost->id|escape}"></a></td>
				{if $user->hasPermissionForCustomer(Permission::MAINTENANCE_WRITE, $host->customerId)}
					<td><a href="#" title="Update this ticket" class="update ui-icon ui-icon-pencil" id="update-{$ticketHost->id|escape}"></a></td>
					<td><a href="#" title="Show checklist" class="checklist ui-icon ui-icon-clipboard" id="checklist-{$ticketHost->id|escape}"></a></td>
				{else}
					<td></td><td></td>
				{/if}
			</tr>
		{if $smarty.foreach.ticketHosts.last}
			</table>
		{/if}
		{foreachelse}
			No hosts are assigned.
		{/foreach}
	</div>
</tr>

{if $smarty.foreach.tickets.last}
</tbody>
</table>
{/if}
{foreachelse}
	No tickets found.
{/foreach}
