{$ticket = $parameters.ticketHost->getTicket()}
{$host   = $parameters.ticketHost->getHost()}

<form
 id="form{$parameters.ticketHost->id}"
 class="validateForm ajax-form"
 data-sy-url="index.php?page={$page}&amp;action=save"
 data-sy-from="#form{$parameters.ticketHost->id}"
 data-sy-for="#item-{$parameters.ticketHost->ticketId}"
 data-sy-action="replaceWith"
 data-sy-data='{ "id":{$parameters.ticketHost->id}}'
 data-sy-mask="Loading&hellip;"
 data-sy-method="post"
 data-sy-action="html"
 method="post"
 data-sy-growl="The ticket was successfully updated"
>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Ticket information <small>#{$parameters.ticketHost->ticketId}, assigned to {$ticket->getUser()->fullName}</small></h3>
		</div>
		<table class="table">
		<tr>
			<td>Customer:</td>
			<td>{$ticket->getCustomer()->name|escape}</td>
			<td>Host:</td>
			<td>{$host->hostname|escape}</td>
		</tr>
		<tr>
			<td>Host comment:</td>
			<td colspan="3">
				{$host->comment|default:"<i>None</i>"}
			</td>
		</tr>
		</table>
	</div>

	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Update maintenance ticket</h3>
		</div>
		<table class="table">
		{if !$parameters.isStateDone}
		<tr>
			<td><label for="osVersionId">OS version:</label></td>
			<td>
				<select id="osVersionId" name="osVersionId" class="form-control">
					<option value="0">None</option>
					{html_options options=$host->getHostOS()->getVersionsAsArray() selected=$host->osVersionId}
				</select>
			</td>
			<td><label for="stateId">State:</label></td>
			<td><select class="required form-control" id="stateId" name="stateId">{html_options options=$select.states selected=$parameters.ticketHost->stateId}</select></td>
		</tr>
		<tr>
			<td><label for="comment">Comment:</label></td>
			<td><textarea id="comment" name="comment" class="form-control"></textarea></td>
			<td>Tags:</td>
			<td colspan="3"><select class="combobox" id="commentTags" name="commentTags[]" multiple="multiple">{html_options options=$select.tags}</select></td>
		</tr>
		{else}
		</tr>
			<td><label for="stateId">State:</label></td>
			<td><select class="required form-control" id="stateId" name="stateId">{html_options options=$select.states selected=$parameters.ticketHost->stateId}</select></td>
		</tr>
		{/if}
		</table>
	</div>

	{if !$parameters.isStateDone}
	<input type="hidden" id="addHostId" value="{$host->id}">
	<div class="panel panel-default" style="margin-top: 10px;">
		<div class="panel-heading">
			<h3 class="panel-title">Add downtime</h3>
		</div>
		<table class="table">
			<tr>
				<td>
					<label for="dateFrom">{'From'|tr}:</label>
				</td>
				<td>
					<input type="text" id="dateFrom" name="dateFrom" class="form-control dateTimePicker" value="{$smarty.now|date_format:"Y-m-d H:i:s"}" />
				</td>
				<td>
					<label for="dateTo">{'To'|tr}:</label>
				</td>
				<td>
					<input type="text" id="dateTo" name="dateTo" class="form-control dateTimePicker" />
				</td>
				<td>
					<!-- class: addDowntime -->
					<button
					 type="button"
					 class="btn btn-default"
					 data-sy-event-click="require"
					 data-sy-url="index.php?page=downtimes&action=add"
					 data-sy-from="#dateFrom,#dateTo"
					 data-sy-data='{ "host[{$host->id|escape}]":"on"}'
					 data-sy-title="Add downtime"
					 data-sy-method="post"
					 data-sy-growl="Downtime for host '{$host->hostname|escape}' successfully added"
					>
						<i class="fa fa-plus"></i>&nbsp;Add
					</button>
				</td>
			</tr>
		</table>
	</div>

	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Checklists</h3>
		</div>
		{foreach from=$parameters.ticketHost->getAnswers() item=answer name="questions"}
		{assign var="question" value=$answer->getQuestion()}
			{if $smarty.foreach.questions.first}
				<table class="table table-striped">
					<thead>
						<tr>
							<th>Question</th>
							<th>Description</th>
							<th>Comment</th>
							<th>Checked</th>
						</tr>
					</thead>
					<tbody>
			{/if}

				<tr>
					<td>{$question->name}</td>
					<td>{$question->comment}</td>
					<td><textarea name="checklistComment[{$answer->id}]" class="form-control">{$answer->comment}</textarea></td>
					<td><input type="checkbox" name="checked[{$answer->id}]" value="{$question->id}" {if $answer->isChecked} checked="checked"{/if}/></td>
				</tr>

			{if $smarty.foreach.questions.last}
					</tbody>
				</table>
			{/if}
		{foreachelse}
		<div class="panel-body">
			No questions available.
		</div>
		{/foreach}
	</div>
	{/if}
	<div id="placeholder-footer"></div>
</form>
