{assign "stateClass" ""}
{if !$isArchive}
	{if $ticket->dateDue && $smarty.now > $ticket->dateDue->get()}
		{assign "stateClass" "danger"}
	{* By default there is no due date and the colors depend on the ticket creation date *}
	{elseif $ticket->dateDue === null}
		{$age = $smarty.now - $ticket->dateCreated->get()}
		{* 60 days *}
		{if $age > 86400 * 60}
			{assign "stateClass" "danger"}
		{* 30 days *}
		{elseif $age > 86400 * 30}
			{assign "stateClass" "warning"}
		{/if}
	{/if}
{/if}

<tr id="item-{$ticket->id|escape}" class="{$stateClass}">
	<td>
		<input type="checkbox" name="tickets[]" value="{$ticket->id|escape}" class="tickets normal" />
	</td>
	<td>
		{$ticket->id|escape}
	</td>
	<td>
		{$ticket->getCustomer()->name}
	</td>
	<td>
		{if $ticket->userId}
			{$ticket->getUser()->fullName|escape}
		{else}
			<button
			 type="button"
			 class="btn btn-default btn-sm"
			 title="Take this ticket"
			 data-sy-event-click="event"
			 data-sy-url="index.php?page=maintenanceOverview&amp;action=take"
			 data-sy-data='{ "id":{$ticket->id|escape}}'
			 data-sy-for="#item-{$ticket->id|escape}"
			 data-sy-action="replaceWith"
			 data-sy-title="Take this ticket"
			 data-sy-method="post"
			 data-sy-growl="You successfully took the ticket '#{$ticket->id|escape}'"
			>
				<i class="fa fa-check"></i>
			</button>
		{/if}
	</td>
	<td>
		{if $ticket->groupId}
			{$ticket->getGroup()->name}
		{else}
			-
		{/if}
	</td>
	<td>
		<div class="row">
		{foreach from=$ticket->getTicketHosts() item=ticketHost name=ticketHosts}
			{include file="maintenance/maintenanceEntryRow.tpl"}
			{if !$ticketHost@last}<br>{/if}
		{/foreach}
		</div>
	</td>
	{if $isArchive}
		<td>
			{if $ticket->dateArchived}{$ticket->dateArchived->get(Zend_Date::DATE_MEDIUM)}{else}-{/if}
		</td>
	{/if}
</tr>
