<div class="report-print">
{foreach $facts->data->hosts as $host}
    <div class="title">
        <strong>Host: {$host->name}</strong>
    </div>

    <div><strong>Report Daten</strong></div>
    <table class="table info">
        <tr>
            <td>Beginn:</td>
            <td>{$dateStart}</td>
        </tr>
        <tr>
            <td>Ende:</td>
            <td>{$dateEnd}</td>
        </tr>
        <tr>
            <td>Periode in Tagen:</td>
            <td>{$totalDayRange|string_format:"%d"}</td>
        </tr>
        <tr>
            <td>Uptime (%):</td>
            <td>{$host->available_percent|string_format:"%.3f"}</td>
        </tr>
        <tr>
            <td>Uptime in SLA (%):</td>
            <td>
            {if $host->total_seconds_sla > 0}
                {100 - $host->unavailable_wo_slatimes_percent|string_format:"%.3f"}
            {else}
                -
            {/if}
            </td>
        </tr>
        <tr>
            <td>Downtime (%):</td>
            <td>{$host->unavailable_percent|string_format:"%.3f"}</td>
        </tr>
        <tr>
            <td>Uptime:</td>
            <td>{$host->available|humantime}</td>
        </tr>
        <tr>
            <td>Downtime:</td>
            <td>{$host->unavailable|humantime}</td>
        </tr>
        <tr>
            <td>Services:</td>
            <td>
            {foreach $host->services as $service}
                {assign var="available_sla" value=100-$service->unavailable_wo_slatimes_percent|string_format:"%.3f"}
                {$service->name} ({$service->available_percent|string_format:"%.3f"|replace:'.000':''}% / SLA: {if $service->total_seconds_sla > 0}{$available_sla}%{else}-{/if})<br>
            {/foreach}
            </td>
        </tr>
    </table>

    <div><strong>Vorfälle</strong></div>
    <table class="table table-striped">
        <thead>
            <tr>
                <th>#ID</th>
                <th>Bereich</th>
                <th>Datum</th>
                <th>Dauer</th>
                <th>Kommentar</th>
            </tr>
        </thead>
        <tbody>
        {foreach $host->issue_list->alerts as $alert}
            <tr>
                <td>{$alert->id}</td>
                <td>{if $alert->is_service}Service{else}Host{/if}</td>
                <td class="nowrap">{$alert->occurred|parseDatetime}</td>
                <td class="nowrap">{$alert->duration|humantime}</td>
                <td>
                {foreach $alert->user_comment as $comment}
                {if $alert->user_comment|@count > 1}<i class="fa fa-comment"></i> {/if}{$comment->comment}<br>
                {/foreach}
                </td>
            </tr>
        {/foreach}
        </tbody>
    </table>
    <div class="page-break"></div>
{/foreach}

{foreach $facts->data->applications as $app}
    <div class="title">
        <strong>Applikation: {$app->name}</strong>
    </div>

    <div><strong>Report Daten</strong></div>
    <table class="table info">
        <tr>
            <td>Beginn:</td>
            <td>{$dateStart}</td>
        </tr>
        <tr>
            <td>Ende:</td>
            <td>{$dateEnd}</td>
        </tr>
        <tr>
            <td>Periode in Tagen:</td>
            <td>{$totalDayRange|string_format:"%d"}</td>
        </tr>
        <tr>
            <td>Uptime (%):</td>
            <td>{$app->available_percent|string_format:"%.3f"}</td>
        </tr>
        <tr>
            <td>Downtime (%):</td>
            <td>{$app->unavailable_percent|string_format:"%.3f"}</td>
        </tr>
        <tr>
            <td>Uptime:</td>
            <td>{$app->available|humantime}</td>
        </tr>
        <tr>
            <td>Downtime:</td>
            <td>{$app->unavailable|humantime}</td>
        </tr>
    </table>

    <div><strong>Vorfälle</strong></div>
    <table class="table table-striped">
        <thead>
            <tr>
                <th>#ID</th>
                <th>Datum</th>
                <th>Dauer</th>
                <th>Kommentar</th>
            </tr>
        </thead>
        <tbody>
        {foreach $app->issue_list->states as $state}
            <tr>
                <td>{$state->id}</td>
                <td class="nowrap">{$state->occurred|parseDatetime}</td>
                <td class="nowrap">{$state->duration|humantime}</td>
                <td>
                {foreach $state->alert->user_comment as $comment}
                {if $state->alert->user_comment|@count > 1}<i class="fa fa-comment"></i> {/if}{$comment->comment}<br>
                {/foreach}
                </td>
            </tr>
        {/foreach}
        </tbody>
    </table>
    <div class="page-break"></div>
{/foreach}
</div>
