<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">{'Basic information'|tr}</h3>
	</div>

	<table class="table table-condensed table-striped hostInformationTable">
	<tr class="{if $host->hasTrouble}error{/if}">
		<td>
			{'Host'|tr}:
		</td>
		<td class="break-word-medium">
			{$host->hostname} (Alert Scheduler: {$host->getRealSLA()->name})
		</td>
	</tr>
	<tr>
		<td>
			{'Availability'|tr}:
		</td>
		<td>
			{foreach $host->getHostServicesAvailability() as $hostService}
				{$availability = $hostService->getAvailabilityOrNull($parameters.dateFrom, $parameters.dateTo)}
				{$hostService->getObjectName()|escape}:
				{if $availability === null}
					N/A
				{else}
					{* Must be done here because otherwise we couldn't distinguish between 0% and null *}
					{$availability = $availability * 100}
					{$availability|string_format:"%.2f"}%
					<span title="Minimum availability for Alert Scheduler {$hostService->getRealSLA()->name}: {$hostService->getRealSLA()->minAvailability}%" class="pull-right">
						<svg xmlns="http://www.w3.org/2000/svg" version="1.1" width="42" height="20">
							{if $availability >= $hostService->getRealSLA()->minAvailability}
								<circle cx="10" cy="10" r="9" fill="#008000" stroke="#008000" stroke-width="1"></circle>
								<circle cx="32" cy="10" r="9" fill="none" stroke="#ff0000" stroke-width="1"></circle>
							{else}
								<circle cx="10" cy="10" r="9" fill="none" stroke="#008000" stroke-width="1"></circle>
								<circle cx="32" cy="10" r="9" fill="#ff0000" stroke="#ff0000" stroke-width="1"></circle>
							{/if}
						</svg>
					</span>
				{/if}
			{foreachelse}
				No services are relevant for availability
			{/foreach}
		</td>
	</tr>
	<tr>
		<td>
			{'OS'|tr}:
		</td>
		<td>
			{$host->getHostOS()->name} {if $host->osVersionId}{$host->getHostOSVersion()->name}{/if}
		</td>
	</tr>
	<tr>
		<td>
			{'Assigned services'|tr}:
		</td>
		<td>
			{foreach from=$host->getHostServiceInstances() item=hostService name=hostServices}
			{if $smarty.foreach.hostServices.first}
			<table class="table table-condensed table-striped">
			<tr>
				<th>Name</th>
				<th>Alert Scheduler</th>
			</tr>
			{/if}
			<tr class="{if $hostService->hasTrouble}error{/if}">
			<td>
				{$hostService->getObjectName()}
			</td>
			<td>
				{$hostService->getRealSLA()->name}
			</td>
			</tr>
			{if $smarty.foreach.hostServices.last}
			</table>
			{/if}
			{foreachelse}
				<i>None</i>
			{/foreach}
		</td>
	</tr>
	{if $user->hasPermissionForCustomer(Permission::REPORTS_FULL, $host->getCustomer()->id) && $parameters.showMaintenanceInfo}
	<tr>
		<td>
			{'Maintenance'|tr}:
		</td>
		<td>
			{if $host->maintenanceCycleId}
				{$host->getMaintenanceCycle()->name} (Next: {$host->getNextMaintenanceDate()->get(Zend_Date::DATE_MEDIUM)})
			{else}
				<i>None</i>
			{/if}
		</td>
	</tr>
	{/if}
	<tr>
		<td>
			{'Issues'|tr}:
		</td>
		<td>
			{$alerts|count}
		</td>
	</tr>
	</table>
</div>
