{* This template is used as subtemplate for outputting a string,
   so DO NOT USE (UNESCAPED) DOUBLEQUOTES in here! *}

{assign 'services' $parameters.command->getServices()}
{assign 'hasServices' {$services->getCount() > 0}}
{assign 'hostAlerts' $parameters.command->getHostAlerts()}
{assign 'hasAlerts' {$hostAlerts->getCount() > 0}}

{if $hasServices || $hasAlerts}
	<br>
	<br>
	This command has the following dependencies:
	<br>
	<br>
	{if $hasServices}
		<strong>Services</strong>
		<ul>
			{foreach $services as $service}
			<li>Service '{$service->name}'</li>
			<ul>
				{foreach $service->getHostServices() as $hostService}
				<li>Service '{$service->name}' for host '{$hostService->getHost()->hostname}'</li>
				{/foreach}
			</ul>
			{/foreach}
		</ul>
	{/if}
	{if $hasAlerts}
		<strong>Host only alerts</strong>
		<ul>
			{foreach $hostAlerts as $ha}
			<li>Alert #{$ha->id} ('{$ha->getAlertState()}')</li>
			{/foreach}
		</ul>
	{/if}
{else}
	This command has no dependencies.
{/if}
