{if $parameters.action == "addForm"}
	{assign 'formId' 'formAdd'}
	{assign 'action' 'add'}
	{assign 'syTarget' '#list tbody'}
	{assign 'syAction' 'data-sy-action="append"'}
	{assign 'syData' ''}
{else}
	{assign 'formId' "form{$parameters.command->id}"}
	{assign 'action' 'save'}
	{assign 'syTarget' "#item{$parameters.command->id}"}
	{assign 'syAction' 'data-sy-action="replaceWith"'}
	{assign 'syData' "data-sy-data='{ \"id\": {$parameters.command->id}}'"}
{/if}

<form
 id="{$formId}"
 class="validateForm ajax-form"
 data-sy-from="#{$formId}"
 data-sy-for="{$syTarget}"
 {$syAction}
 data-sy-url="index.php?page=commands&amp;action={$action}"
 data-sy-mask="Loading&hellip;" method="post"
 {$syData}
 data-sy-growl="The command '#{$parameters.command->id|escape}' was successfully saved"
 data-sy-notify="notify/export"
 data-sy-notify-all="all"
 data-sy-hide="#listNoCommands"
>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Command information <small>{if $parameters.command->id}Command ID {$parameters.command->id|escape}{else}New command{/if}</small></h3>
		</div>
		<table class="table">
		<tr>
			<td><label for="name">Name:</label></td>
			<td colspan="3"><input class="form-control required nagiosname nospecial" id="name" name="name" type="text" maxlength="32" value="{$parameters.command->name|escape}" /></td>
		</tr>
		<tr>
			<td><label for="description">Description:</label></td>
			<td><input class="required form-control" id="description" name="description" type="text" maxlength="255" value="{$parameters.command->description|escape}" /></td>
			<td><label for="v6Capable">IPv6</label></td>
			<td><input id="v6Capable" class="form-control" name="v6Capable" type="checkbox" {if $parameters.command->v6Capable == 1}checked="checked"{/if} /></td>
		</tr>
		<tr>
			<td><label for="commandline">Command line:</label></td>
			<td colspan="3"><textarea class="form-control required nospecial" id="commandline" name="commandline">{$parameters.command->commandline|escape}</textarea></td>
		</tr>
		<tr>
			<td colspan="4" class="rowspan-top">
				<div class="panel panel-default commandLineExample">
					<div class="panel-heading">
						<h3 class="panel-title">
							<a href="#commandExample" data-toggle="collapse"{if $parameters.command->id} class="collapsed"{/if}>
								<i class="fa fa-chevron-down"></i> Command line example
							</a>
						</h3>
					</div>
					<div id="commandExample" class="panel-collapse{if !$parameters.command->id} in{else} collapse{/if}">
						<div class="panel-footer">
							<pre>$USER1$/check_tcp -H $HOSTADDRESS$ -p $ARG1$</pre>
							<ul class="wide-space">
								<li><strong>$USER1$</strong>: this placeholder will be replaced with the path of the directory in which nagios will find the commands. The commands are for example perl-scripts, python-scripts or executables. $USER1$/check_tcp will be replaced by /usr/lib/nagios/plugins/check_tcp on the target host.</li>
								<li><strong>$HOSTADDRESS$</strong>: contains the IP address of the host which is monitored. Because a service can be used for multiple hosts, the IP may not be static and will be replaced by the actual IP address during execution.</li>
								<li><strong>$ARG1$, $ARG2$, ...</strong>: This are arguments for the given command. Defining the arguments as placeholder allows you to use a command in a generic way. In this example we define a command which monitors a given TCP-port. The port is not hard coded in the command and can therefore be defined in the service. This allows you to use the command for multiple services, in that case for example for SSH and SMTP. Both services will then use the same TCP command and set $ARG1$ accordingly (22 for SSH and 25 for SMTP).</li>
							</ul>
						</div>
					</div>
				</div>
			</td>
		</tr>
		</table>
	</div>
	<div id="placeholder-footer"></div>
</form>
{if $parameters.action != "addForm"}
<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">Install guidelines</h3>
	</div>
	<div id="addGuideline">
		{include file="services/commandsAddGuideline.tpl"}
	</div>
	{include file="services/commandsAssignedGuideline.tpl"}
</div>
{/if}
