<td>{$command->name|escape}</td>
<td>{$command->description|escape}</td>
<td>
	{foreach from=$command->getServices() item=service}
		{$service->name}<br />
	{/foreach}
</td>
<td class="break-none">
	{foreach from=$command->getGuidelines() item=guideline}
		{if $guideline->getHostOSVersion()->shortName}
			{assign 'hostOS' $guideline->getHostOS()}
			{assign 'hostOSVersion' $guideline->getHostOSVersion()}
			{assign 'guidelineContent' $guideline->content|escape|nl2br}
			{assign 'guidelineTitle' $hostOS->name|escape|cat:" "|cat:$hostOSVersion->name|escape}

			{$hostOSVersion->shortName}&nbsp;
			<div
				class="hover-popover big-popover"
				data-toggle="popover"
				title="<span title='Installation of this command on {$guidelineTitle|escape}'>Installation of this command on {$guidelineTitle|escape}</span>"
				data-content="
					<ul>
						<li>OS: {$hostOS->name}</li>
						<li>OSVersion: {$hostOSVersion->name}</li>
						<li>Installation steps:<br>{$guidelineContent}</li>
						<li>File:
							<a href=&quot;{$guideline->getGuidelineURI()}{$guideline->filename}&quot;>{$guideline->filename}</a>
						</li>
					</ul>
					<button
						type='button'
						id='close'
						class='btn'
						onclick='$(this).popover(&quot;hide&quot;);'>Close
					</button>
					"
			>
				<i
				 class="fa fa-info-circle pointer"
				></i>
			</div><br>
		{/if}
	{/foreach}
</td>
<td class="text-right break-none">
	<button
	 type="button"
	 title="Edit this command"
	 class="btn btn-default btn-sm"
	 id="edit-{$command->id|escape}"
	 data-sy-url="index.php?page=commands&action=edit"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$command->id}}'
	 data-sy-method="get"
	 data-sy-title="Edit command '{$command->name|escape}'"
	 data-sy-dialog-on-close="reload"
	 {if !$user->hasPermission(Permission::SERVICES_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-pencil"></i>
	</button>
	<button
	 type="button"
	 title="Delete this command"
	 class="btn btn-default btn-sm"
	 id="delete-{$command->id}"
	 data-sy-url="index.php?page=commands&action=delete"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$command->id}}'
	 data-sy-method="post"
	 data-sy-confirm-title="Delete command '{$command->name|escape}'?"
	 data-sy-confirm="{include file='services/commandsDeleteConfirmation.tpl'}"
	 data-sy-for="#item{$command->id}"
	 data-sy-hide="#item{$command->id}"
	 data-sy-growl="The command '{$command->name|escape}' was successfully deleted"
	 data-sy-notify="notify/export"
	 data-sy-notify-all="all"
	 {if !$user->hasPermission(Permission::SERVICES_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-trash-o"></i>
	</button>
</td>
