{if $parameters.action == "addForm"}
	{assign 'formId' 'formAdd'}
	{assign 'action' 'add'}
	{assign 'syData' ''}
	{assign 'syTarget' '#list tbody'}
	{assign 'syAction' 'append'}
	{assign 'syHide' 'data-sy-hide="#listNoServices"'}
{else}
	{assign 'formId' "form{$parameters.service->id}"}
	{assign 'action' 'save'}
	{assign 'syData' "data-sy-data='{ \"id\": {$parameters.service->id}}'"}
	{assign 'syTarget' "#item{$parameters.service->id}"}
	{assign 'syAction' 'replaceWith'}
	{assign 'syHide' ''}
{/if}

<form 
 id="{$formId}"
 class="validateForm ajax-form"
 data-sy-url="index.php?page=services&amp;action={$action}"
 data-sy-from="#{$formId}"
 data-sy-for="{$syTarget}"
 data-sy-action="{$syAction}"
 data-sy-mask="Loading&hellip;" method="post"
 data-sy-growl="The service was successfully saved"
 data-sy-notify="notify/export"
 data-sy-notify-all="all"
 {$syData}
 {$syHide}
>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">{'Service information'|tr} <small>{if $parameters.service->id}Service ID {$parameters.service->id|escape}{else}New service{/if}</small></h3>
		</div>
		<table class="table table-striped">
		<tr>
				<td><label for="name">Name:</label></td>
				<td colspan="3"><input class="required nagiosname nospecial form-control" id="name" name="name" type="text" maxlength="32" value="{$parameters.service->name|escape}" /></td>
		</tr>
		<tr>
				<td><label for="description">Description:</label></td>
				<td><input class="required form-control" id="description" name="description" type="text" maxlength="255" value="{$parameters.service->description|escape}" /></td>
				<td><label for="commandId">Command:</label></td>
				<td>
					<select class="required combobox" id="commandId" name="commandId" {if $parameters.service->isNrpe}disabled{/if}
						data-sy-for="#serviceCommandLine"
						data-sy-require="event/serviceCommandLine"
						data-sy-event-change="require"
					>
						{html_options options=$select.commands selected=$parameters.service->commandId}
					</select>
				</td>
		</tr>
		<tr>
				<td><label for="customerId">Customer:</label></td>
				<td colspan="3">
					<select id="customerId" class="combobox" name="customerId">
						<option value="0">None</option>
						{html_options options=$select.customers selected=$parameters.service->customerId}
					</select>
				</td>
		</tr>
		<tr>
				<td><label for="maxCheckAttempts">Max check attempts</label></td>
				<td><input class="form-control required integer {ldelim}min:1,max:10080{rdelim}" id="maxCheckAttempts" name="maxCheckAttempts" type="text" value="{$parameters.service->maxCheckAttempts|escape}" /></td>
				<td>
					<label title="Check interval in minutes" for="checkInterval">Check interval</label>
					<i
					 class="fa fa-info-circle add-popover"
					 title="Check interval in minutes"
					 data-toggle="popover"
					 data-content="After how many minutes a check shall be repeated"
					></i>
				</td>
				<td>
					<input class="form-control required integer {ldelim}min:1,max:10080{rdelim}" id="checkInterval" name="checkInterval" type="text" value="{$parameters.service->checkInterval|escape}"></input>
					</td>
		</tr>
		<tr>
				<td>
					<label title="Retry interval in minutes" for="retryInterval">Retry interval</label>
					<i
					 class="fa fa-info-circle add-popover"
					 title="Retry interval in minutes"
					 data-toggle="popover"
					 data-content="After how many minutes a retry shall be performed"
					></i>
				</td>
				<td>
					<input class="form-control required integer {ldelim}min:1,max:10080{rdelim}" id="retryInterval" name="retryInterval" type="text" value="{$parameters.service->retryInterval|escape}"></input>
				</td>
				<td>
					<label title="Freshness check delay in seconds" for="freshness">Freshness</label>
					<i
					 class="fa fa-info-circle add-popover"
					 title="Freshness check delay in seconds"
					 data-toggle="popover"
					 data-content="Sets how many seconds the freshness check shall be delayed"
					></i>

				</td>
				<td><input class="form-control required integer {ldelim}min:0,max:604800{rdelim}" id="freshness" name="freshness" type="text" value="{$parameters.service->freshness|escape}" /></td>
		</tr>
		<tr>
				<td><label for="nrpe">nrpe</label></td>
				<td><input id="nrpe" class="normal form-control" name="isNrpe" type="checkbox" {if $parameters.service->isNrpe == 1}checked="checked"{/if} /></td>
				<td><label for="slaId">Default Alert Scheduler</label></td>
				<td>
					<select class="required combobox" id="slaId" name="slaId">
						<option value="0">Inherit from host</option>
						{html_options options=$select.slas selected=$parameters.service->slaId}
					</select>
				</td>
		</tr>
		</table>
	</div>

	<div class="panel panel-default">
		<div class="panel-heading">
			<button
			 type="button"
			 class="btn btn-link pull-right"
			 data-sy-event-click="require"
			 data-sy-url="index.php?page=services&action=addNewArgument"
			 data-sy-from="#tempId"
			 data-sy-for="#argumentsTable tbody:first,#tempId"
			 data-sy-action="append"
			>
				<i class="fa fa-plus"></i> Add argument
			</button>
			<h3 class="panel-title">{'Arguments'|tr}</h3>
		</div>
		<div class="panel-body">
			Argument <b>i</b> is related to $ARG<b>i</b>$ of the command line:
			<div id="serviceCommandLine">
				{$parameters.service->getCommand()->commandline}
			</div>
		</div>
		<table id="argumentsTable" class="table table-condensed">
		<thead>
			<tr>
				<th>
					#
				</th>
				<th>
				</th>
				<th>
					Option
				</th>
				<th>
					Value
				</th>
				<th>
					Description
				</th>
				<th>
					Type
				</th>
			</tr>
			</thead>
			<tbody id="argumentsList" class="sortable">
				<input type="hidden" id="tempId" name="tempId" value="{$parameters.tempId|escape}">
			{if $parameters.action == "addForm"}
				{include file="services/servicesNewArgument.tpl"}
			{else}
				{foreach $parameters.arguments as $argument}
					{include file="services/servicesArgument.tpl"}
				{/foreach}
			{/if}
			</tbody>
		</table>

		<div class="panel-body">
			<small>
			<ul>
				<li>
					For nrpe, <b>Option</b> is the option name, as in -w or -c. You may leave this field empty for non-nrpe services.
				</li>
				<li>
					<b>Value</b> is the default or fixed value of the argument.
				</li>
				<li>
					<b>Description</b> is an optional hint for the users who assign this service to a host.
				</li>
				<li>
					The <b>Type</b> <i>Variable</i> means that the value can be overwritten at the host service assignment.
				</li>
			</ul>

			If this service is of type nrpe the first argument value <b>must</b> be the path to the plugin script.
			</small>
		</div>
	</div>
	<div id="placeholder-footer" />
</form>
