{if $parameters.action == "addForm"}
	{assign 'formId' 'formAdd'}
	{assign 'action' 'add'}
	{assign 'syData' ''}
	{assign 'syAction' 'data-sy-action="append"'}
	{assign 'syTarget' '#list tbody'}
{else}
	{assign 'formId' "form{$parameters.role->id}"}
	{assign 'action' 'save'}
	{assign 'syData' "data-sy-data='{ \"id\": {$parameters.role->id}}'"}
	{assign 'syAction' 'data-sy-action="replaceWith"'}
	{assign 'syTarget' "#item{$parameters.role->id}"}
{/if}

<form 
 id="{$formId}"
 class="validateForm ajax-form"
 data-sy-from="#{$formId}"
 data-sy-for="{$syTarget}"
 {$syAction}
 data-sy-url="index.php?page=roles&amp;action={$action}"
 data-sy-mask="Loading&hellip;" method="post"
 data-sy-growl="The role was successfully saved"
 data-sy-hide="#listNoRoles"
 {$syData}
>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">{'Role information'|tr} <small>{if $parameters.role->id}Role ID {$parameters.role->id|escape}{else}New role{/if}</small></h3>
		</div>
		<table class="table">
		<tr>
			<td><label for="name">{'Name'|tr}:</label></td>
			<td><input class="required form-control" id="name" name="name" type="text" maxlength="32" value="{$parameters.role->name|escape}" /></td>
		</tr>
		<tr>
			<td><label for="description">{'Description'|tr}:</label></td>
			<td><input class="required form-control" id="description" name="description" type="text" value="{$parameters.role->description|escape}" /></td>
		</tr>
		<tr>
			<td><label for="rolePermissions">{'Permissions'|tr}:</label></td>
			<td>
				<select class="required multi" id="rolePermissions" name="rolePermissions[]" multiple="multiple">
					{if $parameters.role->hasIdentifier()}
						{html_options options=$select.permissions selected=$parameters.role->getPermissionIdsAsArray()}
					{else}
						{html_options options=$select.permissions}
					{/if}
				</select>
			</td>
		</tr>
		</table>
	</div>

	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">{'Role Assignement'|tr}</h3>
		</div>
		<div class="panel-body">
			<p>
			This list defines what roles you are allowed to assign to other users if you're assigned to this role{if $parameters.role->hasIdentifier()} ({$parameters.role->name}){/if}.
			</p>
		</div>
		<table class="table table-striped">
		{foreach from=$parameters.roles item=role}
		<tr>
			<td><label for="assignedRole-{$role->id}">{$role->name}</label></td>
			<td>
				{if $role->id|in_array:$parameters.assignedRoles}
					{assign var="checked" value='checked="checked"'}
				{else}
					{assign var="checked" value=""}
				{/if}
				<input class="form-constrol" type="checkbox" name="assignedRoles[]" value="{$role->id}" id="assignedRole-{$role->id}" {$checked} />
			</td>
		</tr>
		{/foreach}
		</table>
	</div>
	<div id="placeholder-footer">
</form>
