{if $parameters.action == "addForm"}
	{assign 'formId' 'formAdd'}
	{assign 'action' 'add'}
	{assign 'syData' ''}
	{assign 'syAction' 'data-sy-action="append"'}
	{assign 'syTarget' '#list tbody'}
{else}
	{assign 'formId' "form{$parameters.user->id}"}
	{assign 'action' 'save'}
	{assign 'syData' "data-sy-data='{ \"id\": {$parameters.user->id}}'"}
	{assign 'syAction' 'data-sy-action="replaceWith"'}
	{assign 'syTarget' "#item{$parameters.user->id}"}
{/if}
{assign 'existingUser' $parameters.user->id|default:null}

<form 
 id="{$formId}"
 class="validateForm ajax-form"
 data-sy-from="#{$formId}"
 data-sy-for="{$syTarget}"
 {$syAction}
 data-sy-url="index.php?page=users&amp;action={$action}"
 data-sy-mask="Loading&hellip;" method="post"
 data-sy-growl="The user was successfully saved"
 data-sy-hide="#listNoUsers"
 {$syData}
>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">User information <small>{if $existingUser}User ID {$parameters.user->id|escape}{else}New user{/if}</small></h3>
		</div>
		<table class="table">
			<tr>
				<td>
					<label for="name">Name:</label>
				</td>
				<td>
					<input class="required form-control" id="name" name="name" type="text" maxlength="32" value="{$parameters.user->name|escape}"></input>
				</td>
			</tr>
			<tr>
				<td>
					<label for="fullName">Full name:</label>
				</td>
				<td>
					<input class="required form-control" id="fullName" name="fullName" type="text" value="{$parameters.user->fullName|escape}"></input>
				</td>
			</tr>
			<tr>
				<td><label for="authMethod">Authentication:</label></td>
				<td colspan="3">
					<select class="required combobox" id="authMethod" name="authMethod">
						{html_options options=$select.authMethods selected=$parameters.user->authenticationMethod}
					</select>
				</td>
			</tr>
			<tr>
				<td><label for="password">Password:</label></td>
				<td><input class="form-control" id="password" name="password" type="password"></input></td>
				<td><label for="password2">Repeat</label></td>
				<td><input class="form-control" id="password2" name="password2" type="password"></input></td>
			</tr>
			<tr>
				<td><label for="customerId">Principal customer:</label></td>
				<td colspan="3">
					<select class="required combobox" id="customerId" name="customerId">
						{html_options options=$select.customers selected=$parameters.user->customerId|default:$user->customerId}
					</select>
				</td>
			</tr>
			<tr>
				<td><label for="itemEnabled">Enabled:</label></td>
				<td{if !$existingUser} colspan="3"{/if}>
					<input class="form-control" id="itemEnabled" name="isEnabled" type="checkbox"{if $parameters.user->isEnabled} checked="checked"{/if}></input>
				</td>
			</tr>
		</table>
	</div>
	{include file="users/usersContact.tpl"}
</form>
