# -*- coding: UTF-8 -*-
# pylint: disable=protected-access,missing-docstring

"""Tests the customer search field's functionality"""


# System imports
try:
    import unittest2      as unittest
except ImportError:  # pragma: no cover
    import unittest

from selenium.webdriver.common.by import By

# Project imports
from symonitoring_frontend import login_base

class CustomerSearchFieldTest(unittest.TestCase):
    def __init__(self, *args, **kwargs):
        super(CustomerSearchFieldTest, self).__init__(*args, **kwargs)
        self._base = None

    def setUp(self):
        self._base = login_base.LoginBase.get_instance()

    def test_customer_field_present(self):
        self.driver.get("https://symonitoring.vm/?page=customers")
        search_field = self.driver.find_elements(By.CSS_SELECTOR, '#list_filter input[type="search"]')
        self.assertEqual(len(search_field), 1)

    @property
    def driver():
        doc = "Selenium's Webdriver"
        def fget(self):
            return self._base.driver
        return locals()

if __name__ == '__main__':
    suite = unittest.TestLoader().loadTestsFromTestCase(CustomerSearchFieldTest)
    unittest.TextTestRunner(verbosity=2).run(suite)

