# -*- coding: UTF-8 -*-
# pylint: disable=protected-access,missing-docstring

"""Tests host specific features/functionalities"""

# System imports
try:
    import unittest2      as unittest
except ImportError:  # pragma: no cover
    import unittest

# Project imports
from symonitoring_frontend import login_base


class HostsTest(unittest.TestCase):
    def __init__(self, *args, **kwargs):
        super(HostsTest, self).__init__(*args, **kwargs)
        self._base = None

    def setUp(self):
        self._base = login_base.LoginBase.get_instance()

    def test_hosts_reachable(self):
        self._base.logout()
        self._base.login(username='admin', password='vagrant')
        self._base.driver.get(
            "%s/index.php?page=hosts" % self._base.url
        )
        self.assertEquals(self._base.driver.title, 'Hosts')
