# -*- coding: UTF-8 -*-
# pylint: disable=protected-access,missing-docstring

"""Tests the login/logout functionality"""

# System imports
try:
    import unittest2      as unittest
except ImportError:  # pragma: no cover
    import unittest

# Project imports
from symonitoring_frontend import login_base


class LoginTest(unittest.TestCase):
    def __init__(self, *args, **kwargs):
        super(LoginTest, self).__init__(*args, **kwargs)
        self._base = None

    def setUp(self):
        self._base = login_base.LoginBase.get_instance()

    def test_site_reachable(self):
        self.assertNotEquals(self._base.driver.title, u'')

    def test_login(self):
        self._base.logout()
        self._base.login(username='admin', password='vagrant')
        self.assertEquals(self._base.driver.title, 'Home')

    def test_login_failure(self):
        self._base.logout()
        self._base.login(username='admin', password='asdf')
        self.assertEquals(self._base.driver.title, 'Login')
