define([
    'jquery',
    'moment',
  '/js/app/ajax.js',
  'domReady!',
], function($, moment, ajax) { 'use_strict';
  var timeUntilReload
  var timeUntilReloadTimeout

  function init() {
    updateTimeUntilReload()
    updateLastReloadDate()
    setInterval(intervalTimeUntilReload, 1000)
  }

  function updateLastReloadDate() {
    return $.get('index.php', { 'page': 'export', 'action': 'getLastReloadDate' })
      .then(function(res) {
        if (res.data) {
          return moment(res.data)
        }
        else {
          return null
        }
      })
      .then(function(date) {
        if (date) {
          $('#last-successful-reload-text').text(date.format('L LT'))
        }
        else {
          $('#last-successful-reload-text').text('No last successful reload')
        }
      })
  }

  function updateTimeUntilReload() {
    clearTimeout(timeUntilReloadTimeout)

    return $.get('index.php', { 'page': 'export', 'action': 'getTimeUntilReload' })
      .then(function(res) {
        return Number(res.data) * 1000
      })
      .then(function(t) {
        timeUntilReload = t

        if (timeUntilReload > 0) {
          timeUntilReloadTimeout = setTimeout(function() {
            updateTimeUntilReload()
            updateLastReloadDate()
          }, timeUntilReload)
        }
        else {
          timeUntilReloadTimeout = setTimeout(function() {
            updateTimeUntilReload()
            updateLastReloadDate()
          }, 10 * 1000)
        }

        return t
      })
      .fail(function() {
        timeUntilReloadTimeout = setTimeout(function() {
            updateTimeUntilReload()
            updateLastReloadDate()
        }, 10 * 1000)
      })
  }

  function intervalTimeUntilReload() {
    var $timeoutText = $('#next-scheduled-reload-text')

    if (timeUntilReload > 0) {
      $timeoutText.text(Math.round(timeUntilReload / 1000) + 's until reload')
      timeUntilReload -= 1000
    }
    else {
      $timeoutText.text('No reload scheduled')
    }
  }

  init()

  return {
    updateTimeUntilReload: updateTimeUntilReload
  }
})
