define([
  'jquery',
  '/js/app/event.js',
  '/js/app/ajax.js',
  '/js/app/event/initializeElements.js',
  'text!/js/app/dialog/empty.html',
  'domReady!'
], function($, evt, evtAjax, initElements, tplEmpty) { 'use strict';
  function dialog(options) {
    var $dialog = $('.modal:visible')

    if (!$dialog.length) {
      $dialog = $(tplEmpty)
    }

    $dialog.modal(options)
  }

  function process(e) {
    /*jshint validthis:true */

    // Disable clicked element
    $(this).prop('disabled', true)
    // Register post-processing within current context
    // when current modal gets closed
    $(document).on('hidden.bs.modal', '.modal', postProcess.bind(this))
    e.preventDefault()

    if (!this.dataset.syRequire) {
      return dialog()
    }

    Application.loadModule(this.dataset.syRequire, function(module) {
      module.call(this, e, evtAjax.process.bind(this, e, evt.postProcess.bind(this, e)))
    }, this)

    return dialog
  }

  function postProcess(e) {
    /*jshint validthis:true */

    // Re-enable the clicked element
    $(this).prop('disabled', false)
  }

  $(document).on('click', '[data-sy-dialog-click]', process)

  $(document).on('shown.bs.modal', '.modal', function(e) {
      var $dialog = $(e.currentTarget)
      $dialog.find('button.btn-primary').focus() //give focus to dialog instead of the calling button
      initElements.process.call(e.currentTarget) //apply JS UI stuff on the dialog content
      e.currentTarget.scrollTop = 0
  })


  return {
    dialog:  dialog,
    process: process
  }
})
