define([
  'jquery',
  'bootstrap',
  'text!/js/app/dialog/confirm.html',
  'domReady!'
], function($, bootstrap, tpl) { 'use strict';

  function unmaskElements(openDialogs, target) {
    /*jshint validthis:true */

    if (openDialogs) {
      $.each(openDialogs, function(i, el) {
        $(el).unmask()
      })
    } else if (target) {
      target.split(',').forEach(function(val, i) {
        $(val).unmask()
      }, this)
    }
  }

  function unhideAndMask(el, mask) {
    var elem = $(el)
    if (elem.is(':hidden')) {
      elem.show()
    }
    elem.mask(mask)
  }

  function process(e, callback) {
    /*jshint validthis:true */

    e.preventDefault()

    var $dialog     = $(tpl)
    var target      = this.dataset.syFor
    var mask        = this.dataset.syMask || 'Loading...'
    var openDialogs = $(document).find('.modal-dialog')

    $dialog.find('.modal-title').text(this.dataset.syConfirmTitle || 'Default title')
    $dialog.find('.modal-body').html(this.dataset.syConfirm)

    if (openDialogs) {
      $.each(openDialogs, function(i, el) {
        unhideAndMask(el, mask)
      })
    }
    else if (target) {
      target.split(',').forEach(function(val) {
        unhideAndMask(val, mask)
      }, this)
    }

    $dialog.find('.btn-primary').click(function() {
      unmaskElements(openDialogs, target)

      $dialog.modal('hide')

      return callback()
    })

    $dialog.on('hidden.bs.modal', function() {
      unmaskElements(openDialogs, target)
      $(this).remove()
    })

    $dialog.modal()
  }

  return function(e, callback) {
    process.call(this, e, callback)
  }
  /*
  return {
    process: process
  }
  */
})
