define([
  'jquery',
  'bootstrap',
  '/js/app/form.js',
  '/js/app/event.js',
  '/js/app/callbackregistry.js',
  'text!/js/app/dialog/edit.html',
  'text!/js/app/dialog/footer.html'
],
  function($, bootstrap, form, evt, callbackRegistry, tpl, tplFooter) { 'use strict';
    function populateDialog(e, res) {
      /*jshint validthis:true */

      var $dialog = $(tpl)
      var $footer = $(tplFooter)
      var title   = this.dataset.syTitle || 'Bearbeiten'

      $dialog.on('hidden.bs.modal', function() { $(this).remove() })
      $dialog.on('hidden.bs.modal', function() {
         if(this.dataset.syDialogOnClose == 'reload') {
            window.location.reload()
         }
      }.bind(this))

      $dialog.find('#placeholder-body').html(res.html)

      /**
       * When we load a form with an "optgrouped" select button,
       * this prepends a second button with the list of option groups.
       */

      var optgroups = $dialog.find('#optgroups')
      var clone = $dialog.find('select.grouped').clone()
      $dialog.find('select.grouped optgroup').remove()
      var select = $dialog.find('#placeholder-body select.grouped')
      select.trigger("chosen:updated")

      var selected = []

      optgroups.on('change', function(event) {
        var label = $(event.target)[0].selectedOptions[0].label
        if ($dialog.find('select.grouped optgroup[label="' + label + '"]').length == 0) {
          select.append(clone.find('optgroup[label="' + label + '"]').clone())
        }
        select.find('optgroup').each(function() {
          var optgroup = $(this)
          if ($.inArray(optgroup.attr('label'), selected.concat([label])) == -1) {
            optgroup.remove()
          }
        })
        select.trigger("chosen:updated")
      })

      select.on('change', function(event, params) {
        if ('selected' in params) {
          selected.push(
            clone.find('optgroup option[value="' + params.selected + '"]').parent().attr('label')
          )
        }

        if ('deselected' in params) {
          var index = selected.indexOf(
            clone.find('optgroup option[value="' + params.deselected + '"]').parent().attr('label')
          )
          if (index > -1) {
            selected.splice(index, 1)
          }
          optgroups.trigger('change')
        }
      })

      $dialog.find('#placeholder-footer').replaceWith($footer)
      $dialog.find('.modal-title').text(title)

      $dialog.modal({ backdrop: 'static' })
    }

    /**
     * Functions to handle "responsive forms".
     */

    callbackRegistry.registerCallback(
      'handleAddApplication',
      function(args) {
        $.getJSON(
          '/',
          {
            'page'     : 'applications',
            'action'   : 'getApplicationList',
            'selected' : args.parameters.application.id,
          },
          function (data) {
            $('#applicationId').html(data.html)
            //$('#applicationId option:last').attr('selected', 'selected')
            $(document).trigger('shown.bs.tab')
            $('#applicationId').trigger('change')
            $('#application_container').trigger('selectRoot', args.parameters)
          }
        )
      }
    )

    callbackRegistry.registerCallback(
      'handleReloadApplication',
      function(args) {
        $('#component_information').html('')
        $('#buttons_container').html('')
        $('#applicationId').trigger('change')
        //$('#application_container').trigger('selectComponent', args.parameters)
      }
    )

    callbackRegistry.registerCallback(
      'handleDeleteApplication',
      function () {
          window.location.reload()
      }
    )

    return function(e) {
      var reference = $(this).clone()[0]
      reference.dataset.syRequire = 'ajax'
      evt.process.call(reference, e, populateDialog.bind(reference))
    }
  }
)
