define([
  'jquery',
  'moment'
], function($, moment) { 'use strict';

  var calendar = {
    initialize: function(targets) {
      this.targets = targets
      this.targets.forEach(function(val) {
        var elem = $(val)
        if (elem.is(':hidden')) {
          elem.show()
        }
        elem.mask()
      }, this)
    },
    states: {
      'today': {
        'dateFrom': moment(),
        'dateTo':   moment()
      },
      'tomorrow': {
        'dateFrom': moment().add('days', 1),
        'dateTo':   moment().add('days', 1)
      },
      'week': {
        'dateFrom': moment().day() == 1 ? moment() : moment().day(1),
        'dateTo':   moment().day() == 7 ? moment() : moment().day(7)
      },
      'next_week': {
        'dateFrom': moment().day(1).add('weeks', 1),
        'dateTo':   moment().day(7).add('weeks', 1)
      },
      'month': {
        'dateFrom': moment().startOf('month'),
        'dateTo':   moment().endOf('month')
      },
      'next_month': {
        'dateFrom': moment().startOf('month').add('months', 1),
        'dateTo':   moment().endOf('month').add('months', 1)
      }
    },
    set: function (source) {
      this.targets.forEach(function(el, i) {
        $(el).val(this.states[$(source).val()][$(el).attr('name')].format('YYYY-MM-DD') || '').unmask()
      }, this)
    }
  }

  function process(e, callback) {
    /*jshint validthis:true */

    var source   = this
    var target   = this.dataset.syFor
    var targets  = target.split(',')

    if (targets.length <= 1) {
      // TODO: Raise error
      console.error('Something bad happened!')
    }

    calendar.initialize(targets)
    calendar.set(source)

    if (callback) {
      return callback(e)
    }
  }

  return function(e, callback) {
    process.call(this, e, callback)
  }
})
