var Upload = window.Upload

Upload.chunking = false

$(document).ready(function() {
  $('#file-drop').on('drop dragenter dragover', false)

  $('#file-drop').on('drop', function(e) {
    $('#file-drop').css({ outline: '' })

    var overallProgress = null
    if ($('#overallProgress').length == 0) {
      overallProgress = $('<progress>').val('0').appendTo('#progressDiv')
    }

    var event = e.originalEvent
    Upload.upload(event.dataTransfer.files, '?page=import&action=upload', {
      overallProgress: overallProgress,
      start: function() {
        $('#buttonImportNext').prop('disabled', true)

        var tr           = $('<tr>')
          , tdName       = $('<td>')
          , tdHosts      = $('<td>', { class: 'text-right' })
          , tdServices   = $('<td>', { class: 'text-right' })
          , tdCommands   = $('<td>', { class: 'text-right' })
          , tdHostgroups = $('<td>', { class: 'text-right' })
          , tdDelete     = $('<td>')
          , tdInfo       = $('<td>', { colspan: 5 })
          , progress     = $('<progress>')
          , span         = $('<span>')
          , deleteButton = $('<button>', { class: 'deleteFile btn btn-link btn-xs' })
          , deleteSpan   = $('<span>', { class: 'glyphicon glyphicon-trash' })

        span.html(this.file.name)

        tr.append(tdName)
        tr.append(tdInfo)

        tdName.append(span)
        tdInfo.append(progress)

        tdDelete.append(deleteButton)
        deleteButton.append(deleteSpan)

        $('#uploads tbody').append(tr)

        this.on('progress', function(e) {
          if (event.lengthComputable) {
            progress.max         = event.total
            progress.value       = event.loaded
            progress.textContent = event.percent
          }
        })

        this.on('done', function() {
          var response = JSON.parse(this.xhr.responseText)

        $('#buttonImportNext').prop('disabled', false)

          progress.remove()
          span.remove()
          tdName.html(this.file.name)

          if (response.error.hasErrorMessages) {
            tr.addClass('danger');

            errorMessages = response.error.errorMessages.join("\n")
              .replace(/\n/g,'<br />')

            tdInfo.html(errorMessages)
          }
          else {
            tdInfo.remove()

            tr.addClass('success');

            tdHosts.html(response.parameters.file.hosts).appendTo(tr)
            tdServices.html(response.parameters.file.services).appendTo(tr)
            tdCommands.html(response.parameters.file.commands).appendTo(tr)
            tdHostgroups.html(response.parameters.file.hostgroups).appendTo(tr)
            deleteButton.attr('id', 'delete-' + response.parameters.file.id)
            tr.append(tdDelete)
          }
        })
      }
    })

    return false
  })
})
