define([
  'jquery',
  '/js/app/ajax.js',
  'jquery-cookie'
], function($, ajaxEvent) { 'use strict';
  var validPages = ['alerts', 'alertsOpen', 'notifications']
  var checkPage = function (page) { return document.target_page == page }
  var intervalReference
  var hasAjaxDataTable = $('.dataTable.ajaxList').length > 0

  if (!validPages.some(checkPage) || (!document.target_page && !hasAjaxDataTable)) {
    return
  }

  if (document.target_page) {
    var page = document.target_page[0].toUpperCase() + document.target_page.substring(1)
    var cookieName = 'reloadInterval' + page
  }

  initialize()

  function initialize() {
    var reloadInterval = $.cookie(cookieName)

    if (reloadInterval !== undefined) {
      $('#reloadInterval').val(reloadInterval)
      intervalReference = setInterval(reloadPage, reloadInterval * 1000)
    }
  }

  function isModalOpen(e) {
    return $('.modal').is(':visible')
  }

  function getFilter(e) {
    var filterTable = $('#filter')

    if (filterTable.is(':visible')) {
      return filterTable.parent()
    }
    else {
      return false
    }
  }

  function reloadPage(e) {
    var filterCollapse = getFilter()

    if (cookieName.indexOf(page) != -1) {
      if (!isModalOpen()) {
        if (filterCollapse) {
          filterCollapse.find('.btn-primary').trigger('click')
        }
        else {
          location.reload()
        }
      }
    }
  }

  function reloadDataTable(e) {
    $('.dataTable.ajaxList').DataTable().draw(false)
  }

  function setReloadInterval(e, interval) {
    clearInterval(intervalReference)
    var action

    if (hasAjaxDataTable) {
      if (!interval) {
        return
      }
      action = reloadDataTable
    }
    else {
      if (!interval) {
        $.removeCookie(cookieName)
        return
      }

      $.cookie(cookieName, interval)
      action = reloadPage
    }

    intervalReference = setInterval(action, interval * 1000)
  }

  function process(e, callback) {
    /*jshint validthis:true */

    e.preventDefault()

    var source   = this.dataset.syFrom
    var interval = $(source).val()

    setReloadInterval.call(this, e, parseInt(interval, 10))
  }

  return {
    process:    process,
    reloadPage: reloadPage,
  }
})
