window.Application = {
  // TODO: This looks evil and should be refactored and removed!
  loadModule: function(modulepath, callback, context) {
    require(['/js/app/' + modulepath + '.js'], context ? callback.bind(context) : callback)
  }
}

define('main', function() {
  var KEEP_ALIVE_TIMEOUT = 1000 * 60 * 5

  require.config({
    baseUrl: 'js/lib',

    paths: {
      'polyfill':                   'polyfill',
      'text':                       'text',
      'jquery':                     'jquery-2.0.3.min',
      'jquery-ui':                  'jquery-ui-1.10.4.custom.min',
      'jquery-cookie':              'jquery.cookie',
      'jquery-loadmask':            'jquery.loadmask.min',
      'jquery-validate':            'jquery.validate.min',
      'jquery-validate-additional': 'additional-methods.min',
      'jquery-metadata':            'jquery.metadata',
      'jquery-treeview':            'jquery.treeview.min',
      'jquery-jgrowl':              'jquery.jgrowl.min',
      'jquery-bsmselect':           'jquery.bsmselect',
      'jquery-bsmselect-sortable':  'jquery.bsmselect.sortable',
      'datatables':                 'datatables',
      'jquery-spin':                'jquery.spin',
      'chosen':                     'chosen.jquery.min',
      'moment':                     'moment.min',
      'bootstrap':                  'bootstrap.min',
      'bootstrap-daterangepicker':  'daterangepicker',
      'bootstrap-timepicker':       'bootstrap-timepicker.min',
      'spin':                       'spin.min',
      'fuelux/combobox':            'combobox',
      'fuelux/datepicker':          'datepicker',
      'fuelux/select':              'select',
      'fuelux/spinner':             'spinner',
      'fuelux/radio':               'radio',
      'fuelux/util':                'util',
      'fuelux-scheduler':           'scheduler',
      'fuelux-wizard':              'wizard',
      'upload':                     'upload',
      'vis':                        '/vis/dist/vis',
      'handlebars':                 'handlebars-v3.0.3',
    },

    shim: {
      'jquery-ui': {
        'deps': ['jquery']
      },
      'jquery-validate': {
        'deps': ['jquery']
      },
      'jquery-validate-additional': {
        'deps': ['jquery', 'jqueryui']
      },
      'jquery-treeview': {
        'deps': ['jquery']
      },
      'jquery-metadata': {
        'deps': ['jquery']
      },
      'jquery-jgrowl': {
        'deps': ['jquery']
      },
      'jquery-bsmselect': {
        'deps': ['jquery']
      },
      'jquery-bsmselect-sortable': {
        'deps': ['jquery-bsmselect']
      },
      'jquery-loadmask': {
        'deps': ['jquery']
      },
      'jquery-spin': {
        'deps': ['jquery']
      },
      'chosen': {
        'deps': ['jquery']
      },
      'bootstrap': {
        'deps': ['jquery']
      },
      'bootstrap-daterangepicker': {
        'deps': ['jquery', 'bootstrap', 'moment']
      },
      'bootstrap-timepicker': {
        'deps': ['bootstrap']
      },
      'fuelux-wizard': {
        'deps': ['jquery']
      },
      'fuelux-scheduler': {
        'deps': ['jquery']
      },
      'datatables/plugins/date-de': {
        'deps': ['datatables']
      },
      'datatables/plugins/date-ch': {
        'deps': ['datatables']
      },
      'datatables/plugins/fnAddTr': {
        'deps': ['datatables']
      }
    },

  })

  // Pre-load for caching
  var preload = [
    'bootstrap',
    'bootstrap-timepicker',
  ]

  // Do not preload unnecessary scripts for login
  // TODO: Do not set properties on native DOM objects like document.
  if (typeof document.target_page == 'undefined' || document.target_page != 'login') {
    preload.unshift.apply(preload, [
      'polyfill',
      '/js/app/form.js',
      '/js/app/event.js',
      '/js/app/dialog/confirm.js',
      '/js/app/notify/export.js',
      '/js/app/dialog.js',
    ])
  }

  require(preload)

  require(['jquery'], function($) {
    setInterval(keepAlive, KEEP_ALIVE_TIMEOUT)

    function keepAlive() {
      $.get('index.php')
    }
  })

  // TODO: Why are we doing this?
  window.isUnloading = false;
  if (typeof window.onbeforeunload != 'undefined') {
    window.onbeforeunload = function() {
      window.isUnloading = true
    };
  }
})
