<?php

error_reporting(E_ALL & ~E_NOTICE);
ini_set("display_errors", 1); 
require_once('../includes/DB.php');

try
{
	$data = array(
			'action'	=>	$_GET['action'],
			'hostId'	=>	$_GET['hostId'],
			'serviceId'     =>	$_GET['serviceId'],
			'password'	=>	$_GET['password'],
			'duration'	=>	$_GET['duration']
		     );

	if (empty($data['serviceId']))
	{
		$data['serviceId'] = 0;
	}

	if (empty($data['hostId']))
	{
		throw new Exception('No host ID provided');
	}
	else if (empty($data['password']))
	{
		throw new Exception('No password provided');
	}

	$result = DB::getInstance()->prepare("SELECT 1 FROM `smng_customers`, `smng_hosts` WHERE `smng_hosts`.`customer_id` = `smng_customers`.`id` AND `smng_hosts`.`id` = :hostId AND `smng_customers`.`password_maintenance` = :password LIMIT 1");
	$result->execute(array('hostId' => $data['hostId'], 'password' => $data['password']));
	if ($result->rowCount() == 1)
	{
		if ($data['action'] == "start")
		{
			if (empty($data['duration']))
			{
				throw new Exception('No duration provided');
			}

			$result = DB::getInstance()->prepare("INSERT INTO `smng_downtimes` SET `host_id` = :hostId, `service_id` = :serviceId, `datetime_from` = NOW(), `datetime_to` = TIMESTAMPADD(MINUTE, :duration, NOW())");
			$result->execute(array('hostId' => $data['hostId'], 'serviceId' => $data['serviceId'], 'duration' => $data['duration']));
		}
		else if ($data['action'] == "stop")
		{
			$result = DB::getInstance()->prepare("UPDATE `smng_downtimes` SET `datetime_to` = NOW() WHERE `host_id` = :hostId AND `service_id` = :serviceId AND `datetime_from` < NOW()");
			$result->execute(array('hostId' => $data['hostId'], 'serviceId' => $data['serviceId']));
		}
		else
		{
			throw new Exception('Unknown action');
		}
	}
	else
	{
		throw new Exception('Authentification failed');
	}
}
catch (PDOException $e)
{
	echo $e->getMessage()."\n";
}
catch (Exception $e)
{
	echo $e->getMessage()."\n";
}
