#!/usr/bin/env php
<?php

// We're expected to be in <appdir>/lib/adfinis/bin/
$appdir = dirname(dirname(dirname(dirname(__FILE__))));

$dirs = array(
	'checkout'        => $appdir,
	'config.defs'     => sprintf('%s/config.defs',     $appdir),
	'config.template' => sprintf('%s/config.template', $appdir),
	'config'          => sprintf('%s/config',          $appdir),
	'framework.inc'   => sprintf('%s/lib/adfinis/inc', $appdir),
	'libs'            => sprintf('%s/lib/',            $appdir)
);

define('INC_PATH', $dirs['libs']);

// manually set timezone (to remove a warning while executing)
ini_set('date.timezone', 'Europe/Zurich');


// We can't assume a properly configured env here, so
// we load our stuff by hand..
include_once(sprintf('%s/org/adfinis/framework/deploy/DeployHelper.class.php', $dirs['framework.inc']));

use org\adfinis\framework\deploy\DeployHelper;

$dh = new DeployHelper(
	sprintf('%s/deploy.ini', $dirs['config']),
	$dirs['checkout']
);

// TODO: use getopts() or something the like, as soon as we need
// more options.
if(isset($argv[1]) && $argv[1] == '--pretend') {
	$dh->pretend = true;
	echo "=== Deploy: running in pretend mode. Shown commands are not actually executed.\n\n";
}


$dh->run();

