#!/bin/sh

SCRIPTDIR=`dirname $0`

# find out absolute TARGETDIR. This is the current cwd by default, but can be #
# overwritten when specified on the commandline.
if [ "$1" != "" ]
then
	CURRDIR=`pwd`
	TARGETDIR="$1";
	cd "$TARGETDIR"
	TARGETDIR=`pwd`
	cd "$CURRDIR"
else
	TARGETDIR=`pwd`
fi

# find out absolute SCRIPTDIR
cd "$SCRIPTDIR"
SCRIPTDIR=`pwd`
cd "$TARGETDIR"


# find out absolute framework dir
cd "$SCRIPTDIR"/../../../
FWDIR=`pwd`
cd "$TARGETDIR"


# get confirmation from user
echo -n "Install adfinis FW from '$FWDIR' into '$TARGETDIR'? (y, n)"
read answer
if [ "$answer" != "y" -a "$answer" != "Y" ]
then
	echo "Cancelling upon user's request."
	exit 0
fi

# OKAY! We're ready now to copy and configure the framework.

echo -n "Copying source code... "
cd "$FWDIR"
mkdir -p "$TARGETDIR"
mkdir -p "$TARGETDIR/tmp/templatesCompiled"
chmod 777 "$TARGETDIR/tmp/templatesCompiled"

# only copy apptemplate if there is no app dir yet
if [ -d "$TARGETDIR/app" ]; then
	echo -n "\n\tThere is already an 'app' dir in $TARGETDIR, skipping"
else
	cp -r apptemplate "$TARGETDIR/app"
fi
# same goes for htdocs
if [ -d "$TARGETDIR/htdocs" ]; then
	echo -n "\n\tThere is already a 'htdocs' dir in $TARGETDIR, skipping"
else
	cp -r htdocs      "$TARGETDIR"
fi
cp -r lib         "$TARGETDIR"

echo " [DONE]"


# okay, copying done... now let's run some replacements so the ACTUAL init
# code can start.

cd "$TARGETDIR"
echo -n "Setting path in phpCLI.ini to target location... "

replace -s '{#projectBase#}' "$TARGETDIR" -- app/config/phpCLI.ini
replace -s '{#projectBase#}' "$TARGETDIR" -- app/inc/config/globalConfig.php


echo "[DONE]"

# Invoke PHP for the rest of the initialization
./lib/framework/bin/cliExec.sh ./lib/framework/bin/frameworkInit/frameworkInit.php

