#!/usr/bin/perl

# Looks up the user given via STDIN. echoes the userid if the user exists, or 0 otherwise.

use strict;

# read username from stdin
my $user = <STDIN>;
chomp $user;

# get user information
my @userInfo = getpwnam($user);
my ( $name, $passwd, $uid, $gid, $quota, $comment, $gcos, $dir, $shell,
    $expire ) = @userInfo;

my %info = (
    'username' => $name,
    'userid'   => $uid,
    'groupid'  => $gid,
    'exists'   => scalar @userInfo ? 1 : 0,
    'shell'    => $shell,
    'home'     => $dir,
);

#use Data::Dumper;
#print Dumper( \%info );

print join '|',    #
  map { $_ . '=' . $info{$_} }    #
  keys %info;
print "\n";

