<?php
// +----------------------------------------------------------------------+
// | adfinis framework                                                    |
// +----------------------------------------------------------------------+
//
// !!!! Automatically generated, DO NOT EDIT !!!!

/**
 * Specific configuration options for frontend/public area
 *
 * @author      Nicolas Christener <nc@adfinis.ch>
 * @package     org.adfinis.config.templates
 */

/**
 * Static configuration directives
 *
 * for the frontend-code we define some very basic configuration directives as
 * constants for better performance
 */
define('_CONF_DOC_ROOT', dirname(dirname(__FILE__)));
define('_CONF_TMP',      _CONF_DOC_ROOT . '/tmp');

define('_CONF_APP',      _CONF_DOC_ROOT . '/app');
define('_CONF_APP_INC',  _CONF_APP      . '/inc');

define('_CONF_LIB',      _CONF_DOC_ROOT . '/lib');
define('_CONF_FW',       _CONF_LIB .      '/adfinis');
define('_CONF_LIB_FW',   _CONF_FW .       '/inc');

/**
 * Contains project configuration. Access only via ConfManager, please!
 *
 * @global array $_conf
 */
$_conf = array();

// Environment
$_conf['af']['env'] = '{$environment}'; // either 'dev', 'beta' or 'stable'


// project
$_conf['af']['projectName'] = '{$projectName}';
$_conf['af']['versionTable'] = '{$versionTable}';

// Additional include paths
$_conf['af']['include']['path'] = array();
$_conf['af']['include']['path'][] = sprintf('%s/smarty/libs', _CONF_LIB);
$_conf['af']['include']['path'][] = sprintf('%s/ZendFramework/library', _CONF_LIB);
$_conf['af']['include']['path'][] = sprintf('%s/fpdf', _CONF_LIB);
$_conf['af']['include']['path'][] = sprintf('%s/pear/inc', _CONF_LIB);

// Paths to translation files (.mo)
$_conf['af']['translate']['path'] = array();
$_conf['af']['translate']['path'][] = sprintf('%s/locale', _CONF_FW);
$_conf['af']['translate']['path'][] = sprintf('%s/locale', _CONF_APP);

// List of domains (without www) i.e. blubber.com
$_conf['af']['domain']['default'] = '{$defaultDomain}';

// List of URLs (should fit the list of domains)
$_conf['af']['URLNoSSL']['default'] = '{$defaultURLNoSSL}';
$_conf['af']['URLSSL']['default'] = '{$defaultURLSSL}';

$_conf['af']['URLNoSSL']['current'] = '{$defaultURLNoSSL}';
$_conf['af']['URLSSL']['current']   = '{$defaultURLSSL}';

// Web paths (path after the URL)
$_conf['af']['webRoot']['uri'] = '{$webRoot}';

$_conf['af']['webRoot']['pictures'        ]['uri'] = sprintf('%s/pictures',                $_conf['af']['webRoot']['uri']);
$_conf['af']['webRoot']['templatePictures']['uri'] = sprintf('%s/themes/default/pictures', $_conf['af']['webRoot']['uri']);

// Session
$_conf['af']['session']['namespace'] = 'Default'; // Namespace for session


// Error handlers (404 etc, used in oaf\presentation\PageHistory)
$_conf['af']['handler']['404'] = '/handler/404.php'; // path of $_SERVER['SCRIPT_NAME']

// Specify email address to send uncought exceptions
$_conf['af']['handler']['exception']['mailto'] = '';

// Timezone settings
// see php.net/manual/en/timezones.php and timezone_abbreviations_list() for possible values.
$_conf['af']['timezone'] = 'Europe/Zurich'; 

// Main database
$_conf['af']['DB']['default']['PDOType'] = 'Pdo_Mysql';
$_conf['af']['DB']['default']['host'] = '{$defaultDatabaseHost}';
$_conf['af']['DB']['default']['DBName'] = '{$defaultDatabaseName}';
$_conf['af']['DB']['default']['user'] = '{$defaultDatabaseUser}';
$_conf['af']['DB']['default']['pass'] = '{$defaultDatabasePassword}';
$_conf['af']['DB']['default']['charset'] = '{$defaultDatabaseCharset}';
$_conf['af']['DB']['default']['autocommit'] = true;
$_conf['af']['DB']['default']['fetchmode'] = PDO::FETCH_ASSOC;

// Font directory for captcha
$_conf['af']['captcha']['fonts']['path'] = sprintf('%s/data/fonts', _CONF_FW);

// Temporary pictures (CAPTCHA etc)
$_conf['af']['picturesTmp']['path'] = sprintf('%s/htdocs/pictures/tmp', _CONF_DOC_ROOT);
$_conf['af']['picturesTmp']['uri']  = sprintf('%s/pictures/tmp', $_conf['af']['webRoot']['uri']);

// Used languages
$_conf['af']['language']['default']['languageID'] = 1;

// Smarty Templates
$_conf['af']['smarty']['templates']['path'] = array(
	sprintf('%s/templates', _CONF_APP),
	sprintf('%s/framework/templates', _CONF_LIB),
);
$_conf['af']['smarty']['compiled']['path'] = sprintf('%s/templatesCompiled', _CONF_TMP);
$_conf['af']['smarty']['cached'  ]['path'] = sprintf('%s/templatesCache', _CONF_TMP);

// SMTP
$_conf['af']['SMTP']['default']['hostname'] = '{$defaultSMTPHostname}';

// Mail
$_conf['af']['mail']['fromSystem']['fromMail'] = '{$mailFromSystemAddress}';
$_conf['af']['mail']['fromSystem']['fromName'] = '{$mailFromSystemName}';
$_conf['af']['mail']['fromSystem']['fromMaintenanceMail'] = '{$mailFromMaintenanceSystemAddress}';
$_conf['af']['mail']['fromSystem']['fromMaintenanceName'] = '{$mailFromMaintenanceSystemName}';

// DebugHelper mail receivers.
$_conf['af']['mail']['debug']['receivers']['nc'] = array(
	'firstName' => 'Nicolas',
	'lastName'  => 'Christener',
	'address'   => 'nc@adfinis.ch'
);
 
$_conf['af']['mail']['debug']['receivers']['dv'] = array(
	'firstName' => 'David',
	'lastName'  => 'Vogt',
	'address'   => 'dv@adfinis.ch'
);

$_conf['af']['mail']['debug']['receivers']['ds'] = array(
	'firstName' => 'Damian',
	'lastName'  => 'Senn',
	'address'   => 'ds@adfinis.ch'
);

$_conf['af']['mail']['debug']['receivers']['aw'] = array(
	'firstName' => 'Adrian',
	'lastName'  => 'Wittwer',
	'address'   => 'aw@adfinis.ch'
);

$_conf['af']['mail']['debug']['receivers']['sh'] = array(
	'firstName' => 'Stefan',
	'lastName'  => 'Heinemann',
	'address'   => 'sh@adfinis.ch'
);

