<?php

use org\adfinis\framework\lang\Language;
use org\adfinis\framework\config\ConfManager;

Language::init($_GET['language']);

header('Content-Type: text/javascript');


if(ConfManager::getVar('af', 'env') == 'dev') {
	// In dev mode, we don't want to cache the translations.
	header('Cache-Control: no-cache, must-revalidate');
}
else {
	// In Live mode, we don't expect translations to change too often.
	// Therefore, we set the expiration date half a hour to the future.
	$expiryDate = time() + 1800;
	header('Cache-Control: max-age=3600, public, must-revalidate');

	$date = new Zend_Date($expiryDate, Zend_Date::TIMESTAMP);

	header(sprintf('Expires: %s', $date->get(Zend_Date::W3C)));
}

echo ';(function(window){';
echo 'var translations = ';
echo json_encode(Language::$currentLanguage->getTranslator()->getMessages($_GET['language']));
echo ';';

?>

function tr(text) {
	if(translations === null) {
		// Fallback for completely missing translation
		return text;
	}
	if(typeof translations[text] === 'undefined') {
		// Fallback for incomplete translation
		return text;
	}
	return translations[text];
}

function trn(text1, textn, number) {
	var text = (+number === 1) ? text1 : textn;
	return tr(text);
}

// Expose tr and trn to global scope
window.tr  = tr;
window.trn = trn;

})(window);
