<?php

namespace org\adfinis\framework\db\sql;

use org\adfinis\framework\db\DbManager;

/**
 * Class to Or WhereStatements
 *
 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2013
 * @license       LGPLv3
 */
class OrStatement {

	/**
	 * The statements to be ored
	 *
	 * @var           arrary $statements
	 */
	private $statements;

	/**
	 * Constructor of OrStatement
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @return        void
	 */
	public function __construct() {
		$this->statements = func_get_args();
	}

	/**
	 * Adds a WhereStatement to the list
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @param         WhereStatement $statements
	 * @returns       void
	 */
	public function addStatement($statements) {
		$this->statements[] = $statements;
	}

	/**
	 * Magic method __toString is called in string contexts
	 *
	 * @author      Damian Senn <ds@adfinis.com>
	 * @return      string
	 */
	public function __toString(){
		return sprintf(
			"(%s)",
			implode(" OR ", $this->statements)
		);
	}
}
