<?php

namespace org\adfinis\framework\deploy;

/**
 * Exception for erroneous execution of a PHP update file
 *
 * @author        Stefan Heinemann <sh@adfinis.com>
 * @copyright     adfinis GmbH 2011
 * @license       BSD 3-Clause
 */
class PHPUpdateException extends \RuntimeException {
	public function __construct($path, $output, $retval) {
		$msg = sprintf("The PHP script %s returned with value %s. Output:\n\n%s",
			$path, $retval, $output
		);
		parent::__construct($msg);
	}
}


