<?php

namespace org\adfinis\framework\deploy;

/**
 * Exception in case one wants to perform an update
 *
 * @author        Stefan Heinemann <sh@adfinis.com>
 * @copyright     adfinis GmbH 2011
 * @license       BSD 3-Clause
 */
class VersionsMissingException extends \RuntimeException {
	public function __construct($currentVersion, $updateVersion) {
		$str = sprintf(
			"You tried to update to version %s but the system is " .
			"only on version %s. \n Perform the other updates first!",
			$updateVersion,
			$currentVersion
		);
		parent::__construct($str);
	}
}

