<?php

namespace org\adfinis\framework\entity;

/**
 * Interface to define an EntityPreference
 *
 * @author        Damian Senn <ds@adfinis.com>
 * @copyright     adfinis GmbH 2010
 * @license       BSD 3-Clause
 */
interface EntityPreferenceInterface extends \ArrayAccess, \IteratorAggregate {

	/**
	 * Populates this object by the given entityID
	 *
	 * @author        Damian Senn <ds@adfinis.com>
	 * @param         int $entityID (optional)
	 * @returns       this
	 */
	public function getDataByEntityID($entityID = null);

	/**
	 * Sets the entityID of this object
	 *
	 * @author        Damian Senn <ds@adfinis.com>
	 * @param         int $entityID
	 * @returns       this
	 */
	public function setEntityID($entityID);

	/**
	 * Gets the entityID of this object
	 *
	 * @author        Damian Senn <ds@adfinis.com>
	 * @returns       int|null
	 */
	public function getEntityID();

	/**
	 * Saves the EntityPreference
	 *
	 * @author        Damian Senn <ds@adfinis.com>
	 * @returns       bool
	 */
	public function save();
}
