<?php

namespace org\adfinis\framework\utils;

/**
 * Provides useful methods to manipulate arrays
 *
 * @author      Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @copyright   Adfinis SyGroup AG 2007-2012
 * @license     BSD 3-Clause
 */
class ArrayTools {

	/**
	 * Returns all values in a multidimensional array as a one dimensional array
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @param         array $haystack The array to be processed
	 * @return        array
	 */
	public static function flatten($haystack) {
		$flattenedArray = array();

		foreach ($haystack as $item) {
			if (is_array($item)) {
				/*   recursion
					   n. See {recursion}. */
				$flattenedArray = array_merge($flattenedArray, self::flatten($item));
			}
			else {
				$flattenedArray[] = $item;
			}
		}

		return $flattenedArray;
	}
}
