<?php

namespace org\adfinis\framework\utils;

/**
 * Helpet functions to check correct CLI usage
 *
 * @author      Nicolas Christener <nc@adfinis.ch>
 * @copyright   adfinis GmbH 2009-2010
 * @license     BSD 3-Clause
 */
class CLIChecker {
	/**
	 * Returns true if script is running through command line interface
	 *
	 * @author      Nicolas Christener <nc@adfinis.ch>
	 * @return      bool
	 */
	public static function isCli(){
		if(PHP_SAPI == 'cli'){
			return true;
		}

		return false;
	}

	/**
	 * Checks if script is invoked using CLI and terminates if not
	 *
	 * @author      Nicolas Christener <nc@adfinis.ch>
	 * @return      void
	 */
	public static function sapiCheck(){
		if(PHP_SAPI != 'cli'){
			printf(
				tr("%s must be invoked on command line\n"),
				basename($_SERVER['PHP_SELF'])
			);
			exit(1);
		}
	}
}
