<?php

namespace org\adfinis\framework\utils;

use org\adfinis\framework\config\ConfManager;

/**
 * Class helping to debug PHP functions
 *
 * @author      Nicolas Christener <nc@adfinis.ch>
 * @copyright   adfinis GmbH 2007-2010
 * @license     BSD 3-Clause
 */
class DebugHelper {
	/**
	 * Sends an email containing some debug infos to one of the developers
	 *
	 * @author      Nicolas Christener <nc@adfinis.ch>
	 * @return      bool
	 */
	public static function sendDebug($abbreviation, $text){
		$receiver = ConfManager::getVar('af', 'mail', 'debug', 'receivers', $abbreviation);

		MailHelper::sendMail($receiver, 'Debug Mail', $text);
	}

	/**
	 * Returns true if current session is a debug session, else returns false
	 *
	 * @author      Nicolas Christener <nc@adfinis.ch>
	 * @return      bool
	 */
	public static function isDebugSession(){
		if($_SESSION['errorReporting'] == 'strict'){
			return true;
		}

		return false;
	}
}
