<?php

namespace org\adfinis\framework\xml;

use org\adfinis\framework as af;

/**
 * XMLParserException
 *
 * @author        Damian Senn <damian.senn@adfinis-sygroup.ch>
 */
class ParserException extends \Exception {

	/**
	 * Holds the XMLParser which threw the exception
	 *
	 * @var           af\xml\Parser $parser
	 */
	public $parser;

	/**
	 * Constructor of XMLParserException
	 *
	 * @author        Damian Senn <damian.senn@adfinis-sygroup.ch>
	 * @param         af\xml\Parser $parser
	 * @param         \Exception $prev [optional]
	 */
	public function __construct(af\xml\Parser $parser, \Exception $prev = null) {
		$errorString = sprintf('XML parse error on line %d: %s',
			$parser->currentLineNumber,
			$parser->errorString);

		parent::__construct($errorString, $parser->errorCode, $prev);

		$this->parser = $parser;
	}
}
