<?php
// +----------------------------------------------------------------------+
// | adfinis framework                                                    |
// +----------------------------------------------------------------------+

/**
 * Test class for ArrayTools
 *
 * @author      Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @package     org.adfinis.tests.utils
 * @copyright   Adfinis SyGroup AG 2007-2012
 * @license     LGPL 3.0
 */

namespace org\adfinis\framework\test\utils;

use \org\adfinis\framework\utils\ArrayTools;

/**
 * Test cases for the ArrayTools class
 *
 * @author      Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @package     org.adfinis.tests.utils
 **/
class ArrayToolsTest extends \PHPUnit_Framework_TestCase {

	/**
	 * Verifies whether flatten() works as intended
	 *
	 * @author      Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 */
	public function  testFlatten() {
		// The inner arrays contain the amount of leaves at index 0 and the array to test at index 1
		$testArray = array(
			// empty array
			array(
				0,
				array()
			),
			// one dimensional array
			array(
				5,
				array(0, 1, 2, 3, 4)
			),
			// multi dimensional array
			array(
				8,
				array(
					0, 1,
					array(
						2,
						array(
							3, 4
						),
					),
					array(
						5, 6, 7
					)
				)
			)
		);

		foreach ($testArray as $originalArray) {
			$resultingArray = ArrayTools::flatten($originalArray[1]);
			$countResult = count($resultingArray);
			$this->assertEquals($countResult, $originalArray[0], sprintf('Original count %d is not equal to result count %d', $originalArray[0], $countResult));
		}
	}
}
