jQuery(function($){

	var handlers = {};

	function handleResponse(data) {

		for(var identifier in data) {
			var message    = data[identifier];
			var payload    = message.payload;
			var identifier = message.identifier;

			if(identifier in handlers) {
				var functions = handlers[identifier];

				var l = functions.length;
				for (var i = 0; i < l; i++) {
					var func = functions[i];
					func(payload);
				}
			}
		}
	}

	function registerClientMessage(identifier, callback) {
		if(identifier in handlers) {
			handlers[identifier].push(callback);
		}
		else {
			handlers[identifier] = [callback];
		}
	};

	function serverMessage(identifier, payload) {
		$.post(
			location.toString(), 
			{
				serverMessage: identifier,
				payload:       payload,
			},
			handleResponse
		);
	}

	window.MsgBus = {
		handle: registerClientMessage,
		send:   serverMessage
	}

});
