//;(function($)
/**
 * Class to handle the display of the validate responses specific to the
 * FormHandler widgets
 *
 * @author      Damian Senn <ds@adfinis.com>
 */
FormHandlerValidator = {
	getInputCallback:function(){
		return function(e, data, textStatus){
			var $el = $(this);

			$el.parent().find("span").remove(); // remove the response element

			// apply field style depending on response
			if($.trim($el.val()) != ""){
				// create new response element
				var $elMSG = $("<span class='errorMessage'></span>");

				$elMSG.text(data.message);
				$el.after($elMSG);

				if(data.error){
					$el.addClass('invalid');
					$el.removeClass('valid');
				} else {
					$el.addClass('valid');
					$el.removeClass('invalid');
				}
			} else {
				$el.removeClass('valid');
				$el.removeClass('invalid');
			}
		}
	},
	getPasswordCallback:function(elements){
		return function(e, data, textStatus){
			var $el = $(elements);

			$el
				.parent()
				.parent()
				.parent()
				.find("span.errorMessage").remove(); // remove the response element

			var passwordsFilled = true;
			$el.each(function(i, el){
				passwordsFilled &= $.trim($(el).val()) != "";
			});

			// apply field style depending on response
			if(passwordsFilled){
				// create new response element
				var $elMSG = $("<span class='errorMessage'></span>");

				$elMSG.text(data.message);
				$el.parent().parent().after($elMSG);

				if(data.error){
					$el.addClass('invalid');
					$el.removeClass('valid');
				} else {
					$el.addClass('valid');
					$el.removeClass('invalid');
				}
			} else {
				$el.removeClass('valid');
				$el.removeClass('invalid');
			}
		}
	}
}

//)(jQuery);
